/*
 HMG 4 DEMO
 (c) 2010 Roberto Lopez <mail.box.hmg@gmail.com>
*/

#include "hmg.ch"

MEMVAR MainForm

FUNCTION Main

   HbQt_ErrorSys()

   SET RESOURCE TO "myres"

   DEFINE WINDOW MainForm
      ROW      10
      COL      10
      WIDTH    600
      HEIGHT   600
      TITLE    "New Menu handling: XBase styling WITHOUT name"
      ICON     ":HMG_ICO"
      TYPE     WND_MAIN
      ONINIT   FrmOnInit()

      DEFINE MAIN MENU
         FONTSIZE 12
         DEFINE POPUP "&File"
            MENUITEM "item1.1" ACTION MsgStop( "I'm Happy item1.1")
            SEPARATOR
            DEFINE POPUP "&SubMenu2"
               MENUITEM "Subitem2.1" ACTION MsgStop( "I find Subitem2.1!") IMAGE ":IMG_FIND"
               DEFINE POPUP "&SubMenu3"
                  MENUITEM "Subitem3.1" ACTION MsgStop( "I find Subitem3.1!")
                  MENUITEM "Subitem3.2" ACTION MsgStop( MainForm:LqtMnu_0:LqtMnu_1:LqtMnu_4:LqtMnu_6:LqtMnu_8:Caption )
               END POPUP
               MENUITEM "Subitem2.2" ACTION MsgStop( "I find Subitem2.2!") DISABLED
               SEPARATOR
//               MENUITEM "Subitem2.3" ACTION MsgStop( "I find Subitem2.3!") } )
               MENUITEM "Subitem2.3" ACTION Hmg3CompTest()       // this for HMG3 compatibility. I think it's strange
            END POPUP
            MENUITEM "item1.2" ACTION MsgStop( "I'm Happy item1.2")
            MENUITEM "Close" ACTION CloseMainForm() IMAGE ":IMG_EXIT"
         END POPUP
      END MENU

   END WINDOW

   ACTIVATE WINDOW MainForm

RETURN NIL

STATIC FUNCTION CloseMainForm()

   THISWINDOW:Release()

RETURN NIL

STATIC FUNCTION FrmOnInit()

   THISWINDOW:Center()

RETURN NIL

STATIC FUNCTION Hmg3CompTest()


   MsgStop( "with OOP and HMG3 comp: " + hb_ValToExp( THISWINDOW:LqtMnu_11:Enabled ) ) // HMG3 compatibility
   MsgStop( "with HMG3 syntax " + hb_ValToExp( THISWINDOW.LqtMnu_11.Enabled ) ) // HMG3 compatibility
   THISWINDOW.LqtMnu_11.Enabled := .F.
   MsgStop( "with HMG3 syntax after is" + hb_ValToExp( THISWINDOW.LqtMnu_11.Enabled ) ) // HMG3 compatibility
   MsgStop( "The same Is " + hb_ValToExp( THISWINDOW:LqtMnu_0:LqtMnu_1:LqtMnu_4:LqtMnu_11:Enabled ) )

RETURN NIL

