/*
 HMG 4 DEMO
 (c) 2010 Roberto Lopez <mail.box.hmg@gmail.com>
*/

#include "hmg.ch"

MEMVAR MainForm

FUNCTION Main

   HbQt_ErrorSys()

   HMGAPP():Resources := { "myres" }

   PRIVATE MainForm

   WITH OBJECT MainForm := Window():New( "MainForm" )
      :Row    := 10
      :Col    := 10
      :Width  := 600
      :Height := 600
      :Title  := "New Menu handling: OOP styling WITH name"
      :Icon    := ":HMG_ICO"
      :Type   := WND_MAIN
      :OnInit := { || MainForm:Center() }

      WITH OBJECT LQTMENUBAR():New( "MainMenu" )
         :FontSize := 12
         :AddMnuPopUp( "PopUp1", "&File" )
            :AddMnuItem( "Pop1Sub1", "item1.1", {|| MsgStop( "I'm Happy item1.1") } )
            :AddMnuSeparator( "Pop1Sep1" )
            :AddMnuPopUp( "PopUp2", "&SubMenu2" )
               :AddMnuItem( "Pop2Sub1", "Subitem2.1", {|| MsgStop( "I find Subitem2.1!") }, ":IMG_FIND" )
               :AddMnuPopUp( "PopUp3", "&SubMenu3" )
                  :AddMnuItem( "Pop3Sub1", "Subitem3.1", {|| MsgStop( "I find Subitem3.1!") } )
                  :AddMnuItem( "Pop3Sub2", "Subitem3.2", {|| MsgStop( MainForm:MainMenu:PopUp1:PopUp2:PopUp3:Pop3Sub2:Caption ) } )
               :EndMnuPopUp()
               :AddMnuItem( "Pop2Sub2", "Subitem2.2", {|| MsgStop( "I find Subitem2.2!") }, NIL, NIL, .F. )
               :AddMnuSeparator( "Pop2Sep1" )
//               :AddMnuItem( "Pop2Sub3", "Subitem2.3", {|| MsgStop( "I find Subitem2.3!") } )
               :AddMnuItem( "Pop2Sub3", "Subitem2.3", {|| Hmg3CompTest() } )       // this for HMG3 compatibility. I think it's strange
            :EndMnuPopUp()
            :AddMnuItem( "Pop1Sub2", "item1.2", {|| MsgStop( "I'm Happy item1.2") } )
            :AddMnuItem( "Pop1Sub3", "Close", {|| CloseMainForm() }, ":IMG_EXIT" )
         :EndMnuPopUp()
         :EndMnuMain()
      END WIDTH

   END WITH

   MainForm:Activate()

RETURN NIL

STATIC FUNCTION CloseMainForm()

   THISWINDOW:Release()

RETURN NIL

STATIC FUNCTION Hmg3CompTest()

   MsgStop( "with OOP and HMG3 comp: " + hb_ValToExp( THISWINDOW:Pop2Sub3:Enabled ) ) // HMG3 compatibility
   MsgStop( "with HMG3 syntax " + hb_ValToExp( THISWINDOW.Pop2Sub3.Enabled ) ) // HMG3 compatibility
   THISWINDOW.Pop2Sub3.Enabled := .F.
   MsgStop( "with HMG3 syntax after is" + hb_ValToExp( THISWINDOW.Pop2Sub3.Enabled ) ) // HMG3 compatibility
   MsgStop( "The same Is " + hb_ValToExp( THISWINDOW:MainMenu:PopUp1:PopUp2:Pop2Sub3:Enabled ) )

RETURN NIL

