/*
 HMG 4 DEMO
 (c) 2010 Roberto Lopez <mail.box.hmg@gmail.com>
*/

#include "hmg.ch"

MEMVAR MainForm

FUNCTION Main

   HbQt_ErrorSys()

   SET RESOURCE TO "myres"

   DEFINE WINDOW MainForm
      ROW      10
      COL      10
      WIDTH    600
      HEIGHT   600
      TITLE    "New Menu handling: XBase styling WITH name"
      ICON     ":HMG_ICO"
      TYPE     WND_MAIN
      ONINIT   FrmOnInit()

      DEFINE MAINMENU NAME MainMenu
         FONTSIZE 12
         DEFINE POPUP "&File" NAME PopUp1
            MENUITEM "item1.1" ACTION MsgStop( "I'm Happy item1.1") NAME Pop1Sub1
            SEPARATOR NAME Pop1Sep1
            DEFINE POPUP "&SubMenu2" NAME PopUp2
               MENUITEM "Subitem2.1" ACTION MsgStop( "I find Subitem2.1!") IMAGE ":IMG_FIND" NAME Pop2Sub1
               DEFINE POPUP "&SubMenu3" NAME PopUp3
                  MENUITEM "Subitem3.1" ACTION MsgStop( "I find Subitem3.1!") NAME Pop3Sub1
                  MENUITEM "Subitem3.2" ACTION MsgStop( MainForm:MainMenu:PopUp1:PopUp2:PopUp3:Pop3Sub2:Caption ) NAME Pop3Sub2
               END POPUP
               MENUITEM "Subitem2.2" ACTION MsgStop( "I find Subitem2.2!") DISABLED NAME Pop2Sub2
               SEPARATOR NAME Pop2Sep1
//               MENUITEM "Subitem2.3" ACTION MsgStop( "I find Subitem2.3!") } ) NAME Pop2Sub3
               MENUITEM "Subitem2.3" ACTION Hmg3CompTest() NAME Pop2Sub3  // this for HMG3 compatibility. I think it's strange
            END POPUP
            MENUITEM "item1.2" ACTION MsgStop( "I'm Happy item1.2") NAME Pop1Sub2
            MENUITEM "Close" ACTION CloseMainForm() IMAGE ":IMG_EXIT" NAME Pop1Sub3
         END POPUP
      END MENU

   END WINDOW

   ACTIVATE WINDOW MainForm

RETURN NIL

STATIC FUNCTION CloseMainForm()

   THISWINDOW:Release()

RETURN NIL

STATIC FUNCTION FrmOnInit()

   THISWINDOW:Center()

RETURN NIL

STATIC FUNCTION Hmg3CompTest()

   MsgStop( "with OOP and HMG3 comp: " + hb_ValToExp( THISWINDOW:Pop2Sub3:Enabled ) ) // HMG3 compatibility
   MsgStop( "with HMG3 syntax " + hb_ValToExp( THISWINDOW.Pop2Sub3.Enabled ) ) // HMG3 compatibility
   THISWINDOW.Pop2Sub3.Enabled := .F.
   MsgStop( "with HMG3 syntax after is" + hb_ValToExp( THISWINDOW.Pop2Sub3.Enabled ) ) // HMG3 compatibility
   MsgStop( "The same Is " + hb_ValToExp( THISWINDOW:MainMenu:PopUp1:PopUp2:Pop2Sub3:Enabled ) )

RETURN NIL

