/*
 * $Id: hmg.ch 657 2011-07-05 18:46:44Z concentra $
 */

#ifndef __HMG_CH
   #define __HMG_CH


#xtranslate .<!msg!> => :<msg>

#xtranslate THISWINDOW  => HMGAPP():CurrHmgWin()
#xtranslate THIS        => THISWINDOW:FocusedControl()

#translate MemVar . <AreaName> . <FieldName> =>  MemVar<AreaName><FieldName>

/*----------------------------------------------------------------------*/
//                            Constants
/*----------------------------------------------------------------------*/

// Window Type

#define WND_STANDARD                              0
#define WND_MAIN                                  1
#define WND_CHILD                                 2
#define WND_PANEL                                 3
#define WND_MODAL                                 4
#define WND_SPLITCHILD                            5

// Button PictAlignment

#define BTN_TOP                                   0
#define BTN_BOTTOM                                1
#define BTN_LEFT                                  2
#define BTN_RIGHT                                 3

// EditBox ScrollBars

#define EDB_NONE                                  0
#define EDB_VERTICAL                              1
#define EDB_HORIZONTAL                            2
#define EDB_BOTH                                  3

// Label Alignment

#define LBL_LEFT                                  0
#define LBL_CENTER                                1
#define LBL_RIGHT                                 2
#define LBL_TOP                                   0
#define LBL_VCENTER                               1
#define LBL_BOTTOM                                2

// Grid Alignment

#define GRID_JTFY_LEFT                            LBL_LEFT
#define GRID_JTFY_RIGHT                           LBL_RIGHT
#define GRID_JTFY_CENTER                          LBL_CENTER

// TextBox Case Conversion

#define TXT_NONE                                  0
#define TXT_UPPER                                 1
#define TXT_LOWER                                 2

// TextBox DataType

#define TXT_CHARACTER                             0
#define TXT_NUMERIC                               1
#define TXT_DATE                                  2

// TextBox Alignment

#define TXT_LEFT                                  0
#define TXT_RIGHT                                 2

// ToolBar Button Styles

#define TBB_STANDARD                              0
#define TBB_DROPDOWN                              1
#define TBB_WHOLEDROPDOWN                         2
#define TBB_CHECK                                 3
#define TBB_CHECKGROUP                            4

// DatePicker Alignment

#define DTP_LEFT                                  0
#define DTP_RIGHT                                 2

// Progresbar Orientation

#define PRB_HORIZONTAL                            1
#define PRB_VERTICAL                              2

// Tabs Position

#define TAB_TOP                                   0
#define TAB_BOTTOM                                1
#define TAB_LEFT                                  2
#define TAB_RIGHT                                 3

// Tabs Shape

#define TAB_ROUNDED                               0
#define TAB_TRIANGULAR                            1

// Slider ticks

#define SLD_TICKS_NONE                            0
#define SLD_TICKS_BOTH                            3
#define SLD_TICKS_TOP                             1
#define SLD_TICKS_UNDER                           2
#define SLD_TICKS_LEFT                            1
#define SLD_TICKS_RIGHT                           2

//  Slider Orientation

#define SLD_HORIZONTAL                            1
#define SLD_VERTICAL                              2

// Print Data Alignment

#define PRT_LEFT                                  1
#define PRT_RIGHT                                 2
#define PRT_CENTER                                4
#define PRT_JUSTIFY                               8

// Print Paper Size

#define PRINTER_PAPER_LETTER                      2
#define PRINTER_PAPER_LEGAL                       3
#define PRINTER_PAPER_A4                          0
#define PRINTER_PAPER_USER                        30

// Print Paper Source

#define PRINTER_BIN_FIRST                         PRINTER_BIN_UPPER
#define PRINTER_BIN_UPPER
#define PRINTER_BIN_ONLYONE                       0
#define PRINTER_BIN_LOWER                         1
#define PRINTER_BIN_MIDDLE                        2
#define PRINTER_BIN_MANUAL                        3
#define PRINTER_BIN_ENVELOPE                      4
#define PRINTER_BIN_ENVMANUAL                     5
#define PRINTER_BIN_AUTO                          6
#define PRINTER_BIN_TRACTOR                       7
#define PRINTER_BIN_SMALLFMT                      8
#define PRINTER_BIN_LARGEFMT                      9
#define PRINTER_BIN_LARGECAPACITY                 10
#define PRINTER_BIN_CASSETTE                      11
#define PRINTER_BIN_FORMSOURCE                    12
#define PRINTER_BIN_LAST                          PRINTER_BIN_FORMSOURCE
#define PRINTER_BIN_USER

// Print Quality

#define PRINTER_RES_DRAFT                         0
#define PRINTER_RES_LOW                           0
#define PRINTER_RES_MEDIUM                        1
#define PRINTER_RES_HIGH                          1

// Print Color

#define PRINTER_COLOR_MONOCHROME                  0
#define PRINTER_COLOR_COLOR                       1

// Print Duplex

#define PRINTER_DUP_SIMPLEX                       0
#define PRINTER_DUP_AUTO                          1
#define PRINTER_DUP_VERTICAL                      2
#define PRINTER_DUP_HORIZONTAL                    3

// Pront Paper Orientation

#define PRINTER_ORIENT_PORTRAIT                   0
#define PRINTER_ORIENT_LANDSCAPE                  1

// Print Collate

#define PRINTER_COLLATE_TRUE                      1
#define PRINTER_COLLATE_FALSE                     0

// SplitBox Orientation

#define SBX_VERTICAL                              1
#define SBX_HORIZONTAL                            2

// SplitBox Placement

#define SBX_TOP                                   1
#define SBX_BOTTOM                                2

// Monthcalendar Daynames

#define MTC_NO_DAYNAME                            0
#define MTC_ONECHAR_DAYNAME                       1
#define MTC_SHORT_DAYNAME                         2
#define MTC_LONG_DAYNAME                          3

// Notify Message Icon Type

#define NMI_NOICON                                0
#define NMI_INFORMATION                           1
#define NMI_WARNING                               2
#define NMI_CRITICAL                              3

// Browse Alignment (compatibility)

#define BROWSE_JTFY_LEFT                          1
#define BROWSE_JTFY_RIGHT                         2
#define BROWSE_JTFY_CENTER                        4

// Browse Alignment

#define BRW_LEFT                                  1
#define BRW_RIGHT                                 2
#define BRW_CENTER                                4

// Draw Graph

#define GRH_BARS                                      1
#define GRH_LINES                                     2
#define GRH_POINTS                                    3
#define GRH_PIE                                       4

// Layouts

#define LAYOUT_LEFTTORIGHT                        0
#define LAYOUT_RIGHTTOLEFT                        1
#define LAYOUT_TOPTOBOTTOM                        2
#define LAYOUT_BOTTOMTOTOP                        3
#define LAYOUT_FORM                               4
#define LAYOUT_GRID                               5
#define LAYOUT_HORIZONTAL                         LAYOUT_LEFTTORIGHT
#define LAYOUT_VERTICAL                           LAYOUT_TOPTOBOTTOM

// ButtonBox

#define LAYOUT_WINDOWS                            0
#define LAYOUT_MAC                                1
#define LAYOUT_KDE                                2
#define LAYOUT_GNOME                              3

#define BUTTONBOX_HORIZONTAL                      1
#define BUTTONBOX_VERTICAL                        2

#define BUTTON_OK                                 0x00000400      // An "OK" button defined with the AcceptRole.
#define BUTTON_OPEN                               0x00002000      // A "Open" button defined with the AcceptRole.
#define BUTTON_SAVE                               0x00000800      // A "Save" button defined with the AcceptRole.
#define BUTTON_CANCEL                             0x00400000      // A "Cancel" button defined with the RejectRole.
#define BUTTON_CLOSE                              0x00200000      // A "Close" button defined with the RejectRole.
#define BUTTON_DISCARD                            0x00800000      // A "Discard" or "Don't Save" button, depending on the platform, defined with the DestructiveRole.
#define BUTTON_APPLY                              0x02000000      // An "Apply" button defined with the ApplyRole.
#define BUTTON_RESET                              0x04000000      // A "Reset" button defined with the ResetRole.
#define BUTTON_RESTOREDEFAULTS                    0x08000000      // A "Restore Defaults" button defined with the ResetRole.
#define BUTTON_HELP                               0x01000000      // A "Help" button defined with the HelpRole.
#define BUTTON_SAVEALL                            0x00001000      // A "Save All" button defined with the AcceptRole.
#define BUTTON_YES                                0x00004000      // A "Yes" button defined with the YesRole.
#define BUTTON_YESTOALL                           0x00008000      // A "Yes to All" button defined with the YesRole.
#define BUTTON_NO                                 0x00010000      // A "No" button defined with the NoRole.
#define BUTTON_NOTOALL                            0x00020000      // A "No to All" button defined with the NoRole.
#define BUTTON_ABORT                              0x00040000      // An "Abort" button defined with the RejectRole.
#define BUTTON_RETRY                              0x00080000      // A "Retry" button defined with the AcceptRole.
#define BUTTON_IGNORE                             0x00100000      // An "Ignore" button defined with the AcceptRole.
#define BUTTON_NOBUTTON                           0x00000000      // An invalid button.

#define BUTTON_ROLE_Invalid                      -1      // The button is invalid.
#define BUTTON_ROLE_Accept                        0      // Clicking the button causes the dialog to be accepted (e.g. OK).
#define BUTTON_ROLE_Reject                        1      // Clicking the button causes the dialog to be rejected (e.g. Cancel).
#define BUTTON_ROLE_Destructive                   2      // Clicking the button causes a destructive change (e.g. for Discarding Changes) and closes the dialog.
#define BUTTON_ROLE_Action                        3      // Clicking the button causes changes to the elements within the dialog.
#define BUTTON_ROLE_Help                          4      // The button can be clicked to request help.
#define BUTTON_ROLE_Yes                           5      // The button is a "Yes"-like button.
#define BUTTON_ROLE_No                            6      // The button is a "No"-like button.
#define BUTTON_ROLE_Apply                         8      // The button applies current changes.
#define BUTTON_ROLE_Reset                         7      // The button resets the dialog's fields to default values.

/*----------------------------------------------------------------------*/
//                           xBase Syntax
/*----------------------------------------------------------------------*/
// #xtranslate ALIGNMENT CENTER =>
// #xtranslate ALIGNMENT LEFT =>
// #xtranslate DATATYPE <v1> =>
// #xtranslate CASECONVERT <v1> =>

// Dropdown Menu

#xcommand DEFINE DROPDOWN MENU BUTTON <oParentButton> ;
=>;
   With Object &(GetVarName()) := DropdownMenu():New( NIL, <oParentButton> )

#xcommand DEFINE DROPDOWN MENU OWNERBUTTON <oParentButton> ;
=>;
   With Object &(GetVarName()) := DropdownMenu():New( NIL, <oParentButton> )


// Context Menu

#xcommand DEFINE CONTEXT MENU [ <dummy1: OF, PARENT> <oParent> ] ;
=>;
   With Object ContextMenu():New( NIL [, <oParent> ] )


// Notify Menu

#xcommand DEFINE NOTIFY MENU [ <dummy1: OF, PARENT> <oParent> ] ;
=>;
   With Object oNotify := NotifyMenu():New( NIL [, <oParent> ] )


/*----------------------------------------------------------------------*/
//                            SplitBox Standard
/*----------------------------------------------------------------------*/

#xcommand DEFINE SPLITBOX ;
   [ <dummy1: OF, PARENT> <oParent> ] ;
   [ ROW <nRow> ] [ COL <nCol> ] [ WIDTH <nWidth> ] [ HEIGHT <nHeight> ] ;
   [ <lHorizontal : HORIZONTAL> ] ;
   [ <lBottom : BOTTOM> ] ;
=>;
   With Object oSplitBox := SplitBox():New( "oSplitBox" [, <oParent> ] ) ;;
      [:Orientation := if ( <.lHorizontal.> , 2 , 1 ) ] ;;
      [:Placement   := if ( <.lBottom.> , 2 , 1 )     ] ;;
      [:Row         := <nRow>     ] ;;
      [:Col         := <nCol>     ] ;;
      [:Width       := <nWidth>   ] ;;
      [:Height      := <nHeight>  ] ;;

#xcommand DEFINE SPLITBOX <oObj> ;
   [ <dummy1: OF, PARENT> <oParent> ] ;
   [ ROW <nRow> ] ;
   [ COL <nCol> ] ;
   [ WIDTH <nWidth> ] ;
   [ HEIGHT <nHeight> ] ;
   [ <lHorizontal : HORIZONTAL> ] ;
   [ <lBottom : BOTTOM> ] ;
=>;
   With Object <oObj> := SplitBox():New( <"oObj">[ , <oParent> ] ) ;;
      [:Orientation := if ( <.lHorizontal.> , 2 , 1 ) ] ;;
      [:Placement   := if ( <.lBottom.> , 2 , 1 )     ] ;;
      [:Row         := <nRow>                         ] ;;
      [:Col         := <nCol>                         ] ;;
      [:Width       := <nWidth>                       ] ;;
      [:Height      := <nHeight>                      ] ;;

#xcommand END SPLITBOX ;
=>;
End With

/*----------------------------------------------------------------------*/
//                          Print System
/*----------------------------------------------------------------------*/

#xcommand SELECT PRINTER <cPrinter> [ TO <lSuccess> ] ;
   [ ORIENTATION   <nOrientation>   ]   ;
   [ PAPERSIZE   <nPaperSize>   ]   ;
   [ PAPERLENGTH   <nPaperLength>   ]   ;
   [ PAPERWIDTH   <nPaperWidth>   ]   ;
   [ COPIES   <nCopies>   ]   ;
   [ DEFAULTSOURCE   <nDefaultSource>]   ;
   [ QUALITY   <nQuality>   ]   ;
   [ COLOR      <nColor>   ]   ;
   [ DUPLEX   <nDuplex>   ]   ;
   [ COLLATE   <nCollate>   ]   ;
   [ <lPreview : PREVIEW> ] ;
=> ;
   __MVPUBLIC('_HMG_CURRENTPRINTERNAME')            ;;
   __MVPUT   ('_HMG_CURRENTPRINTERNAME', <cPrinter> )      ;;
   __MVPUBLIC('_HMG_CURRENTPAPERSIZE')            ;;
   __MVPUT   ('_HMG_CURRENTPAPERSIZE', <nPaperSize> )      ;;
   __MVPUBLIC('_HMG_CURRENTORIENTATION')            ;;
   __MVPUT   ('_HMG_CURRENTORIENTATION', <nOrientation> )      ;;
   With Object oPrinter := Printer():New()            ;;
   [<lSuccess> := ] :SelectPrinterByName(<cPrinter>,<.lPreview.>)   ;;
   [:Orientation   := <nOrientation>   ]         ;;
   [:PaperSize   := <nPaperSize>      ]         ;;
   [:PaperLength   := <nPaperLength>   ]         ;;
   [:PaperWidth   := <nPaperWidth>   ]         ;;
   [:Copies   := <nCopies>      ]         ;;
   [:DefaultSource   := <nDefaultSource>   ]         ;;
   [:Quality   := <nQuality>      ]         ;;
   [:Color      := <nColor>      ]         ;;
   [:Duplex   := <nDuplex>      ]         ;;
   [:Collate   := <nCollate>      ]

#xcommand SELECT PRINTER DEFAULT [ TO <lSuccess> ] ;
   [ ORIENTATION   <nOrientation>   ] ;
   [ PAPERSIZE   <nPaperSize>   ] ;
   [ PAPERLENGTH   <nPaperLength>   ] ;
   [ PAPERWIDTH   <nPaperWidth>   ] ;
   [ COPIES   <nCopies>   ] ;
   [ DEFAULTSOURCE   <nDefaultSource>] ;
   [ QUALITY   <nQuality>   ] ;
   [ COLOR      <nColor>   ] ;
   [ DUPLEX   <nDuplex>   ] ;
   [ COLLATE   <nCollate>   ] ;
   [ <lPreview : PREVIEW> ] ;
=> ;
   With Object oPrinter := Printer():New()            ;;
   __MVPUBLIC('_HMG_CURRENTPRINTERNAME')            ;;
   __MVPUT   ('_HMG_CURRENTPRINTERNAME', '_DEFAULT_' )      ;;
   __MVPUBLIC('_HMG_CURRENTPAPERSIZE')            ;;
   __MVPUT   ('_HMG_CURRENTPAPERSIZE', <nPaperSize> )      ;;
   __MVPUBLIC('_HMG_CURRENTORIENTATION')            ;;
   __MVPUT   ('_HMG_CURRENTORIENTATION', <nOrientation> )      ;;
   [<lSuccess> := ] :SelectPrinterDefault(<.lPreview.>)      ;;
   [:Orientation   := <nOrientation>   ]   ;;
   [:PaperSize   := <nPaperSize>      ]   ;;
   [:PaperLength   := <nPaperLength>   ]   ;;
   [:PaperWidth   := <nPaperWidth>   ]   ;;
   [:Copies   := <nCopies>      ]   ;;
   [:DefaultSource   := <nDefaultSource>   ]   ;;
   [:Quality   := <nQuality>      ]   ;;
   [:Color      := <nColor>      ]   ;;
   [:Duplex   := <nDuplex>      ]   ;;
   [:Collate   := <nCollate>      ]


#xcommand SELECT PRINTER DIALOG [ TO <lSuccess> ] ;
   [ <lPreview : PREVIEW> ] ;
=> ;
   With Object oPrinter := Printer():New()         ;;
   [<lSuccess> := ] :SelectPrinterDialog(<.lPreview.>)

#xcommand START PRINTDOC [ NAME <name> ] ;
=> ;
   :StartPrintDoc()

#xcommand START PRINTPAGE ;
=> ;
:StartPrintPage()

#xcommand END PRINTPAGE ;
=> ;
:EndPrintPage()

#xcommand END PRINTDOC ;
=> ;
:EndPrintDoc() ;;
End With            ;;
__MVRELEASE('_HMG_CURRENTPRINTERNAME')   ;;
__MVRELEASE('_HMG_CURRENTPAPERSIZE')   ;;
__MVRELEASE('_HMG_CURRENTORIENTATION')

#xcommand ABORT PRINTDOC ;
=> ;
Nil

#xcommand @ <nRow> , <nCol> PRINT [ DATA ] <cData> ;
   [ FONT <cFontName> ] ;
   [ SIZE <nFontSize> ] ;
   [ <lBold : BOLD> ] ;
   [ <lItalic : ITALIC> ] ;
   [ <lUunderline : UNDERLINE> ] ;
   [ <lStrikeout : STRIKEOUT> ] ;
   [ COLOR <aColor> ] ;
   [ <lCenter : CENTER> ] ;
   [ <lRight : RIGHT> ] ;
   => ;
   :PrintData( <nRow> , <nCol> , <cData> , <cFontName> , <nFontSize> , <.lBold.> , <.lItalic.> , <.lUunderline.> , <.lStrikeout.> , <aColor> , nil , nil , if ( <.lCenter.> , PRT_CENTER , if( <.lRight.> , PRT_RIGHT , nil ) ) )


#xcommand @ <nRow> , <nCol> PRINT [ DATA ] <cData> ;
   TO <nToRow> , <nToCol> ;
   [ FONT <cFontName> ] ;
   [ SIZE <nFontSize> ] ;
   [ <lBold : BOLD> ] ;
   [ <lItalic : ITALIC> ] ;
   [ <lUnderline : UNDERLINE> ] ;
   [ <lStrikeout : STRIKEOUT> ] ;
   [ COLOR <aColor> ] ;
   [ <lCenter : CENTER> ] ;
   [ <lRight : RIGHT> ] ;
   => ;
   :PrintData( <nRow> , <nCol> , <cData> , <cFontName> , <nFontSize> , <.lBold.> , <.lItalic.> , <.lUnderline.> , <.lStrikeout.> , <aColor> , <nToRow> , <nToCol> , if ( <.lCenter.> , PRT_CENTER , if( <.lRight.> , PRT_RIGHT , PRT_LEFT ) ) )

#xcommand @ <nRow> , <nCol> PRINT IMAGE <cImage> ;
   [ WIDTH <nWidth> ] ;
   [ HEIGHT <nHeight> ] ;
   [ <lStretch : STRETCH> ] ;
   => ;
   :PrintImage( <nRow> , <nCol> , <cImage> , <nWidth> , <nHeight> , <.lStretch.> )

#xcommand @ <nRow> , <nCol> PRINT LINE TO <nToRow> , <nToCol> ;
   [ PENWIDTH <nPenWidth> ] ;
   [ COLOR <aColor> ] ;
   => ;
   :PrintLine( <nRow> , <nCol> , <nToRow> , <nToCol> , <aColor> , <nPenWidth> )

#xcommand @ <nRow> , <nCol> PRINT RECTANGLE TO <nToRow> , <nToCol> ;
   [ PENWIDTH <nPenWidth> ] ;
   [ COLOR <aColor> ] ;
   [ <lFilled: FILLED> ];
   [ <lRounded: ROUNDED> ];
   => ;
   :PrintRectangle( <nRow> , <nCol> , <nToRow> , <nToCol> , <aColor> , <nPenWidth> , <.lFilled.> , <.lRounded.> )

/*----------------------------------------------------------------------*/
//                              ToolBar
/*----------------------------------------------------------------------*/

#xcommand  DEFINE TOOLBAR <oObj> ;
      [ <dummy1: OF, PARENT> <oParent> ] ;
      [ BUTTONSIZE <nButtonWidth> , <nButtonHeight> ] ;
      [ IMAGESIZE <nImageWidth> , <nImageHeight> ] ;
      [ <lStrictWidth : STRICTWIDTH> ] ;
      [ FONT <cFontName> ] ;
      [ SIZE <nFontSize> ] ;
      [ <lBold : BOLD> ] ;
      [ <lItalic : ITALIC> ] ;
      [ <lUnderline : UNDERLINE> ] ;
      [ <lStrikeout : STRIKEOUT> ] ;
      [ TOOLTIP <cToolTip> ] ;
      [ <lFlat: FLAT> ] ;
      [ <lBottom: BOTTOM> ] ;
      [ <lRightText: RIGHTTEXT> ] ;
      [ <dummy1: GRIPPERTEXT, CAPTION> <cGripperText> ] ;
      [ <lBorder : BORDER> ] ;
      [ <lBreak: BREAK> ] ;
   => ;
   With Object <oObj> := ToolBar():New( <"oObj">[ , <oParent> ] ) ;;
      [:ButtonWidth   := <nButtonWidth>   ]   ;;
      [:ButtonHeight   := <nButtonHeight>   ]   ;;
      [:ImageWidth   := <nImageWidth>   ]   ;;
      [:ImageHeight   := <nImageHeight>   ]   ;;
      [:StrictWidth   := <.lStrictWidth.>   ]   ;;
      [:FontName   := <cFontName>      ]   ;;
      [:FontSize   := <nFontSize>      ]   ;;
      [:FontBold   := <.lBold.>      ]   ;;
      [:FontItalic   := <.lItalic.>      ]   ;;
      [:FontUnderline   := <.lUnderline.>   ]   ;;
      [:FontStrikeout   := <.lStrikeout.>   ]   ;;
      [:ToolTip   := <cToolTip>      ]   ;;
      [:Flat      := <.lFlat.>      ]   ;;
      [:Bottom   := <.lBottom.>      ]   ;;
      [:RightText   := <.lRightText.>   ]   ;;
      [:GripperText   := <cGripperText>   ]   ;;
      [:Border   := <.lBorder.>      ]   ;;
      [:Break      := <.lBreak.>      ]


/*----------------------------------------------------------------------*/
//                            Propertized ToolBar
/*----------------------------------------------------------------------*/

#xcommand  DEFINE TOOLBAR <oObj> ;
  [ <dummy1: OF, PARENT> <oParent> ] ;
  [ BUTTONWIDTH <nButtonWidth> ] ;
  [ BUTTONHEIGHT <nButtonHeight> ] ;
  [ IMAGEWIDTH <nImageWidth> ] ;
  [ IMAGEHEIGHT <nImageHeight> ] ;
  [ STRICTWIDTH <lStrictWidth> ] ;
  [ FONTNAME <cFontName> ] ;
  [ FONTSIZE <nFontSize> ] ;
  [ FONTBOLD <lBold> ] ;
  [ FONTITALIC <lItalic> ] ;
  [ FONTUNDERLINE <lUnderline> ] ;
  [ FONTSTRIKEOUT <lStrikeout> ] ;
  [ TOOLTIP <cToolTip> ] ;
  [ FLAT <lFlat> ] ;
  [ BOTTOM <lBottom> ] ;
  [ RIGHTTEXT <lRightText> ] ;
  [ GRIPPERTEXT <cGripperText> ] ;
  [ BORDER <lBorder> ] ;
         [ BREAK <lBreak> ] ;
      => ;
   With Object <oObj> := ToolBar():New( <"oObj">[ , <oParent> ] ) ;;
      [:ButtonWidth   := <nButtonWidth>   ]   ;;
      [:ButtonHeight   := <nButtonHeight>   ]   ;;
      [:ImageWidth   := <nImageWidth>   ]   ;;
      [:ImageHeight   := <nImageHeight>   ]   ;;
      [:StrictWidth   := <.lStrictWidth.>   ]   ;;
      [:FontName   := <cFontName>      ]   ;;
      [:FontSize   := <nFontSize>      ]   ;;
      [:FontBold   := <.lBold.>      ]   ;;
      [:FontItalic   := <.lItalic.>      ]   ;;
      [:FontUnderline   := <.lUnderline.>   ]   ;;
      [:FontStrikeout   := <.lStrikeout.>   ]   ;;
      [:ToolTip   := <cToolTip>      ]   ;;
      [:Flat      := <.lFlat.>      ]   ;;
      [:Bottom   := <.lBottom.>      ]   ;;
      [:RightText   := <.lRightText.>   ]   ;;
      [:GripperText   := <cGripperText>   ]   ;;
      [:Border   := <.lBorder.>      ]   ;;
      [:Break      := <.lBreak.>      ]

#xcommand TOOLBUTTON <oObj> ;
      [ <dummy1: OF, PARENT> <oParent>  ] ;
      [ CAPTION <cCaption>              ] ;
      [ PICTURE <cPicture>              ] ;
      [ ACTION <bOnClick>               ] ;
      [ TOOLTIP <cToolTip>              ] ;
      [ <lSeparator: SEPARATOR>         ] ;
      [ <lAutoSize: AUTOSIZE>           ] ;
      [ <lDropDown: DROPDOWN>           ] ;
      [ <lWholeDropDown: WHOLEDROPDOWN> ] ;
      [ <lCheck: CHECK>                 ] ;
      [ <lGroup: GROUP>                 ] ;
   =>;
   With Object <oObj> := ToolButton():New( <"oObj">[ , <oParent> ] ) ;;
      [:Caption   := <cCaption>     ]   ;;
      [:Picture   := <cPicture>     ]   ;;
      [:OnClick   := <{bOnClick}>   ]   ;;
      [:ToolTip   := <cToolTip>     ]   ;;
      [:Separator := <.lSeparator.> ]   ;;
      [:AutoSize  := <.lAutoSize.>  ]   ;;
      [:Style     := if ( <.lDropDown.> , TBB_DROPDOWN  , if ( <.lWholeDropDown.> , TBB_WHOLEDROPDOWN ,  if ( <.lCheck.> .and. <.lGroup.> , TBB_CHECKGROUP , if ( <.lCheck.> .and. !<.lGroup.> , TBB_CHECK , TBB_STANDARD ) ) ) ) ] ;;
   End <oObj>


#xcommand TOOLBUTTON <oObj> ;
      [ <dummy1: OF, PARENT> <oParent> ] ;
      [ NAME <cName> ] ;
      [ CAPTION <cCaption> ] ;
      [ PICTURE <cPicture> ] ;
      [ ONCLICK <bOnClick> ] ;
      [ TOOLTIP <cToolTip> ] ;
      [ SEPARATOR <lSeparator> ] ;
      [ AUTOSIZE <lAutoSize> ] ;
      [ DROPDOWN <lDropDown> ] ;
      [ WHOLEDROPDOWN <lWholeDropDown> ] ;
      [ CHECK <lCheck> ] ;
      [ GROUP <lGroup> ] ;
   =>;
   With Object <oObj> := ToolButton():New( <"oObj">[ , <oParent> ] )  ;;
      [:Caption   := <cCaption>      ]   ;;
      [:Picture   := <cPicture>      ]   ;;
      [:OnClick   := <{bOnClick}>      ]   ;;
      [:ToolTip   := <cToolTip>      ]   ;;
      [:Separator   := <.lSeparator.>   ]   ;;
      [:AutoSize   := <.lAutoSize.>   ]   ;;
      [:Style      := if ( <.lDropDown.> , TBB_DROPDOWN  , if ( <.lWholeDropDown.> , TBB_WHOLEDROPDOWN ,  if ( <.lCheck.> .and. <.lGroup.> , TBB_CHECKGROUP , if ( <.lCheck.> .and. !<.lGroup.> , TBB_CHECK , TBB_STANDARD ) ) ) ) ] ;;
   End <oObj>


#xcommand TOOLBUTTON <oObj> ;
      [ <dummy1: OF, PARENT> <oParent> ] ;
      [ NAME <cName> ] ;
      [ CAPTION <cCaption> ] ;
      [ PICTURE <cPicture> ] ;
      [ ONCLICK <bOnClick> ] ;
      [ TOOLTIP <cToolTip> ] ;
      [ SEPARATOR <lSeparator> ] ;
           [ AUTOSIZE <lAutoSize> ] ;
           STYLE <nStyle> ;
   =>;
   With Object <oObj> := ToolButton():New( <"oObj">[ , <oParent> ] )      ;;
      [:Caption   := <cCaption>      ]   ;;
      [:Picture   := <cPicture>      ]   ;;
      [:OnClick   := <{bOnClick}>      ]   ;;
      [:ToolTip   := <cToolTip>      ]   ;;
      [:Separator   := <.lSeparator.>   ]   ;;
      [:AutoSize   := <.lAutoSize.>   ]   ;;
      [:Style      := <nStyle>      ]   ;;
   End <oObj>

#xcommand  END TOOLBAR => End With

/*----------------------------------------------------------------------*/
//                                TREE
/*----------------------------------------------------------------------*/

# xcommand DEFINE TREE <oObj> ;
      [ <dummy1: OF, PARENT> <oParent> ] ;
      [ AT <nRow> , <nCol> ];
      [ WIDTH <nWidth> ];
      [ HEIGHT <nHeight> ];
      [ VALUE <nValue> ];
      [ FONT <cFontName> ];
      [ SIZE <nFontSize> ];
      [ <lBold : BOLD> ] ;
      [ <lItalic : ITALIC> ] ;
      [ <lUnderline : UNDERLINE> ] ;
      [ <lStrikeout : STRIKEOUT> ] ;
      [ TOOLTIP <cToolTip> ];
      [ ON GOTFOCUS <bOnGotFocus> ] ;
      [ ON CHANGE <bOnChange> ] ;
      [ ON DBLCLICK <bOnDblClick> ] ;
      [ ON LOSTFOCUS <bOnLostFocus> ] ;
      [ <lBreak : BREAK> ] ;
      [ NODEIMAGES <aNodeImages> ];
      [ ITEMIMAGES <aItemImages> ];
      [ <lItemIds : ITEMIDS> ];
      [ <lRootButton : NOROOTBUTTON> ];
      [ HELPID <nHelpId> ];
   => ;
   With Object <oObj> := Tree():New( <"oObj">[ , <oParent> ] )   ;;
      [:Row    := <nRow>   ] ;;
      [:Col    := <nCol>   ] ;;
      [:Width    := <nWidth>   ] ;;
      [:Height    := <nHeight>   ] ;;
      [:FontName   := <cFontName>      ]   ;;
      [:FontSize   := <nFontSize>      ]   ;;
      [:FontBold   := <.lBold.>      ]   ;;
      [:FontItalic   := <.lItalic.>      ]   ;;
      [:FontUnderline   := <.lUnderline.>   ]   ;;
      [:FontStrikeout   := <.lStrikeout.>   ]   ;;
      [:ToolTip   := <cToolTip>      ]   ;;
      [:Break        := <.lBreak.>  ];;
      [:NodeImages   := <aNodeImages> ] ;;
      [:ItemImages   := <aItemImages> ] ;;
      [:ItemIds    := <.lItemIds.>  ];;
      [:RootButton := !<.lRootButton.> ];;
      [:HelpId     := <nHelpId>     ];;
      [:Value  := <nValue> ];;
      [:OnGotFocus   := <{bOnGotFocus}>      ]   ;;
      [:OnDblClick   := <{bOnDblClick}>      ]   ;;
      [:OnLostFocus   := <{bOnLostFocus}>      ]   ;;
      [:OnChange   := <{bOnChange}>      ]   ;;

#xcommand NODE <cItemCaption>;
          [ IMAGES <aImages> ];
          [ ID <nItemId> ];
   => :AddTreeItem(<cItemCaption>,<aImages>,<nItemId>,.t. )

#xcommand END NODE => :CloseNode();

#xcommand TREEITEM <cItemCaption> ;
          [ IMAGES <aImages> ];
          [ ID <nItemId> ];
   => :AddTreeItem(<cItemCaption>,<aImages>,<nItemId>,.f. )

#xcommand  END TREE => End

/*----------------------------------------------------------------------*/
//                              StatusBar
/*----------------------------------------------------------------------*/

#xcommand DEFINE STATUSBAR [ <dummy1: OF, PARENT> <oParent> ]   ;
            [ FONT <cFontName> SIZE <nFontSize> ];
            [ <lTop : TOP> ];
   => ;
   With Object oStatusBar := StatusBar():New( "oStatusBar" [, <oParent> ] );;
      [:FontName := <cFontName>] ;;
      [:FontSize := <nFontSize>] ;;
      [:Top := <lTop>] ;;

#xcommand STATUSITEM <cItemCaption>;
          [ WIDTH <nWidth>];
          [ ACTION <bBlock> ];
          [ ICON <cIconName>];
          [ <lFlat : FLAT> ];
          [ <lRaised : RAISED> ];
          [ TOOLTIP <cToolTipText>];
=> :StatusItemAdd(<cItemCaption>,<nWidth>,<{bBlock}>,<cIconName>,<.lFlat.>,<.lRaised.>,<cToolTipText>)

#xcommand DATE;
          [ WIDTH <nWidth>];
          [ ACTION <bBlock> ];
          [ <lFlat : FLAT> ];
          [ <lRaised : RAISED> ];
          [ TOOLTIP <cToolTipText>];
=> :StatusBarTimersAdd(<nWidth>,<{bBlock}>,<.lFlat.>,<.lRaised.>,<cToolTipText>,"D")

#xcommand CLOCK;
          [ WIDTH <nWidth>];
          [ ACTION <bBlock> ];
          [ <lFlat : FLAT> ];
          [ <lRaised : RAISED> ];
          [ TOOLTIP <cToolTipText>];
=> :StatusBarTimersAdd(<nWidth>,<{bBlock}>,<.lFlat.>,<.lRaised.>,<cToolTipText>,"C")

#xcommand KEYBOARD;
          [ WIDTH <nWidth>];
          [ ACTION <bBlock> ];
          [ <lFlat : FLAT> ];
          [ <lRaised : RAISED> ];
          [ TOOLTIP <cToolTipText>];
=> :StatusBarKeyBoardAdd(<nWidth>,<{bBlock}>,<.lFlat.>,<.lRaised.>,<cToolTipText>)


#xcommand END STATUSBAR => End With

/*----------------------------------------------------------------------*/
//                               Menu
/*----------------------------------------------------------------------*/

   // MainMenu
   #xcommand DEFINE MAIN MENU [ NAME <oObj> ] [ <dummy1: OF, PARENT> <oParent> ] => WITH OBJECT LQTMENUBAR():New( <"oObj">, <oParent> )
   #xcommand DEFINE MAINMENU  [ NAME <oObj> ] [ <dummy1: OF, PARENT> <oParent> ] => WITH OBJECT LQTMENUBAR():New( <"oObj">, <oParent> )
   #xcommand END MENU  => :EndMnuMain() ; END WITH

   // PopUp or Qmenu
   #xcommand [ DEFINE ] [ MENU ] POPUP [ CAPTION ] <cCaption> [ IMAGE <cImage> ] [ NAME <oObj>] => :AddMnuPopUp( <"oObj">, <cCaption>, <cImage> )
   #xcommand END POPUP        => :EndMnuPopUp()

   // Item or QAction
   #xcommand MENUITEM [ CAPTION ] <cCaption> [ ACTION <bOnClick> ] [ IMAGE <cImage> ] [ <lChecked : CHECKED> ] [ <lDisabled : DISABLED> ] [ <lVisible : VISIBLE> ] [ NAME <oObj>] ;
      => :AddMnuItem( <"oObj">, <cCaption>, <{bOnClick}>, [<cImage>], [<.lChecked.>], [!<.lDisabled.>], [!<.lVisible.>] )

   // Separator
   #xcommand SEPARATOR [ NAME <oObj>] => :AddMnuSeparator( <"oObj"> )

/*----------------------------------------------------------------------*/
//                                Window
/*----------------------------------------------------------------------*/

#xcommand DEFINE WINDOW <oObj> ;
      [ <dummy1: OF , PARENT> <oParent> ] ;
      [ AT <nRow> , <nCol> ] ;
      [ ROW <nRow> ] ;
      [ COL <nCol> ] ;
      WIDTH <nWidth> ;
      HEIGHT <nHeight> ;
      [ VIRTUAL WIDTH <nVirtualWidth> ] ;
      [ VIRTUAL HEIGHT <nVirtualHeight> ] ;
      [ TITLE <cTitle> ] ;
      [ ICON <cIcon> ] ;
      [ <lMain:  MAIN> ] ;
      [ <lChild: CHILD> ] ;
      [ <lPanel: PANEL> ] ;
      [ CURSOR <cCursor> ] ;
      [ ON INIT <bOnInit> ] ;
      [ ON RELEASE <bOnRelease> ] ;
      [ ON INTERACTIVECLOSE <bOnInteractiveClose> ] ;
      [ ON MOUSECLICK <bOnMouseClick> ] ;
      [ ON MOUSEDRAG <bOnMouseDrag> ] ;
      [ ON MOUSEMOVE <bOnMouseMove> ] ;
      [ ON SIZE <bOnSize> ] ;
      [ ON MAXIMIZE <bOnMaximize> ] ;
      [ ON MINIMIZE <bOnMinimize> ] ;
      [ ON PAINT <bOnPaint> ] ;
      [ BACKCOLOR <aBackColor> ] ;
      [ FONT <cFontName> SIZE <nFontSize> ] ;
      [ NOTIFYICON <cNotifyIcon> ] ;
      [ NOTIFYTOOLTIP <cNotifyToolTip> ] ;
      [ ON NOTIFYCLICK <bOnNotifyClick> ] ;
      [ ON GOTFOCUS <bOnGotFocus> ] ;
      [ ON LOSTFOCUS <bOnLostFocus> ] ;
      [ ON SCROLLUP <bOnScrollUp> ] ;
      [ ON SCROLLDOWN <bOnScrollDown> ] ;
      [ ON SCROLLLEFT <bOnScrollLeft> ] ;
      [ ON SCROLLRIGHT <bOnScrollRight> ] ;
      [ ON HSCROLLBOX <bOnHScrollBox> ] ;
      [ ON VSCROLLBOX <bOnVScrollBox> ] ;
      [ <lHelpButton:  HELPBUTTON> ] ;
      [ <lMain:  WINDOWTYPE MAIN> ] ;
      [ <lChild: WINDOWTYPE CHILD> ] ;
      [ WINDOWTYPE STANDARD ] ;
      [ VISIBLE <lVisible> ] ;
      [ AUTORELEASE <lAutoRelease> ] ;
      [ MINBUTTON <lMinButton> ] ;
      [ MAXBUTTON <lMaxButton> ] ;
      [ SIZABLE <lSizable> ] ;
      [ SYSMENU <lSysMenu> ] ;
      [ TITLEBAR <lTitleBar> ] ;
      [ FONTNAME <cFontName> FONTSIZE <nFontSize> ] ;
      [ <lNoVisible: NOSHOW> ] ;
      [ <lTopmost: TOPMOST> ] ;
      [ <lNoAutoRelease: NOAUTORELEASE> ] ;
      [ <lNoMinimize: NOMINIMIZE> ] ;
      [ <lNoMaximize: NOMAXIMIZE> ] ;
      [ <lNoSizable: NOSIZE> ] ;
      [ <lNoSysMenu: NOSYSMENU> ] ;
      [ <lNoTitleBar: NOCAPTION> ] ;
=>;
   __MVPUBLIC ( <"oObj"> )                  ;;
   With Object <oObj> := Window():New( <"oObj"> [, <oParent> ] ) ;;
      [:Row                := <nRow>                  ]   ;;
      [:Col                := <nCol>                  ]   ;;
      [:Width              := <nWidth>                ]   ;;
      [:Height             := <nHeight>               ]   ;;
      [:Title              := <cTitle>                ]   ;;
      [:FontName           := <cFontName>             ]   ;;
      [:FontSize           := <nFontSize>             ]   ;;
      [:BackColor          := <aBackColor>            ]   ;;
      [:TitleBar           := <lTitleBar>             ]   ;;
      [:SysMenu            := <.lSysMenu.>            ]   ;;
      [:Sizable            := <.lSizable.>            ]   ;;
      [:MinButton          := <.lMinButton.>          ]   ;;
      [:MaxButton          := <.lMaxButton.>          ]   ;;
      [:AutoRelease        := <.lAutoRelease.>        ]   ;;
      [:Visible            := <.lVisible.>            ]   ;;
      [:HelpButton         := <.lHelpButton.>         ]   ;;
      [:OnNotifyClick      := <{bOnNotifyClick}>      ]   ;;
      [:OnGotFocus         := <{bOnGotFocus}>         ]   ;;
      [:OnLostFocus        := <{bOnLostFocus}>        ]   ;;
      [:OnScrollUp         := <{bOnScrollUp}>         ]   ;;
      [:OnScrollDown       := <{bOnScrollDown}>       ]   ;;
      [:OnScrollLeft       := <{bOnScrollLeft}>       ]   ;;
      [:OnScrollRight      := <{bOnScrollRight}>      ]   ;;
      [:OnHScrollBox       := <{bOnHScrollBox}>       ]   ;;
      [:OnVScrollBox       := <{bOnVScrollBox}>       ]   ;;
      [:VirtualWidth       := <nVirtualWidth>         ]   ;;
      [:VirtualHeight      := <nVirtualHeight>        ]   ;;
      [:Icon               := <cIcon>                 ]   ;;
      [:TopMost            := <.lTopmost.>            ]   ;;
      [:Cursor             := <cCursor>               ]   ;;
      [:OnInit             := <{bOnInit}>             ]   ;;
      [:OnRelease          := <{bOnRelease}>          ]   ;;
      [:OnInteractiveClose := <{bOnInteractiveClose}> ]   ;;
      [:OnMouseDrag        := <{bOnMouseDrag}>        ]   ;;
      [:OnMouseClick       := <{bOnMouseClick}>       ]   ;;
      [:OnMouseMove        := <{bOnMouseMove}>        ]   ;;
      [:OnSize             := <{bOnSize}>             ]   ;;
      [:OnMaximize         := <{bOnMaximize}>         ]   ;;
      [:OnMinimize         := <{bOnMinimize}>         ]   ;;
      [:OnPaint            := <{bOnPaint}>            ]   ;;
      [:NotifyIcon         := <cNotifyIcon>           ]   ;;
      [:NotifyToolTip      := <cNotifyToolTip>        ]   ;;
      [:Visible            := !<.lNoVisible.>         ]   ;;
      [:AutoRelease        := !<.lNoAutoRelease.>     ]   ;;
      [:Minimize           := !<.lNoMinimize.>        ]   ;;
      [:Maximize           := !<.lNoMaximize.>        ]   ;;
      [:Sizable            := !<.lNoSizable.>         ]   ;;
      [:SysMenu            := !<.lNoSysMenu.>         ]   ;;
      [:TitleBar           := !<.lNoTitleBar.>        ]   ;;
      [:Type               := If ( <.lMain.> , WND_MAIN , if ( <.lChild.> , WND_CHILD , if ( <.lPanel.> , WND_PANEL , WND_STANDARD ) ) ) ]


#xcommand DEFINE WINDOW <oObj> ;
      [ <dummy1: OF , PARENT> <oParent> ] ;
      [ AT <nRow> , <nCol> ] ;
      [ ROW <nRow> ] ;
      [ COL <nCol> ] ;
      WIDTH <nWidth> ;
      HEIGHT <nHeight> ;
      [ VIRTUAL WIDTH <nVirtualWidth> ] ;
      [ VIRTUAL HEIGHT <nVirtualHeight> ] ;
      [ TITLE <cTitle> ] ;
      [ ICON <cIcon> ] ;
      WINDOWTYPE ;
      [ <lMain:  MAIN> ] ;
      [ <lChild: CHILD> ] ;
      [ <lPanel: PANEL> ] ;
      [ CURSOR <cCursor> ] ;
      [ ON INIT <bOnInit> ] ;
      [ ON RELEASE <bOnRelease> ] ;
      [ ON INTERACTIVECLOSE <bOnInteractiveClose> ] ;
      [ ON MOUSECLICK <bOnMouseClick> ] ;
      [ ON MOUSEDRAG <bOnMouseDrag> ] ;
      [ ON MOUSEMOVE <bOnMouseMove> ] ;
      [ ON SIZE <bOnSize> ] ;
      [ ON MAXIMIZE <bOnMaximize> ] ;
      [ ON MINIMIZE <bOnMinimize> ] ;
      [ ON PAINT <bOnPaint> ] ;
      [ BACKCOLOR <aBackColor> ] ;
      [ FONT <cFontName> SIZE <nFontSize> ] ;
      [ NOTIFYICON <cNotifyIcon> ] ;
      [ NOTIFYTOOLTIP <cNotifyToolTip> ] ;
      [ ON NOTIFYCLICK <bOnNotifyClick> ] ;
      [ ON GOTFOCUS <bOnGotFocus> ] ;
      [ ON LOSTFOCUS <bOnLostFocus> ] ;
      [ ON SCROLLUP <bOnScrollUp> ] ;
      [ ON SCROLLDOWN <bOnScrollDown> ] ;
      [ ON SCROLLLEFT <bOnScrollLeft> ] ;
      [ ON SCROLLRIGHT <bOnScrollRight> ] ;
      [ ON HSCROLLBOX <bOnHScrollBox> ] ;
      [ ON VSCROLLBOX <bOnVScrollBox> ] ;
      [ HELPBUTTON <lHelpButton> ] ;
      [ <lMain:  WINDOWTYPE MAIN> ] ;
      [ <lChild: WINDOWTYPE CHILD> ] ;
      [ WINDOWTYPE STANDARD ] ;
      [ VISIBLE <lVisible> ] ;
      [ AUTORELEASE <lAutoRelease> ] ;
      [ MINBUTTON <lMinButton> ] ;
      [ MAXBUTTON <lMaxButton> ] ;
      [ SIZABLE <lSizable> ] ;
      [ SYSMENU <lSysMenu> ] ;
      [ TITLEBAR <lTitleBar> ] ;
      [ FONTNAME <cFontName> FONTSIZE <nFontSize> ] ;
      [ <lNoVisible: NOSHOW> ] ;
      [ TOPMOST <lTopmost> ] ;
      [ <lNoAutoRelease: NOAUTORELEASE> ] ;
      [ <lNoMinimize: NOMINIMIZE> ] ;
      [ <lNoMaximize: NOMAXIMIZE> ] ;
      [ <lNoSizable: NOSIZE> ] ;
      [ <lNoSysMenu: NOSYSMENU> ] ;
      [ <lNoTitleBar: NOCAPTION> ] ;
=>;
   __MVPUBLIC ( <"oObj"> )                  ;;
   With Object <oObj> := Window():New( <"oObj"> [, <oParent> ] ) ;;
      [:Row         := <nRow>      ]   ;;
      [:Col         := <nCol>      ]   ;;
      [:Width         := <nWidth>      ]   ;;
      [:Height      := <nHeight>      ]   ;;
      [:Title         := <cTitle>      ]   ;;
      [:FontName      := <cFontName>      ]   ;;
      [:FontSize      := <nFontSize>      ]   ;;
      [:BackColor      := <aBackColor>      ]   ;;
      [:TitleBar      := <.lTitleBar.>      ]   ;;
      [:SysMenu      := <.lSysMenu.>      ]   ;;
      [:Sizable      := <.lSizable.>      ]   ;;
      [:MinButton      := <.lMinButton.>      ]   ;;
      [:MaxButton      := <.lMaxButton.>      ]   ;;
      [:AutoRelease      := <.lAutoRelease.>   ]   ;;
      [:Visible      := <.lVisible.>      ]   ;;
      [:HelpButton      := <.lHelpButton.>   ]   ;;
      [:OnNotifyClick      := <{bOnNotifyClick}>   ]   ;;
      [:OnGotFocus      := <{bOnGotFocus}>   ]   ;;
      [:OnLostFocus      := <{bOnLostFocus}>   ]   ;;
      [:OnScrollUp      := <{bOnScrollUp}>   ]   ;;
      [:OnScrollDown      := <{bOnScrollDown}>   ]   ;;
      [:OnScrollLeft      := <{bOnScrollLeft}>   ]   ;;
      [:OnScrollRight      := <{bOnScrollRight}>   ]   ;;
      [:OnHScrollBox      := <{bOnHScrollBox}>   ]   ;;
      [:OnVScrollBox      := <{bOnVScrollBox}>   ]   ;;
      [:VirtualWidth      := <nVirtualWidth>   ]   ;;
      [:VirtualHeight      := <nVirtualHeight>   ]   ;;
      [:Icon         := <cIcon>      ]   ;;
      [:TopMost      := <.lTopmost.>      ]   ;;
      [:Cursor      := <cCursor>      ]   ;;
      [:OnInit      := <{bOnInit}>      ]   ;;
      [:OnRelease      := <{bOnRelease}>      ]   ;;
      [:OnInteractiveClose   := <{bOnInteractiveClose}>]   ;;
      [:OnMouseDrag      := <{bOnMouseDrag}>   ]   ;;
      [:OnMouseClick      := <{bOnMouseClick}>   ]   ;;
      [:OnMouseMove      := <{bOnMouseMove}>   ]   ;;
      [:OnSize      := <{bOnSize}>      ]   ;;
      [:OnMaximize      := <{bOnMaximize}>   ]   ;;
      [:OnMinimize      := <{bOnMinimize}>   ]   ;;
      [:OnPaint      := <{bOnPaint}>      ]   ;;
      [:NotifyIcon      := <cNotifyIcon>   ]   ;;
      [:NotifyToolTip      := <cNotifyToolTip>   ]   ;;
      [:Visible      := !<.lNoVisible.>   ]   ;;
      [:AutoRelease      := !<.lNoAutoRelease.>   ]   ;;
      [:Minimize      := !<.lNoMinimize.>   ]   ;;
      [:Maximize      := !<.lNoMaximize.>   ]   ;;
      [:Sizable      := !<.lNoSizable.>   ]   ;;
      [:SysMenu      := !<.lNoSysMenu.>   ]   ;;
      [:TitleBar      := !<.lNoTitleBar.>   ]   ;;
      [:Type         := If ( <.lMain.> , WND_MAIN , if ( <.lChild.> , WND_CHILD , if ( <.lPanel.> , WND_PANEL , WND_STANDARD ) ) ) ]


   #xcommand DEFINE WINDOW <oObj> ;
         [ <dummy1: OF , PARENT> <oParent> ] ;
         [ AT <nRow>,<nCol> ] ;
         [ ROW <nRow> ] ;
         [ COL <nCol> ] ;
         WIDTH <nWidth> ;
         HEIGHT <nHeight> ;
         [ VIRTUAL WIDTH <nVirtualWidth> ] ;
         [ VIRTUAL HEIGHT <nVirtualHeight> ] ;
         [ TITLE <cTitle> ] ;
         [ ICON <cIcon> ] ;
         MODAL ;
         [ <lNoVisible: NOSHOW> ] ;
         [ <lNoAutoRelease: NOAUTORELEASE> ] ;
         [ <lNoSizable: NOSIZE> ] ;
         [ <lNoSysMenu: NOSYSMENU> ] ;
         [ <lNoTitleBar: NOCAPTION> ] ;
         [ CURSOR <cCursor> ] ;
         [ ON INIT <bOnInit> ] ;
         [ ON RELEASE <bOnRelease> ] ;
         [ ON INTERACTIVECLOSE <bOnInteractiveClose> ] ;
         [ ON MOUSECLICK <bOnMouseClick> ] ;
         [ ON MOUSEDRAG <bOnMouseDrag> ] ;
         [ ON MOUSEMOVE <bOnMouseMove> ] ;
         [ ON SIZE <bOnSize> ] ;
         [ ON PAINT <bOnPaint> ] ;
         [ BACKCOLOR <aBackColor> ] ;
         [ FONT <cFontName> SIZE <nFontSize> ] ;
         [ ON GOTFOCUS <bOnGotFocus> ] ;
         [ ON LOSTFOCUS <bOnLostFocus> ] ;
         [ ON SCROLLUP <bOnScrollUp> ] ;
         [ ON SCROLLDOWN <bOnScrollDown> ] ;
         [ ON SCROLLLEFT <bOnScrollLeft> ] ;
         [ ON SCROLLRIGHT <bOnScrollRight> ] ;
         [ ON HSCROLLBOX <bOnHScrollBox> ] ;
         [ ON VSCROLLBOX <bOnVScrollBox> ] ;
         [ <lHelpButton:  HELPBUTTON> ] ;
         [ VISIBLE <lVisible> ] ;
         [ AUTORELEASE <lAutoRelease> ] ;
         [ SIZABLE <lSizable> ] ;
         [ SYSMENU <lSysMenu> ] ;
         [ TITLEBAR <lTitleBar> ] ;
         [ FONTNAME <cFontName> FONTSIZE <nFontSize> ] ;
=>;
   __MVPUBLIC ( <"oObj"> )                  ;;
   With Object <oObj> := Window():New( <"oObj"> [, <oParent> ] ) ;;
      :Type            := WND_MODAL          ;;
      [:Row            := <nRow>      ]   ;;
      [:Col            := <nCol>      ]   ;;
      [:Width            := <nWidth>      ]   ;;
      [:Height         := <nHeight>      ]   ;;
      [:Title            := <cTitle>      ]   ;;
      [:FontName         := <cFontName>      ]   ;;
      [:FontSize         := <nFontSize>      ]   ;;
      [:BackColor         := <aBackColor>      ]   ;;
      [:TitleBar         := <.lTitleBar.>   ]   ;;
      [:SysMenu         := <.lSysMenu.>      ]   ;;
      [:Sizable         := <.lSizable.>      ]   ;;
      [:AutoRelease         := <.lAutoRelease.>   ]   ;;
      [:Visible         := <.lVisible.>      ]   ;;
      [:HelpButton         := <.lHelpButton.>   ]   ;;
      [:OnGotFocus         := <{bOnGotFocus}>   ]   ;;
      [:OnLostFocus         := <{bOnLostFocus}>   ]   ;;
      [:OnScrollUp         := <{bOnScrollUp}>   ]   ;;
      [:OnScrollDown         := <{bOnScrollDown}>   ]   ;;
      [:OnScrollLeft         := <{bOnScrollLeft}>   ]   ;;
      [:OnScrollRight         := <{bOnScrollRight}>   ]   ;;
      [:OnHScrollBox         := <{bOnHScrollBox}>   ]   ;;
      [:OnVScrollBox         := <{bOnVScrollBox}>   ]   ;;
      [:VirtualWidth         := <nVirtualWidth>   ]   ;;
      [:VirtualHeight         := <nVirtualHeight>   ]   ;;
      [:Icon            := <cIcon>      ]   ;;
      [:Cursor         := <cCursor>      ]   ;;
      [:OnInit         := <{bOnInit}>      ]   ;;
      [:OnRelease         := <{bOnRelease}>      ]   ;;
      [:OnInteractiveClose      := <{bOnInteractiveClose}>]   ;;
      [:OnMouseDrag         := <{bOnMouseDrag}>   ]   ;;
      [:OnMouseClick         := <{bOnMouseClick}>   ]   ;;
      [:OnMouseMove         := <{bOnMouseMove}>   ]   ;;
      [:OnSize         := <{bOnSize}>      ]   ;;
      [:OnPaint         := <{bOnPaint}>      ]   ;;
      [:Visible         := !<.lNoVisible.>   ]   ;;
      [:AutoRelease         := !<.lNoAutoRelease.>   ]   ;;
      [:Sizable         := !<.lNoSizable.>   ]   ;;
      [:SysMenu         := !<.lNoSysMenu.>   ]   ;;
      [:TitleBar         := !<.lNoTitleBar.>   ]


   #xcommand DEFINE WINDOW <oObj> ;
         [ <dummy1: OF , PARENT> <oParent> ] ;
         [ AT <nRow>,<nCol> ] ;
         [ ROW <nRow> ] ;
         [ COL <nCol> ] ;
         WIDTH <nWidth> ;
         HEIGHT <nHeight> ;
         [ VIRTUALWIDTH <nVirtualWidth> ] ;
         [ VIRTUALHEIGHT <nVirtualHeight> ] ;
         [ TITLE <cTitle> ] ;
         [ ICON <cIcon> ] ;
         WINDOWTYPE MODAL ;
         [ <lNoVisible: NOSHOW> ] ;
         [ <lNoAutoRelease: NOAUTORELEASE> ] ;
         [ <lNoSizable: NOSIZE> ] ;
         [ <lNoSysMenu: NOSYSMENU> ] ;
         [ <lNoTitleBar: NOCAPTION> ] ;
         [ CURSOR <cCursor> ] ;
         [ ONINIT <bOnInit> ] ;
         [ ONRELEASE <bOnRelease> ] ;
         [ ONINTERACTIVECLOSE <bOnInteractiveClose> ] ;
         [ ONMOUSECLICK <bOnMouseClick> ] ;
         [ ONMOUSEDRAG <bOnMouseDrag> ] ;
         [ ONMOUSEMOVE <bOnMouseMove> ] ;
         [ ONSIZE <bOnSize> ] ;
         [ ONPAINT <bOnPaint> ] ;
              [ BACKCOLOR <aBackColor> ] ;
         [ FONT <cFontName> SIZE <nFontSize> ] ;
         [ ONGOTFOCUS <bOnGotFocus> ] ;
         [ ONLOSTFOCUS <bOnLostFocus> ] ;
         [ ONSCROLLUP <bOnScrollUp> ] ;
         [ ONSCROLLDOWN <bOnScrollDown> ] ;
         [ ONSCROLLLEFT <bOnScrollLeft> ] ;
         [ ONSCROLLRIGHT <bOnScrollRight> ] ;
         [ ONHSCROLLBOX <bOnHScrollBox> ] ;
         [ ONVSCROLLBOX <bOnVScrollBox> ] ;
         [ HELPBUTTON <lHelpButton> ] ;
         [ VISIBLE <lVisible> ] ;
         [ AUTORELEASE <lAutoRelease> ] ;
         [ SIZABLE <lSizable> ] ;
         [ SYSMENU <lSysMenu> ] ;
         [ TITLEBAR <lTitleBar> ] ;
         [ FONTNAME <cFontName> FONTSIZE <nFontSize> ] ;
=>;
   __MVPUBLIC ( <"oObj"> )                  ;;
   With Object <oObj> := Window():New( <"oObj"> [, <oParent> ] ) ;;
      :Type            := WND_MODAL          ;;
      [:Row            := <nRow>      ]   ;;
      [:Col            := <nCol>      ]   ;;
      [:Width            := <nWidth>      ]   ;;
      [:Height         := <nHeight>      ]   ;;
      [:Title            := <cTitle>      ]   ;;
      [:FontName         := <cFontName>      ]   ;;
      [:FontSize         := <nFontSize>      ]   ;;
      [:BackColor         := <aBackColor>      ]   ;;
      [:TitleBar         := <.lTitleBar.>   ]   ;;
      [:SysMenu         := <.lSysMenu.>      ]   ;;
      [:Sizable         := <.lSizable.>      ]   ;;
      [:AutoRelease         := <.lAutoRelease.>   ]   ;;
      [:Visible         := <.lVisible.>      ]   ;;
      [:HelpButton         := <.lHelpButton.>   ]   ;;
      [:OnGotFocus         := <{bOnGotFocus}>   ]   ;;
      [:OnLostFocus         := <{bOnLostFocus}>   ]   ;;
      [:OnScrollUp         := <{bOnScrollUp}>   ]   ;;
      [:OnScrollDown         := <{bOnScrollDown}>   ]   ;;
      [:OnScrollLeft         := <{bOnScrollLeft}>   ]   ;;
      [:OnScrollRight         := <{bOnScrollRight}>   ]   ;;
      [:OnHScrollBox         := <{bOnHScrollBox}>   ]   ;;
      [:OnVScrollBox         := <{bOnVScrollBox}>   ]   ;;
      [:VirtualWidth         := <nVirtualWidth>   ]   ;;
      [:VirtualHeight         := <nVirtualHeight>   ]   ;;
      [:Icon            := <cIcon>      ]   ;;
      [:Cursor         := <cCursor>      ]   ;;
      [:OnInit         := <{bOnInit}>      ]   ;;
      [:OnRelease         := <{bOnRelease}>      ]   ;;
      [:OnInteractiveClose      := <{bOnInteractiveClose}>]   ;;
      [:OnMouseDrag         := <{bOnMouseDrag}>   ]   ;;
      [:OnMouseClick         := <{bOnMouseClick}>   ]   ;;
      [:OnMouseMove         := <{bOnMouseMove}>   ]   ;;
      [:OnSize         := <{bOnSize}>      ]   ;;
      [:OnPaint         := <{bOnPaint}>      ]   ;;
      [:Visible         := !<.lNoVisible.>   ]   ;;
      [:AutoRelease         := !<.lNoAutoRelease.>   ]   ;;
      [:Sizable         := !<.lNoSizable.>   ]   ;;
      [:SysMenu         := !<.lNoSysMenu.>   ]   ;;
      [:TitleBar         := !<.lNoTitleBar.>   ]


#xcommand END WINDOW => :EndWindow() ; End With

#xcommand ACTIVATE WINDOW <oObj> => <oObj>:Activate()

/*----------------------------------------------------------------------*/
//                                Image
/*----------------------------------------------------------------------*/

#xcommand DEFINE IMAGE <oObj> ;
      [ <dummy1: OF, PARENT> <oParent>       ] ;
      [ AT                   <nRow> , <nCol> ] ;
      [ ROW                  <nRow>          ] ;
      [ COL                  <nCol>          ] ;
      WIDTH                  <nWidth>          ;
      HEIGHT                 <nHeight>         ;
      PICTURE                <cPicture>        ;
      [ BACKCOLOR            <aBackColor>    ] ;
      [ TOOLTIP              <cToolTipText>  ] ;
      [ <lTabStop          : TABSTOP>        ] ;
      [ <lStretch          : STRETCH>        ] ;
      [ <lScaledToHeight   : SCALEDTOHEIGHT> ] ;
      [ <lScaledToWidth    : SCALEDTOWIDTH>  ] ;
   =>;
   With Object <oObj>  := Image():New(<"oObj"> [ , <oParent> ]) ;;
      [:Row            := <nRow>              ]   ;;
      [:Col            := <nCol>              ]   ;;
      [:Width          := <nWidth>            ]   ;;
      [:Height         := <nHeight>           ]   ;;
      [:Picture        := <cPicture>          ]   ;;
      [:BackColor      := <aBackColor>        ]   ;;
      [:ToolTip        := <cToolTipText>      ]   ;;
      [:TabStop        := <.lTabStop.>        ]   ;;
      [:Stretch        := <.lStretch.>        ]   ;;
      [:ScaledToHeight := <.lScaledToHeight.> ]   ;;
      [:ScaledToWidth  := <.lScaledToWidth.>  ]   ;;
   End <oObj>

/*----------------------------------------------------------------------*/
//                                Font
/*----------------------------------------------------------------------*/

#xcommand DEFINE FONT <oObj> ;
      [ <dummy2: FAMILY,NAME,FONT NAME,FONTNAME> <cFamily>  ] ;
      [ <dummy3: POINTS, SIZE>                   <nPoints>  ] ;
      [ <lItalic                               : ITALIC>    ] ;
      [ <lBold                                 : BOLD>      ] ;
      [ <lFixed                                : FIXED>     ] ;
      [ <lKerning                              : KERNING>   ] ;
      [ <lOverline                             : OVERLINE>  ] ;
      [ <lStrikeOut                            : STRIKEOUT> ] ;
      [ <lUnderline                            : UNDERLINE> ] ;
      [ STRETCH                                  <nStretch> ] ;
      [ WEIGHT                                   <nWeight>  ] ;
   =>;
   With Object <oObj>  := QFont()        ;;
      [:SetFamily( <cFamily> )         ] ;;
      [:SetPointSize( <nPoints> )      ] ;;
      [:SetItalic( <.lItalic.> )       ] ;;
      [:SetBold( <.lBold.> )           ] ;;
      [:SetFixedPitch( <.lFixed.> )    ] ;;
      [:SetKerning( <.lKerning.> )     ] ;;
      [:SetOverline( <.lOverline.> )   ] ;;
      [:SetStrikeOut( <.lStrikeOut.> ) ] ;;
      [:SetUnderline( <.lUnderline.> ) ] ;;
      [:SetStretch( <nStretch> )       ] ;;
      [:SetWeight( <nWeight> )         ] ;;
   End

#xcommand SET FONT <oFont> TO <oObj>     =>    [ <oObj>:Font := <oFont> ]

/*----------------------------------------------------------------------*/
//                                Frame
/*----------------------------------------------------------------------*/

#xcommand @ <nRow> , <nCol> FRAME <oObj> ;
      [ <dummy1: OF, PARENT> <oParent> ] ;
      [ CAPTION <cCaption> ] ;
      [ WIDTH <nWidth> ] ;
      [ HEIGHT <nHeight> ] ;
      [ FONT <cFontName> ] ;
      [ SIZE <nFontSize> ] ;
      [ <lFontBold : BOLD> ] ;
      [ <lFontItalic : ITALIC> ] ;
      [ <lFontUnderline : UNDERLINE> ] ;
      [ <lFontStrikeout : STRIKEOUT> ] ;
      [ BACKCOLOR <aBackColor> ] ;
      [ FONTCOLOR <aFontColor> ] ;
      [ <lTransparent: TRANSPARENT> ] ;
   =>;
   With Object <oObj> := Frame():New(<"oObj"> [ , <oParent> ]) ;;
      [:Caption   := <cCaption>      ]   ;;
      [:Row      := <nRow>      ]   ;;
      [:Col      := <nCol>      ]   ;;
      [:Width      := <nWidth>      ]   ;;
      [:Height   := <nHeight>      ]   ;;
      [:FontName   := <cFontName>      ]   ;;
      [:FontSize   := <nFontSize>      ]   ;;
      [:FontBold   := <.lFontBold.>   ]   ;;
      [:FontItalic   := <.lFontItalic.>   ]   ;;
      [:FontUnderline   := <.lFontUnderline.>   ]   ;;
      [:FontStrikeout   := <.lFontStrikeout.>   ]   ;;
      [:BackColor   := <aBackColor>      ]   ;;
      [:FontColor   := <aFontColor>      ]   ;;
      [:lTransparent   := <.lTransparent.>   ]   ;;
   End <oObj>

/*----------------------------------------------------------------------*/
//                               Button
/*----------------------------------------------------------------------*/

#xcommand @ <nRow> , <nCol> BUTTON <oObj> ;
      [ <dummy1: OF, PARENT> <oParent> ] ;
      [ CAPTION <cCaption> ] ;
      [ <dummy2: ACTION,ON CLICK,ONCLICK> <bOnClick> ];
      [ WIDTH <nWidth> ] ;
      [ HEIGHT <nHeight> ] ;
      [ FONT <cFontName> ] ;
      [ SIZE <nFontSize> ] ;
      [ <lFontBold : BOLD> ] ;
      [ <lFontItalic : ITALIC> ] ;
      [ <lFontUnderline : UNDERLINE> ] ;
      [ <lFontStrikeout : STRIKEOUT> ] ;
      [ BACKCOLOR <aBackColor> ] ;
      [ FONTCOLOR <aFontColor> ] ;
      [ <lTransparent: TRANSPARENT> ] ;
      [ TOOLTIP <cToolTip> ] ;
      [ <lFlat: FLAT> ] ;
      [ ON GOTFOCUS <bOnGotFocus> ] ;
      [ ON LOSTFOCUS <bOnLostFocus> ] ;
      [ <lTabStop: NOTABSTOP> ] ;
      [ HELPID <nHelpId> ]       ;
      [ <lNoVisible: INVISIBLE> ] ;
      [ <lMultiLine: MULTILINE> ] ;
      [ PICTURE <cPicture> ] ;
      [ <lDefault: DEFAULT> ] ;
      [ <lAutoDefault: AUTODEFAULT> ] ;
      [ <cAlignment:LEFT,RIGHT,TOP,BOTTOM> ] ;
   =>;
   With Object <oObj> := Button():New(<"oObj"> [ , <oParent> ])  ;;
      [:Caption   := <cCaption>      ]                   ;;
      [:OnClick   := <{bOnClick}>      ]                 ;;
      [:Row      := <nRow>      ]                        ;;
      [:Col      := <nCol>      ]                        ;;
      [:Width      := <nWidth>      ]                    ;;
      [:Height   := <nHeight>      ]                     ;;
      [:FontName   := <cFontName>      ]                 ;;
      [:FontSize   := <nFontSize>      ]                 ;;
      [:FontBold   := <.lFontBold.>   ]                  ;;
      [:FontItalic   := <.lFontItalic.>   ]              ;;
      [:FontUnderline   := <.lFontUnderline.>   ]        ;;
      [:FontStrikeout   := <.lFontStrikeout.>   ]        ;;
      [:BackColor   := <aBackColor>      ]               ;;
      [:FontColor   := <aFontColor>      ]               ;;
      [:Transparent   := <.lTransparent.>   ]            ;;
      [:ToolTip   := <cToolTip>      ]                   ;;
      [:Flat      := <.lFlat.>      ]                    ;;
      [:OnGotFocus   := <{bOnGotFocus}>   ]              ;;
      [:OnLostFocus   := <{bOnLostFocus}>   ]            ;;
      [:TabStop   := !<.lTabStop.>   ]                   ;;
      [:HelpId   := <nHelpId>      ]                     ;;
      [:Default       := <.lDefault.>       ]            ;;
      [:AutoDefault   := <.lAutoDefault.>   ]            ;;
      [:Visible   := !<.lNoVisible.>   ]                 ;;
      [:Multiline   := <.lMultiLine.>   ]                ;;
      [:Picture   := <cPicture>      ]                   ;;
      [:PictAlignment   := If ( Upper(<"cAlignment">) == 'TOP', BTN_TOP , If( Upper(<"cAlignment">) == 'BOTTOM' , BTN_BOTTOM , If( Upper(<"cAlignment">) == 'LEFT' , BTN_LEFT , BTN_RIGHT ) ) ) ] ;;
   End <oObj>

#xcommand BUTTON <oObj> ;
      [ <dummy1: OF, PARENT>              <oParent>              ] ;
      [ AT                                <nRow> , <nCol>        ] ;
      [ ROW                               <nRow>                 ] ;
      [ COL                               <nCol>                 ] ;
      [ CAPTION                           <cCaption>             ] ;
      [ <dummy2: ACTION,ON CLICK,ONCLICK> <bOnClick>             ] ;
      [ WIDTH                             <nWidth>               ] ;
      [ HEIGHT                            <nHeight>              ] ;
      [ FONT                              <cFontName>            ] ;
      [ SIZE                              <nFontSize>            ] ;
      [ <lFontBold                      : BOLD>                  ] ;
      [ <lFontItalic                    : ITALIC>                ] ;
      [ <lFontUnderline                 : UNDERLINE>             ] ;
      [ <lFontStrikeout                 : STRIKEOUT>             ] ;
      [ BACKCOLOR                         <aBackColor>           ] ;
      [ FONTCOLOR                         <aFontColor>           ] ;
      [ <lTransparent                   : TRANSPARENT>           ] ;
      [ TOOLTIP                           <cToolTip>             ] ;
      [ <lFlat                          : FLAT>                  ] ;
      [ ON GOTFOCUS                       <bOnGotFocus>          ] ;
      [ ON LOSTFOCUS                      <bOnLostFocus>         ] ;
      [ <lNoTabStop                     : NOTABSTOP>             ] ;
      [ HELPID                            <nHelpId>              ] ;
      [ <lNoVisible                     : INVISIBLE>             ] ;
      [ <lMultiLine                     : MULTILINE>             ] ;
      [ PICTURE                           <cPicture>             ] ;
      [ <lDefault                       : DEFAULT>               ] ;
      [ <lAutoDefault                   : AUTODEFAULT>           ] ;
      [ <cAlignment                     : LEFT,RIGHT,TOP,BOTTOM> ] ;
   =>;
   With Object <oObj> := Button():New(<"oObj"> [ , <oParent> ])         ;;
      [:Caption       := <cCaption>         ]   ;;
      [:OnClick       := <{bOnClick}>       ]   ;;
      [:Row           := <nRow>             ]   ;;
      [:Col           := <nCol>             ]   ;;
      [:Width         := <nWidth>           ]   ;;
      [:Height        := <nHeight>          ]   ;;
      [:FontName      := <cFontName>        ]   ;;
      [:FontSize      := <nFontSize>        ]   ;;
      [:FontBold      := <.lFontBold.>      ]   ;;
      [:FontItalic    := <.lFontItalic.>    ]   ;;
      [:FontUnderline := <.lFontUnderline.> ]   ;;
      [:FontStrikeout := <.lFontStrikeout.> ]   ;;
      [:BackColor     := <aBackColor>       ]   ;;
      [:FontColor     := <aFontColor>       ]   ;;
      [:Transparent   := <.lTransparent.>   ]   ;;
      [:ToolTip       := <cToolTip>         ]   ;;
      [:Flat          := <.lFlat.>          ]   ;;
      [:OnGotFocus    := <{bOnGotFocus}>    ]   ;;
      [:OnLostFocus   := <{bOnLostFocus}>   ]   ;;
      [:TabStop       := !<.lNoTabStop.>    ]   ;;
      [:Default       := <.lDefault.>       ]   ;;
      [:AutoDefault   := <.lAutoDefault.>   ]   ;;
      [:HelpId        := <nHelpId>          ]   ;;
      [:Visible       := !<.lNoVisible.>    ]   ;;
      [:Multiline     := <.lMultiLine.>     ]   ;;
      [:Picture       := <cPicture>         ]   ;;
      [:PictAlignment := If ( Upper(<"cAlignment">) == 'TOP', BTN_TOP , If( Upper(<"cAlignment">) == 'BOTTOM' , BTN_BOTTOM , If( Upper(<"cAlignment">) == 'LEFT' , BTN_LEFT , BTN_RIGHT ) ) ) ] ;;
   End <oObj>

/*----------------------------------------------------------------------*/
//                            CheckButton
/*----------------------------------------------------------------------*/

#xcommand @ <nRow> , <nCol> CHECKBUTTON <oObj> ;
      [ <dummy1: OF, PARENT> <oParent> ] ;
      [ CAPTION <cCaption> ] ;
      [ <dummy2: ACTION,ON CLICK,ONCLICK> <bOnClick> ];
      [ WIDTH <nWidth> ] ;
      [ HEIGHT <nHeight> ] ;
      [ VALUE <lValue> ]            ;
      [ FONT <cFontName> ] ;
      [ SIZE <nFontSize> ] ;
      [ <lFontBold : BOLD> ] ;
      [ <lFontItalic : ITALIC> ] ;
      [ <lFontUnderline : UNDERLINE> ] ;
      [ <lFontStrikeout : STRIKEOUT> ] ;
      [ BACKCOLOR <aBackColor> ] ;
      [ FONTCOLOR <aFontColor> ] ;
      [ <lTransparent: TRANSPARENT> ] ;
      [ TOOLTIP <cToolTip> ] ;
      [ <lFlat: FLAT> ] ;
      [ ON GOTFOCUS <bOnGotFocus> ] ;
      [ ON LOSTFOCUS <bOnLostFocus> ] ;
      [ ON CHANGE    <bOnChange> ];
      [ <lTabStop: NOTABSTOP> ] ;
      [ HELPID <nHelpId> ]       ;
      [ <lNoVisible: INVISIBLE> ] ;
      [ <lMultiLine: MULTILINE> ] ;
      [ PICTURE <cPicture> ] ;
      [ <cAlignment:LEFT,RIGHT,TOP,BOTTOM> ] ;
   =>;
   With Object <oObj> := CheckButton():New(<"oObj"> [ , <oParent> ]) ;;
      [:Caption   := <cCaption>      ]   ;;
      [:OnClick   := <{bOnClick}>      ]   ;;
      [:Row      := <nRow>      ]   ;;
      [:Col      := <nCol>      ]   ;;
      [:Width      := <nWidth>      ]   ;;
      [:Height   := <nHeight>      ]   ;;
      [:Value       := <lValue>      ]   ;;
      [:FontName   := <cFontName>      ]   ;;
      [:FontSize   := <nFontSize>      ]   ;;
      [:FontBold   := <.lFontBold.>   ]   ;;
      [:FontItalic   := <.lFontItalic.>   ]   ;;
      [:FontUnderline   := <.lFontUnderline.>   ]   ;;
      [:FontStrikeout   := <.lFontStrikeout.>   ]   ;;
      [:BackColor   := <aBackColor>      ]   ;;
      [:FontColor   := <aFontColor>      ]   ;;
      [:Transparent   := <.lTransparent.>   ]   ;;
      [:ToolTip   := <cToolTip>      ]   ;;
      [:Flat      := <.lFlat.>      ]   ;;
      [:OnGotFocus   := <{bOnGotFocus}>   ]   ;;
      [:OnLostFocus   := <{bOnLostFocus}>   ]   ;;
      [:OnChange   := <{bOnChange}>   ]   ;;
      [:TabStop   := !<.lTabStop.>   ]   ;;
      [:HelpId   := <nHelpId>      ]   ;;
      [:Visible   := !<.lNoVisible.>   ]   ;;
      [:Multiline   := <.lMultiLine.>   ]   ;;
      [:Picture   := <cPicture>      ]   ;;
      [:PictAlignment   := If ( Upper(<"cAlignment">) == 'TOP', BTN_TOP , If( Upper(<"cAlignment">) == 'BOTTOM' , BTN_BOTTOM , If( Upper(<"cAlignment">) == 'LEFT' , BTN_LEFT , BTN_RIGHT ) ) ) ] ;;
   End <oObj>

/*----------------------------------------------------------------------*/
//                              Label
/*----------------------------------------------------------------------*/

#command @ <nRow>,<nCol> LABEL <oObj>   ;
   [ <dummy1: OF, PARENT> <oParent> ] ;
   [ VALUE <cValue> ]   ;
   [ ACTION <bOnClick> ] ;
   [ WIDTH <nWidth> ]   ;
   [ HEIGHT <nHeight> ]   ;
   [ <lAutoSize : AUTOSIZE> ] ;
   [ FONT <cFontName> ]   ;
   [ SIZE <nFontSize> ]   ;
   [ <lFontBold : BOLD> ] ;
   [ <lFontItalic : ITALIC> ] ;
   [ <lFontUnderline : UNDERLINE> ] ;
   [ <lFontStrikeout : STRIKEOUT> ] ;
   [ TOOLTIP <cToolTip> ] ;
   [ BACKCOLOR <aBackColor> ] ;
   [ FONTCOLOR <aFontColor> ] ;
   [ <lTransparent: TRANSPARENT> ] ;
   [ <lRightAlign: RIGHTALIGN> ]   ;
   [ <lCenterAlign: CENTERALIGN> ]   ;
   [ HELPID <nHelpId> ]       ;
   [ <lNoVisible: INVISIBLE> ] ;
   =>;
   With Object <oObj> := Label():New(<"oObj"> [ , <oParent> ]) ;;
      [:Value      := <cValue>      ]   ;;
      [:OnClick   := <bOnClick>      ]   ;;
      [:Row      := <nRow>      ]   ;;
      [:Col      := <nCol>      ]   ;;
      [:Width      := <nWidth>      ]   ;;
      [:Height   := <nHeight>      ]   ;;
      [:AutoSize   := <.lAutoSize.>   ]   ;;
      [:FontName   := <cFontName>      ]   ;;
      [:FontSize   := <nFontSize>      ]   ;;
      [:FontBold   := <.lFontBold.>   ]   ;;
      [:FontItalic   := <.lFontItalic.>   ]   ;;
      [:FontUnderline   := <.lFontUnderline.>   ]   ;;
      [:FontStrikeout   := <.lFontStrikeout.>   ]   ;;
      [:ToolTip   := <cToolTip>      ]   ;;
      [:BackColor   := <aBackColor>      ]   ;;
      [:FontColor   := <aFontColor>      ]   ;;
      [:Transparent   := <.lTransparent.>   ]   ;;
      [:HelpId   := <nHelpId>      ]   ;;
      [:Visible   := !<.lNoVisible.>   ]   ;;
      [:Alignment   := If ( <.lRightAlign.> , LBL_RIGHT , If( <.lCenterAlign.> , LBL_CENTER , LBL_LEFT ) ) ] ;;
   End <oObj>

#command @ <nRow>,<nCol> SAY <oObj>   ;
   [ <dummy1: OF, PARENT>   <oParent>          ] ;
   [ <dummy1: VALUE,PROMPT> <cValue>           ] ;
   [ ACTION                 <bOnClick>         ] ;
   [ WIDTH                  <nWidth>           ] ;
   [ HEIGHT                 <nHeight>          ] ;
   [ SIZE                   <nWidth>,<nHeight> ] ;
   [ <lAutoSize           : AUTOSIZE>          ] ;
   [ FONT                   <cFontName>        ] ;
   [ FONTSIZE               <nFontSize>        ] ;
   [ <lFontBold           : BOLD>              ] ;
   [ <lFontItalic         : ITALIC>            ] ;
   [ <lFontUnderline      : UNDERLINE>         ] ;
   [ <lFontStrikeout      : STRIKEOUT>         ] ;
   [ TOOLTIP                <cToolTip>         ] ;
   [ BACKCOLOR              <aBackColor>       ] ;
   [ FONTCOLOR              <aFontColor>       ] ;
   [ <lTransparent        : TRANSPARENT>       ] ;
   [ <lRightAlign         : RIGHTALIGN>        ] ;
   [ <lCenterAlign        : CENTERALIGN>       ] ;
   [ HELPID                 <nHelpId>          ] ;
   [ <lNoVisible          : INVISIBLE>         ] ;
   =>;
   With Object <oObj> := Label():New(<"oObj"> [ , <oParent> ]) ;;
      [:Value           := <cValue>           ]   ;;
      [:OnClick         := <bOnClick>         ]   ;;
      [:Row             := <nRow>             ]   ;;
      [:Col             := <nCol>             ]   ;;
      [:Width           := <nWidth>           ]   ;;
      [:Height          := <nHeight>          ]   ;;
      [:AutoSize        := <.lAutoSize.>      ]   ;;
      [:FontName        := <cFontName>        ]   ;;
      [:FontSize        := <nFontSize>        ]   ;;
      [:FontBold        := <.lFontBold.>      ]   ;;
      [:FontItalic      := <.lFontItalic.>    ]   ;;
      [:FontUnderline   := <.lFontUnderline.> ]   ;;
      [:FontStrikeout   := <.lFontStrikeout.> ]   ;;
      [:ToolTip         := <cToolTip>         ]   ;;
      [:BackColor       := <aBackColor>       ]   ;;
      [:FontColor       := <aFontColor>       ]   ;;
      [:Transparent     := <.lTransparent.>   ]   ;;
      [:HelpId          := <nHelpId>          ]   ;;
      [:Visible         := !<.lNoVisible.>    ]   ;;
      [:Alignment       := If ( <.lRightAlign.> , LBL_RIGHT , If( <.lCenterAlign.> , LBL_CENTER , LBL_LEFT ) ) ] ;;
   End <oObj>

/*----------------------------------------------------------------------*/
//                              HyperLink
/*----------------------------------------------------------------------*/

#command @ <nRow>,<nCol> HYPERLINK <oObj>   ;
   [ <dummy1: OF, PARENT> <oParent> ] ;
   [ VALUE <cValue> ]   ;
   [ ADDRESS <cAddress> ]   ;
   [ WIDTH <nWidth> ]   ;
   [ HEIGHT <nHeight> ]   ;
   [ <lAutoSize : AUTOSIZE> ] ;
   [ FONT <cFontName> ]   ;
   [ SIZE <nFontSize> ]   ;
   [ <lFontBold : BOLD> ] ;
   [ <lFontItalic : ITALIC> ] ;
   [ <lFontUnderline : UNDERLINE> ] ;
   [ <lFontStrikeout : STRIKEOUT> ] ;
   [ TOOLTIP <cToolTip> ] ;
   [ BACKCOLOR <aBackColor> ] ;
   [ <FONTCOLOR> <aFontColor> ] ;
   [ <lBorder: BORDER> ] ;
   [ <lClientEdge: CLIENTEDGE> ] ;
   [ <lHandCursor: HANDCURSOR> ] ;
   [ <lTransparent: TRANSPARENT> ] ;
   [ <lRightAlign: RIGHTALIGN> ]   ;
   [ <lCenterAlign: CENTERALIGN> ]   ;
   [ HELPID <nHelpId> ]       ;
   [ <lNoVisible: INVISIBLE> ] ;
   =>;
   With Object <oObj> := HyperLink():New(<"oObj"> [ , <oParent> ]) ;;
      [:Value      := <cValue>      ]   ;;
      [:Address   := <cAddress>  ]  ;;
      [:Row      := <nRow>         ]   ;;
      [:Col      := <nCol>         ]   ;;
      [:Width      := <nWidth>      ]   ;;
      [:Height   := <nHeight>      ]   ;;
      [:AutoSize   := <.lAutoSize.>   ]   ;;
      [:FontName   := <cFontName>      ]   ;;
      [:FontSize   := <nFontSize>      ]   ;;
      [:FontBold   := <.lFontBold.>   ]   ;;
      [:FontItalic   := <.lFontItalic.>   ]   ;;
      [:FontUnderline   := <.lFontUnderline.>   ]   ;;
      [:FontStrikeout   := <.lFontStrikeout.>   ]   ;;
      [:ToolTip   := <cToolTip>      ]   ;;
      [:BackColor   := <aBackColor>      ]   ;;
      [:FontColor   := <aFontColor>      ]   ;;
      [:Transparent   := <.lTransparent.>   ]   ;;
      [:HelpId   := <nHelpId>      ]   ;;
      [:Border   := <.lBorder.>   ]   ;;
      [:ClientEdge   := <.lClientEdge.>   ]   ;;
      [:HandCursor   := <.lHandCursor.>   ]   ;;
      [:Transparent   := <.lTransparent.>   ]   ;;
      [:Visible   := !<.lNoVisible.>   ]   ;;
      [:Alignment   := If ( <.lRightAlign.> , LBL_RIGHT , If( <.lCenterAlign.> , LBL_CENTER , LBL_LEFT ) ) ] ;;
   End <oObj>

/*----------------------------------------------------------------------*/
//                              CheckBox
/*----------------------------------------------------------------------*/

#xcommand @ <nRow>,<nCol> CHECKBOX <oObj>         ;
      [ <dummy1: OF, PARENT> <oParent> ]      ;
      [ CAPTION <cCaption>   ]         ;
      [ WIDTH <nWidth> ]            ;
      [ HEIGHT <nHeight> ]            ;
      [ FIELD <cField> ]            ;
      [ VALUE <lValue> ]            ;
      [ FONT <cFontName> ]            ;
      [ SIZE <nFontSize> ]            ;
      [ <lFontBold : BOLD> ]            ;
      [ <lFontItalic : ITALIC> ]         ;
      [ <lFontUnderline : UNDERLINE> ]      ;
      [ <lFontStrikeout : STRIKEOUT> ]      ;
      [ TOOLTIP <cToolTip> ]            ;
      [ BACKCOLOR <aBackColor> ]         ;
      [ FONTCOLOR <aFontColor> ]         ;
      [ ON GOTFOCUS <bOnGotFocus> ]         ;
      [ ON CHANGE <bOnChange> ]         ;
      [ ON LOSTFOCUS <bOnLostFocus> ]         ;
      [ <lTransparent: TRANSPARENT> ]         ;
      [ HELPID <nHelpId> ]            ;
       [ <lNoVisible: INVISIBLE> ] ;
      [ <lNoTabStop: NOTABSTOP> ] ;
   =>;
   With Object <oObj> := CheckBox():New(<"oObj"> [ , <oParent> ]) ;;
      [:Row      := <nRow>      ]   ;;
      [:Col      := <nCol>      ]   ;;
      [:Caption   := <cCaption>      ]   ;;
      [:Width      := <nWidth>      ]   ;;
      [:Value      := <lValue>      ]   ;;
      [:OnChange   := <{bOnChange}>   ]   ;;
      [:Height   := <nHeight>      ]   ;;
      [:Field      := <"cField">      ]   ;;
      [:FontName   := <cFontName>      ]   ;;
      [:FontSize   := <nFontSize>      ]   ;;
      [:FontBold   := <.lFontBold.>   ]   ;;
      [:FontItalic   := <.lFontItalic.>   ]   ;;
      [:FontUnderline   := <.lFontUnderline.>   ]   ;;
      [:FontStrikeout   := <.lFontStrikeout.>   ]   ;;
      [:ToolTip   := <cToolTip>      ]   ;;
      [:BackColor   := <aBackColor>      ]   ;;
      [:FontColor   := <aFontColor>      ]   ;;
      [:OnGotFocus   := <{bOnGotFocus}>   ]   ;;
      [:OnLostFocus   := <{bOnLostFocus}>   ]   ;;
      [:Transparent   := <.lTransparent.>   ]   ;;
      [:HelpId   := <nHelpId>      ]   ;;
      [:Visible   := !<.lNoVisible.>   ]   ;;
      [:TabStop   := !<.lNoTabStop.>   ]   ;;
   End <oObj>

/*----------------------------------------------------------------------*/
//                            Radiogroup
/*----------------------------------------------------------------------*/

#xcommand @ <nRow>,<nCol> RADIOGROUP <oObj>      ;
      [ <dummy1: OF, PARENT> <oParent> ]   ;
      [ OPTIONS <aOptions> ]         ;
      [ VALUE <nValue> ]         ;
      [ WIDTH <nWidth> ]         ;
      [ HEIGHT <nHeight> ]         ;
      [ SPACING <nSpacing> ]         ;
      [ FONT <cFontname> ]         ;
      [ SIZE <nFontsize> ]         ;
      [ <lFontBold : BOLD> ]         ;
      [ <lFontItalic : ITALIC> ]      ;
      [ <lFontUnderline : UNDERLINE> ]   ;
      [ <lFontStrikeout : STRIKEOUT> ]   ;
      [ TOOLTIP <cToolTip> ]         ;
      [ BACKCOLOR <aBackColor> ]      ;
      [ FONTCOLOR <aFontColor> ]      ;
      [ ON CHANGE <bOnChange> ]      ;
      [ <lTransparent: TRANSPARENT> ]      ;
      [ HELPID <nHelpId> ]         ;
      [ <lNoVisible: INVISIBLE> ]      ;
      [ <lNoTabStop: NOTABSTOP> ]      ;
      [ READONLY <aReadOnly> ]      ;
      [ <lHorizontal: HORIZONTAL> ]      ;
      [ CAPTION <cCaption>   ]      ;
   => ;
   With Object <oObj> := RadioGroup():New( <"oObj">[ , <oParent> ] );;
      [:Row           := <nRow>             ]   ;;
      [:Col           := <nCol>             ]   ;;
      [:Caption       := <cCaption>         ]   ;;
      [:Horizontal    := <.lHorizontal.>    ]   ;;
      [:Width         := <nWidth>           ]   ;;
      [:Height        := <nHeight>          ]   ;;
      [:FontName      := <cFontname>        ]   ;;
      [:FontSize      := <nFontsize>        ]   ;;
      [:FontBold      := <.lFontBold.>      ]   ;;
      [:FontItalic    := <.lFontItalic.>    ]   ;;
      [:FontUnderline := <.lFontUnderline.> ]   ;;
      [:FontStrikeout := <.lFontStrikeout.> ]   ;;
      [:ToolTip       := <cToolTip>         ]   ;;
      [:BackColor     := <aBackColor>       ]   ;;
      [:FontColor     := <aFontColor>       ]   ;;
      [:Transparent   := <.lTransparent.>   ]   ;;
      [:HelpId        := <nHelpId>          ]   ;;
      [:Visible       := !<.lNoVisible.>    ]   ;;
      [:TabStop       := !<.lNoTabStop.>    ]   ;;
      [:Spacing       := <nSpacing>         ]   ;;
      [:ReadOnly      := <aReadOnly>        ]   ;;
      [:Options       := <aOptions>         ]   ;;
      [:Value         := <nValue>           ]   ;;
      [:OnChange      := <{bOnChange}>      ]   ;;
   End <oObj>

/*----------------------------------------------------------------------*/
//                            TextBox
/*----------------------------------------------------------------------*/

// Standard, Numeric, Date and Char Masked TextBox

#command @ <nRow>, <nCol> TEXTBOX <oObj>                        ;
         [ <dummy1: OF, PARENT> <oParent> ]      ;
         [ HEIGHT <nHeight> ]                   ;
         [ WIDTH <nWidth> ]                     ;
         [ FIELD <cField> ]            ;
         [ VALUE <cValue> ]                     ;
         [ < lReadOnly: READONLY > ]          ;
         [ FONT <cFontName> ]                   ;
         [ SIZE <nFontSize> ]                   ;
         [ <lFontBold : BOLD> ]            ;
         [ <lFontItalic : ITALIC> ]         ;
         [ <lFontUnderline : UNDERLINE> ]      ;
         [ <lFontStrikeout : STRIKEOUT> ]      ;
         [ TOOLTIP <cToolTip> ]                 ;
         [ BACKCOLOR <aBackColor> ]         ;
         [ FONTCOLOR <aFontColor> ]         ;
         [ DISABLEDBACKCOLOR <aDisabledBackColor> ]   ;
         [ DISABLEDFONTCOLOR <aDisabledFontColor> ]   ;
         [ MAXLENGTH <nMaxLength> ]         ;
         [ <lUpper: UPPERCASE> ]            ;
         [ <lLower: LOWERCASE> ]            ;
         [ <lNumeric: NUMERIC> ]            ;
         [ <lDate: DATE> ]                  ;
         [ <lPassWord: PASSWORD> ]         ;
         [ INPUTMASK <cInputMask> ]      ;
         [ FORMAT <cFormat> ]      ;
         [ ON CHANGE <bOnChange> ]         ;
         [ ON GOTFOCUS <bOnGotFocus> ]         ;
         [ ON LOSTFOCUS <bOnLostFocus> ]         ;
         [ ON ENTER <bOnEnter> ]      ;
         [ <lRightAlign: RIGHTALIGN> ]   ;
         [ <lNoVisible: INVISIBLE> ]   ;
         [ <lNoTabStop: NOTABSTOP> ]   ;
         [ HELPID <nHelpId> ]       ;
   =>;
   With Object <oObj> := TextBox():New(<"oObj"> [ , <oParent> ]) ;;
      [:Row      := <nRow>      ]   ;;
      [:Col      := <nCol>      ]   ;;
      [:Width      := <nWidth>      ]   ;;
      [:Height   := <nHeight>      ]   ;;
      [:Field      := <"cField">      ]   ;;
      [:Value      := <cValue>      ]   ;;
      [:lReadOnly   := <.lReadOnly.>   ]   ;;
      [:FontName   := <cFontName>      ]   ;;
      [:FontSize   := <nFontSize>      ]   ;;
      [:FontBold   := <.lFontBold.>   ]   ;;
      [:FontItalic   := <.lFontItalic.>   ]   ;;
      [:FontUnderline   := <.lFontUnderline.>   ]   ;;
      [:FontStrikeout   := <.lFontStrikeout.>   ]   ;;
      [:ToolTip   := <cToolTip>      ]   ;;
      [:BackColor   := <aBackColor>      ]   ;;
      [:FontColor   := <aFontColor>      ]   ;;
      [:MaxLength   := <nMaxLength>      ]   ;;
      [:PassWord   := <.lPassWord.>   ]   ;;
      [:InputMask   := <cInputMask>      ]   ;;
      [:Format   := <cFormat>      ]   ;;
      [:OnChange   := <{bOnChange}>   ]   ;;
      [:OnGotFocus   := <{bOnGotFocus}>   ]   ;;
      [:OnLostFocus   := <{bOnLostFocus}>   ]   ;;
      [:OnEnter   := <{bOnEnter}>      ]   ;;
      [:Visible   := !<.lNoVisible.>   ]   ;;
      [:TabStop   := !<.lNoTabStop.>   ]   ;;
      [:HelpId   := <nHelpId>      ]   ;;
      [:Alignment      := if( <.lRightAlign.> , 2 , 0 ) ]         ;;
      [:DisabledBackColor   := <aDisabledBackColor>   ]            ;;
      [:DisabledFontColor   := <aDisabledFontColor>   ]            ;;
      [:CaseConvert      := if ( <.lUpper.> , 1 , If( <.lLower.> , 2 , 0  )  ) ]   ;;
      [:DataType      := if ( <.lNumeric.> , 1 , if( <.lDate.> , 2 ,0 )) ]         ;;
   End <oObj>

/*----------------------------------------------------------------------*/
//                               EditBox
/*----------------------------------------------------------------------*/

#command @ <nRow>, <nCol> EDITBOX <oObj>                        ;
         [ <dummy1: OF, PARENT> <oParent> ]      ;
         [ HEIGHT <nHeight> ]                   ;
         [ WIDTH <nWidth> ]                     ;
         [ FIELD <cField> ]            ;
         [ VALUE <cValue> ]                     ;
         [ <lReadOnly: READONLY> ]          ;
         [ FONT <cFontName> ]                   ;
         [ SIZE <nFontSize> ]                   ;
         [ <lFontBold : BOLD> ]            ;
         [ <lFontItalic : ITALIC> ]         ;
         [ <lFontUnderline : UNDERLINE> ]      ;
         [ <lFontStrikeout : STRIKEOUT> ]      ;
         [ TOOLTIP <cToolTip> ]                 ;
         [ BACKCOLOR <aBackColor> ]         ;
         [ FONTCOLOR <aFontColor> ]         ;
         [ DISABLEDBACKCOLOR <aDisabledBackColor> ]   ;
         [ DISABLEDFONTCOLOR <aDisabledFontColor> ]   ;
         [ MAXLENGTH <nMaxLength> ]         ;
         [ ON CHANGE <bOnChange> ]         ;
         [ ON GOTFOCUS <bOnGotFocus> ]         ;
         [ ON LOSTFOCUS <bOnLostFocus> ]         ;
         [ <lNoVisible: INVISIBLE> ]   ;
         [ <lNoTabStop: NOTABSTOP> ]   ;
         [ <lNoVScroll: NOVSCROLL> ]   ;
         [ <lNoHScroll: NOHSCROLL> ]   ;
         [ <dummy: VSCROLLBAR> [<d1>] ]   ;
         [ <dummy: HSCROLLBAR>  [<d1>]]   ;
                        [ HELPID <nHelpId> ]       ;
   =>;
   With Object <oObj> := EditBox():New(<"oObj"> [ , <oParent> ]) ;;
      [:Row      := <nRow>      ]   ;;
      [:Col      := <nCol>      ]   ;;
      [:Width      := <nWidth>      ]   ;;
      [:Height   := <nHeight>      ]   ;;
      [:Field      := <"cField">      ]   ;;
      [:Value      := <cValue>      ]   ;;
      [:lReadOnly   := <.lReadOnly.>   ]   ;;
      [:FontName   := <cFontName>      ]   ;;
      [:FontSize   := <nFontSize>      ]   ;;
      [:FontBold   := <.lFontBold.>   ]   ;;
      [:FontItalic   := <.lFontItalic.>   ]   ;;
      [:FontUnderline   := <.lFontUnderline.>   ]   ;;
      [:FontStrikeout   := <.lFontStrikeout.>   ]   ;;
      [:ToolTip   := <cToolTip>      ]   ;;
      [:BackColor   := <aBackColor>      ]   ;;
      [:FontColor   := <aFontColor>      ]   ;;
      [:MaxLength   := <nMaxLength>      ]   ;;
      [:OnChange   := <{bOnChange}>   ]   ;;
      [:OnGotFocus   := <{bOnGotFocus}>   ]   ;;
      [:OnLostFocus   := <{bOnLostFocus}>   ]   ;;
      [:Visible   := !<.lNoVisible.>   ]   ;;
      [:TabStop   := !<.lNoTabStop.>   ]   ;;
      [:HelpId   := <nHelpId>      ]   ;;
      [:DisabledBackColor   := <aDisabledBackColor>   ]            ;;
      [:DisabledFontColor   := <aDisabledFontColor>   ]            ;;
      [:ScrollBars      := if ( !<.lNoVScroll.>   .and. !<.lNoHScroll.> , EDB_NONE , if( <.lNoVScroll.> .and. !<.lNoHScroll.> , EDB_HORIZONTAL , if( !<.lNoVScroll.> .and. <.lNoHScroll.> , EDB_VERTICAL , EDB_BOTH ) ) ) ]   ;;
   End <oObj>

/*----------------------------------------------------------------------*/
//                              IpAddress
/*----------------------------------------------------------------------*/

#command @ <nRow>, <nCol> IPADDRESS <oObj>                        ;
         [ <dummy1: OF, PARENT> <oParent> ]      ;
         [ HEIGHT <nHeight> ]                   ;
         [ WIDTH <nWidth> ]                     ;
         [ FIELD <cField> ]            ;
         [ VALUE <aValue> ]                     ;
         [ <lReadOnly: READONLY> ]          ;
         [ FONT <cFontName> ]                   ;
         [ SIZE <nFontSize> ]                   ;
         [ <lFontBold : BOLD> ]            ;
         [ <lFontItalic : ITALIC> ]         ;
         [ <lFontUnderline : UNDERLINE> ]      ;
         [ <lFontStrikeout : STRIKEOUT> ]      ;
         [ TOOLTIP <cToolTip> ]                 ;
         [ BACKCOLOR <aBackColor> ]         ;
         [ FONTCOLOR <aFontColor> ]         ;
         [ DISABLEDBACKCOLOR <aDisabledBackColor> ]   ;
         [ DISABLEDFONTCOLOR <aDisabledFontColor> ]   ;
         [ ON CHANGE <bOnChange> ]         ;
         [ ON GOTFOCUS <bOnGotFocus> ]         ;
         [ ON LOSTFOCUS <bOnLostFocus> ]         ;
         [ <lNoVisible: INVISIBLE> ]   ;
         [ <lNoTabStop: NOTABSTOP> ]   ;
         [ HELPID <nHelpId> ]       ;
   =>;
   With Object <oObj> := IpAddress():New(<"oObj"> [ , <oParent> ]) ;;
      [:Row      := <nRow>      ]   ;;
      [:Col      := <nCol>      ]   ;;
      [:Width      := <nWidth>      ]   ;;
      [:Height   := <nHeight>      ]   ;;
      [:Field      := <"cField">      ]   ;;
      [:Value      := <aValue>      ]   ;;
      [:lReadOnly   := <.lReadOnly.>   ]   ;;
      [:FontName   := <cFontName>      ]   ;;
      [:FontSize   := <nFontSize>      ]   ;;
      [:FontBold   := <.lFontBold.>   ]   ;;
      [:FontItalic   := <.lFontItalic.>   ]   ;;
      [:FontUnderline   := <.lFontUnderline.>   ]   ;;
      [:FontStrikeout   := <.lFontStrikeout.>   ]   ;;
      [:ToolTip   := <cToolTip>      ]   ;;
      [:BackColor   := <aBackColor>      ]   ;;
      [:FontColor   := <aFontColor>      ]   ;;
      [:OnChange   := <{bOnChange}>   ]   ;;
      [:OnGotFocus   := <{bOnGotFocus}>   ]   ;;
      [:OnLostFocus   := <{bOnLostFocus}>   ]   ;;
      [:Visible   := !<.lNoVisible.>   ]   ;;
      [:TabStop   := !<.lNoTabStop.>   ]   ;;
      [:HelpId   := <nHelpId>      ]   ;;
      [:DisabledBackColor   := <aDisabledBackColor>   ]            ;;
      [:DisabledFontColor   := <aDisabledFontColor>   ]            ;;
   End <oObj>            ;;

/*----------------------------------------------------------------------*/
//                            Spinner
/*----------------------------------------------------------------------*/

#command @ <nRow>,<nCol> SPINNER <oObj> ;
      [ <dummy1: OF, PARENT> <oParent> ] ;
      RANGE <nRangeMin> , <nRangeMax> ;
      [ VALUE <nValue> ] ;
      [ WIDTH <nWidth> ] ;
      [ HEIGHT <nHeight> ] ;
      [ FONT <cFontName> ] ;
      [ SIZE <nFontSize> ] ;
      [ <lFontBold : BOLD> ] ;
      [ <lFontItalic : ITALIC> ] ;
      [ <lFontUnderLine : UNDERLINE> ] ;
      [ <lFontStrikeout : STRIKEOUT> ] ;
      [ TOOLTIP <cToolTip> ] ;
      [ BACKCOLOR <aBackColor> ] ;
      [ FONTCOLOR <aFontColor> ] ;
      [ ON GOTFOCUS <bOnGotFocus> ] ;
      [ ON CHANGE <bOnChange> ] ;
      [ ON LOSTFOCUS <bOnLostFocus> ] ;
      [ HELPID <nHelpId> ]       ;
      [ <lNoVisible : INVISIBLE> ] ;
      [ <lNoTabStop : NOTABSTOP> ] ;
      [ <lWrap : WRAP> ] ;
      [ <lReadOnly : READONLY> ] ;
      [ INCREMENT <nIncrement> ] ;
   =>;
   With Object <oObj> := Spinner():New( <"oObj">[ , <oParent> ] ) ;;
      [:RangeMin   := <nRangeMin>      ]   ;;
      [:RangeMax   := <nRangeMax>      ]   ;;
      [:Value      := <nValue>      ]   ;;
      [:Row      := <nRow>      ]   ;;
      [:Col      := <nCol>      ]   ;;
      [:Width      := <nWidth>      ]   ;;
      [:Height   := <nHeight>      ]   ;;
      [:FontName   := <cFontName>      ]   ;;
      [:FontSize   := <nFontSize>      ]   ;;
      [:FontBold   := <.lFontBold.>   ]   ;;
      [:FontItalic   := <.lFontItalic.>   ]   ;;
      [:FontUnderline   := <.lFontUnderLine.>   ]   ;;
      [:FontStrikeout   := <.lFontStrikeout.>   ]   ;;
      [:ToolTip   := <cToolTip>      ]   ;;
      [:BackColor   := <aBackColor>      ]   ;;
      [:FontColor   := <aFontColor>      ]   ;;
      [:OnChange   := <{bOnChange}>   ]   ;;
      [:OnGotFocus   := <{bOnGotFocus}>   ]   ;;
      [:OnLostFocus   := <{bOnLostFocus}>   ]   ;;
      [:HelpId   := <nHelpId>      ]   ;;
      [:Visible   := !<.lNoVisible.>   ]   ;;
      [:TabStop   := !<.lNoTabStop.>   ]   ;;
      [:Wrap      := <.lWrap.> ]          ;;
      [:Increment   := <nIncrement>      ]   ;;
   End <oObj>

/*----------------------------------------------------------------------*/
//                                  Grid
/*----------------------------------------------------------------------*/

#command @ <nRow>,<nCol> GRID <oObj>          ;
      [ <dummy1: OF, PARENT> <oParent> ]   ;
      [ WIDTH <nWidth> ]          ;
      [ HEIGHT <nHeight> ]          ;
      [ HEADERS <aColumnHeaders> ]       ;
      [ WIDTHS <aColumnWidths> ]       ;
      [ ITEMS <aItems> ]          ;
      [ VALUE <xValue> ]          ;
      [ FONT <cFontName> ]          ;
      [ SIZE <nFontSize> ]          ;
      [ <lFontBold : BOLD> ]         ;
      [ <lFontItalic : ITALIC> ]      ;
      [ <lFontUnderline : UNDERLINE> ]   ;
      [ <lFontStrikeout : STRIKEOUT> ]   ;
      [ TOOLTIP <cToolTip> ]        ;
      [ BACKCOLOR <aBackColor> ]      ;
      [ FONTCOLOR <aFontColor> ]      ;
      [ DYNAMICBACKCOLOR <aDynamicBackColor> ];
      [ DYNAMICFORECOLOR <aDynamicForeColor> ];
      [ ON GOTFOCUS <bOnGotFocus> ]       ;
      [ ON CHANGE <bOnChange> ]        ;
      [ ON LOSTFOCUS <bOnLostFocus> ]    ;
      [ ON DBLCLICK <bOnDblClick> ]        ;
      [ ON HEADCLICK <aOnHeadClick> ]    ;
      [ <lAllowEdit : EDIT> ]         ;
      [ COLUMNCONTROLS <aColumnControls> ]   ;
      [ COLUMNVALID <aColumnValid> ]      ;
      [ COLUMNWHEN <aColumnWhen> ]      ;
      [ <lVirtual: VIRTUAL> ]       ;
      [ ITEMCOUNT <nItemCount> ]      ;
      [ ON QUERYDATA <bOnQueryData> ]    ;
      [ <lMultiSelect: MULTISELECT> ]      ;
      [ <lNoLines: NOLINES> ]       ;
      [ <lNoShowHeaders: NOHEADERS> ]      ;
      [ IMAGE <aImage> ]          ;
      [ JUSTIFY <aColumnJustify> ]       ;
      [ HELPID <nHelpId> ]          ;
      [ <lBreak: BREAK> ]          ;
      [ HEADERIMAGES <aHeaderImages> ]   ;
      [ <lCellNavigation: CELLNAVIGATION> ]   ;
      [ ROWSOURCE <cRowSource> ]      ;
      [ COLUMNFIELDS <aColumnFields> ]   ;
      [ <lAllowAppend : ALLOWAPPEND> ]   ;
      [ <lAllowDelete : ALLOWDELETE> ]   ;
      [ DYNAMICDISPLAY <aDynamicDisplay> ]   ;
      [ ON SAVE <bOnSave> ]           ;
      [ LOCKCOLUMNS <nLockColumns> ]      ;
   =>;
   With Object <oObj> := Grid():New(<"oObj"> [ , <oParent> ]) ;;
      [:Row      := <nRow>      ]   ;;
      [:Col      := <nCol>      ]   ;;
      [:Width      := <nWidth>      ]   ;;
      [:Height   := <nHeight>      ]   ;;
      [:ColumnHeaders   := <aColumnHeaders>   ]   ;;
      [:ColumnWidths   := <aColumnWidths>   ]   ;;
      [:Items      := <aItems>      ]   ;;
      [:Value      := <xValue>      ]   ;;
      [:FontName   := <cFontName>      ]   ;;
      [:FontSize   := <nFontSize>      ]   ;;
      [:FontBold   := <.lFontBold.>   ]   ;;
      [:FontItalic   := <.lFontItalic.>   ]   ;;
      [:FontUnderline   := <.lFontUnderline.>   ]   ;;
      [:FontStrikeout   := <.lFontStrikeout.>   ]   ;;
      [:ToolTip   := <cToolTip>      ]   ;;
      [:BackColor   := <aBackColor>      ]   ;;
      [:FontColor   := <aFontColor>      ]   ;;
      [:OnChange   := <{bOnChange}>   ]   ;;
      [:OnGotFocus   := <{bOnGotFocus}>   ]   ;;
      [:OnLostFocus   := <{bOnLostFocus}>   ]   ;;
      [:OnDblClick   := <{bOnDblClick}>   ]   ;;
      [:OnHeadClick   := <aOnHeadClick>   ]   ;;
      [:AllowEdit   := <.lAllowEdit.>   ]   ;;
      [:ColumnControls:= <aColumnControls>   ]   ;;
      [:ColumnValid   := <aColumnValid>   ]   ;;
      [:ColumnWhen   := <aColumnWhen>   ]   ;;
      [:Virtual   := <.lVirtual.>      ]   ;;
      [:ItemCount   := <nItemCount>      ]   ;;
      [:OnQueryData   := <bOnQueryData>   ]   ;;
      [:MultiSelect   := <.lMultiSelect.>   ]   ;;
      [:Lines      := !<.lNoLines.>   ]   ;;
      [:ShowHeaders   := !<.lNoShowHeaders.>   ]   ;;
      [:Image      := <aImage>      ]   ;;
      [:ColumnJustify   := <aColumnJustify>   ]   ;;
      [:HelpId   := <nHelpId>      ]   ;;
      [:Break      := <.lBreak.>      ]   ;;
      [:HeaderImages   := <aHeaderImages>   ]   ;;
      [:CellNavigation:= <.lCellNavigation.>   ]   ;;
      [:RowSource   := <cRowSource>      ]   ;;
      [:ColumnFields   := <aColumnFields>   ]   ;;
      [:AllowAppend   := <.lAllowAppend.>   ]   ;;
      [:AllowDelete   := <.lAllowDelete.>   ]   ;;
      [:DynamicDisplay:= <aDynamicDisplay>   ]   ;;
      [:OnSave   := <{bOnSave}>      ]   ;;
      [:LockColumns   := <nLockColumns>   ]   ;;
      [:DynamicBackColor   := <aDynamicBackColor>   ]   ;;
      [:DynamicForeColor   := <aDynamicForeColor>   ]   ;;
   End <oObj>

/*----------------------------------------------------------------------*/
//                                  VirtualGrid
/*----------------------------------------------------------------------*/

#command @ <nRow>,<nCol> VIRTUALGRID <oObj>          ;
      [ <dummy1: OF, PARENT> <oParent> ]   ;
      [ WIDTH <nWidth> ]          ;
      [ HEIGHT <nHeight> ]          ;
      [ HEADERS <aColumnHeaders> ]       ;
      [ WIDTHS <aColumnWidths> ]       ;
      [ ITEMS <aItems> ]          ;
      [ VALUE <xValue> ]          ;
      [ FONT <cFontName> ]          ;
      [ SIZE <nFontSize> ]          ;
      [ <lFontBold : BOLD> ]         ;
      [ <lFontItalic : ITALIC> ]      ;
      [ <lFontUnderline : UNDERLINE> ]   ;
      [ <lFontStrikeout : STRIKEOUT> ]   ;
      [ TOOLTIP <cToolTip> ]        ;
      [ BACKCOLOR <aBackColor> ]      ;
      [ FONTCOLOR <aFontColor> ]      ;
      [ DYNAMICBACKCOLOR <aDynamicBackColor> ];
      [ DYNAMICFORECOLOR <aDynamicForeColor> ];
      [ ON GOTFOCUS <bOnGotFocus> ]       ;
      [ ON CHANGE <bOnChange> ]        ;
      [ ON LOSTFOCUS <bOnLostFocus> ]    ;
      [ ON DBLCLICK <bOnDblClick> ]        ;
      [ ON HEADCLICK <aOnHeadClick> ]    ;
      [ <lAllowEdit : EDIT> ]         ;
      [ COLUMNCONTROLS <aColumnControls> ]   ;
      [ COLUMNVALID <aColumnValid> ]      ;
      [ COLUMNWHEN <aColumnWhen> ]      ;
      [ <lVirtual: VIRTUAL> ]       ;
      [ ITEMCOUNT <nItemCount> ]      ;
      [ ON QUERYDATA <bOnQueryData> ]    ;
      [ <lMultiSelect: MULTISELECT> ]      ;
      [ <lNoLines: NOLINES> ]       ;
      [ <lNoShowHeaders: NOHEADERS> ]      ;
      [ IMAGE <aImage> ]          ;
      [ JUSTIFY <aColumnJustify> ]       ;
      [ HELPID <nHelpId> ]          ;
      [ <lBreak: BREAK> ]          ;
      [ HEADERIMAGES <aHeaderImages> ]   ;
      [ <lCellNavigation: CELLNAVIGATION> ]   ;
      [ ROWSOURCE <cRowSource> ]      ;
      [ COLUMNFIELDS <aColumnFields> ]   ;
      [ <lAllowAppend : ALLOWAPPEND> ]   ;
      [ <lAllowDelete : ALLOWDELETE> ]   ;
      [ DYNAMICDISPLAY <aDynamicDisplay> ]   ;
      [ ON SAVE <bOnSave> ]           ;
      [ LOCKCOLUMNS <nLockColumns> ]      ;
   =>;
   With Object <oObj> := VirtualGrid():New(<"oObj"> [ , <oParent> ]) ;;
      [:Row      := <nRow>      ]   ;;
      [:Col      := <nCol>      ]   ;;
      [:Width      := <nWidth>      ]   ;;
      [:Height   := <nHeight>      ]   ;;
      [:ColumnHeaders   := <aColumnHeaders>   ]   ;;
      [:ColumnWidths   := <aColumnWidths>   ]   ;;
      [:Items      := <aItems>      ]   ;;
      [:CellNavigation:= <.lCellNavigation.>   ]   ;;
      [:MultiSelect   := <.lMultiSelect.>   ]   ;;
      [:Value      := <xValue>      ]   ;;
      [:FontName   := <cFontName>      ]   ;;
      [:FontSize   := <nFontSize>      ]   ;;
      [:FontBold   := <.lFontBold.>   ]   ;;
      [:FontItalic   := <.lFontItalic.>   ]   ;;
      [:FontUnderline   := <.lFontUnderline.>   ]   ;;
      [:FontStrikeout   := <.lFontStrikeout.>   ]   ;;
      [:ToolTip   := <cToolTip>      ]   ;;
      [:BackColor   := <aBackColor>      ]   ;;
      [:FontColor   := <aFontColor>      ]   ;;
      [:OnChange   := <{bOnChange}>   ]   ;;
      [:OnGotFocus   := <{bOnGotFocus}>   ]   ;;
      [:OnLostFocus   := <{bOnLostFocus}>   ]   ;;
      [:OnDblClick   := <{bOnDblClick}>   ]   ;;
      [:OnHeadClick   := <aOnHeadClick>   ]   ;;
      [:AllowEdit   := <.lAllowEdit.>   ]   ;;
      [:ColumnControls:= <aColumnControls>   ]   ;;
      [:ColumnValid   := <aColumnValid>   ]   ;;
      [:ColumnWhen   := <aColumnWhen>   ]   ;;
      [:Virtual   := <.lVirtual.>      ]   ;;
      [:ItemCount   := <nItemCount>      ]   ;;
      [:OnQueryData   := <bOnQueryData>   ]   ;;
      [:Lines      := !<.lNoLines.>   ]   ;;
      [:ShowHeaders   := !<.lNoShowHeaders.>   ]   ;;
      [:Image      := <aImage>      ]   ;;
      [:ColumnJustify   := <aColumnJustify>   ]   ;;
      [:HelpId   := <nHelpId>      ]   ;;
      [:Break      := <.lBreak.>      ]   ;;
      [:HeaderImages   := <aHeaderImages>   ]   ;;
      [:RowSource   := <cRowSource>      ]   ;;
      [:ColumnFields   := <aColumnFields>   ]   ;;
      [:AllowAppend   := <.lAllowAppend.>   ]   ;;
      [:AllowDelete   := <.lAllowDelete.>   ]   ;;
      [:DynamicDisplay:= <aDynamicDisplay>   ]   ;;
      [:OnSave   := <{bOnSave}>      ]   ;;
      [:LockColumns   := <nLockColumns>   ]   ;;
      [:DynamicBackColor   := <aDynamicBackColor>   ]   ;;
      [:DynamicForeColor   := <aDynamicForeColor>   ]   ;;
   End <oObj>

/*----------------------------------------------------------------------*/
//                                Tab
/*----------------------------------------------------------------------*/

#command DEFINE TAB <oObj> ;
      [ <dummy1: OF, PARENT> <oParent> ] ;
      AT <nRow> , <nCol> ;
      WIDTH <nWidth> ;
      HEIGHT <nHeight> ;
      [ VALUE <nValue> ] ;
      [ FONT <cFontName> ] ;
      [ SIZE <nFontSize> ] ;
      [ <lFontBold : BOLD> ] ;
      [ <lFontItalic : ITALIC> ] ;
      [ <lFontUnderline : UNDERLINE> ] ;
      [ <lFontStrikeout : STRIKEOUT> ] ;
      [ TOOLTIP <cToolTip> ] ;
                [ <lButtons: BUTTONS> ]       ;
                [ <lFlat: FLAT> ]       ;
      [ ON CHANGE <bOnChange> ] ;
                [ <lNoTabStop: NOTABSTOP> ]       ;
                [ <lMultiLine: MULTILINE> ]       ;
   =>;
   With Object <oObj> := Tab():New( <"oObj">[ , <oParent> ] ) ;;
      [:Row           := <nRow>             ]   ;;
      [:Col           := <nCol>             ]   ;;
      [:Width         := <nWidth>           ]   ;;
      [:Height        := <nHeight>          ]   ;;
      [:Value         := <nValue>           ]   ;;
      [:FontName      := <cFontName>        ]   ;;
      [:FontSize      := <nFontSize>        ]   ;;
      [:FontBold      := <.lFontBold.>      ]   ;;
      [:FontItalic    := <.lFontItalic.>    ]   ;;
      [:FontUnderline := <.lFontUnderline.> ]   ;;
      [:FontStrikeout := <.lFontStrikeout.> ]   ;;
      [:ToolTip       := <cToolTip>         ]   ;;
      [:OnChange      := <{bOnChange}>      ]   ;;
      [:Flat          := <.lFlat.>          ]   ;;
      [:TabStop       := !<.lNoTabStop.>    ]   ;;
      [:MultiLine     := <.lMultiLine.>     ]


#command DEFINE TAB <oObj> ;
      [ <dummy1: OF, PARENT> <oParent> ] ;
      ROW <nRow> ;
      COL <nCol> ;
      WIDTH <nWidth> ;
      HEIGHT <nHeight> ;
      [ VALUE <nValue> ] ;
      [ FONTNAME <cFontName> ] ;
      [ FONTSIZE <nFontSize> ] ;
      [ FONTBOLD <lFontBold> ] ;
      [ FONTITALIC <lFontItalic> ] ;
      [ FONTUNDERLINE <lFontUnderline> ] ;
      [ FONTSTRIKEOUT <lFontStrikeout> ] ;
      [ TOOLTIP <cTooltip> ] ;
                [ BUTTONS <lButtons> ]       ;
                [ FLAT <lFlat> ]       ;
      [ ON CHANGE <bOnChange> ] ;
                [ TABSTOP <lTabStop> ]       ;
                [ MULTILINE <lMultiLine> ]       ;
   =>;
   With Object <oObj> := Tab():New( <"oObj">[ , <oParent> ] );;
      [:Row           := <nRow>             ]   ;;
      [:Col           := <nCol>             ]   ;;
      [:Width         := <nWidth>           ]   ;;
      [:Height        := <nHeight>          ]   ;;
      [:Value         := <nValue>           ]   ;;
      [:FontName      := <cFontName>        ]   ;;
      [:FontSize      := <nFontSize>        ]   ;;
      [:FontBold      := <.lFontBold.>      ]   ;;
      [:FontItalic    := <.lFontItalic.>    ]   ;;
      [:FontUnderline := <.lFontUnderline.> ]   ;;
      [:FontStrikeout := <.lFontStrikeout.> ]   ;;
      [:ToolTip       := <cTooltip>         ]   ;;
      [:OnChange      := <{bOnChange}>      ]   ;;
      [:Flat          := <.lFlat.>          ]   ;;
      [:TabStop       := <.lTabStop.>       ]   ;;
      [:MultiLine     := <.lMultiLine.>     ]

// Page With Name

#command PAGE <cCaption> [ IMAGE <cImage> ] NAME <oObj> [ <dummy1: OF, PARENT> <oParent> ] ;
   =>;
   With Object <oObj> := TabPage():New( <"oObj">[ , <oParent> ] )   ;;
      :Caption := <cCaption>      ;;
      [ :Image := <cImage> ]

#command DEFINE PAGE <cCaption> [ IMAGE <cImage> ] NAME <oObj> [ <dummy1: OF, PARENT> <oParent> ];
   =>;
   With Object <oObj> := TabPage():New( <"oObj">[ , <oParent> ] )   ;;
      :Caption := <cCaption>      ;;
      [ :Image := <cImage> ]

#command DEFINE TAB PAGE <cCaption> [ IMAGE <cImage> ] NAME <oObj> [ <dummy1: OF, PARENT> <oParent> ];
   =>;
   With Object <oObj> := TabPage():New( <"oObj">[ , <oParent> ] )   ;;
      :Caption := <cCaption>      ;;
      [ :Image := <cImage> ]

// Page Without Name

#command PAGE <oObj> [ IMAGE <cImage> ] [ <dummy1: OF, PARENT> <oParent> ];
   =>;
   With Object &(<oObj>) := TabPage():New( <oObj>[ , <oParent> ] )   ;;
      :Caption := <oObj>       ;;
      [ :Image := <cImage> ]

#command DEFINE PAGE <oObj> [ IMAGE <cImage> ] [ <dummy1: OF, PARENT> <oParent> ];
   =>;
   With Object &(<oObj>) := TabPage():New( <oObj>[ , <oParent> ] )   ;;
      :Caption := <oObj>          ;;
      [ :Image := <cImage> ]

#command DEFINE TAB PAGE <oObj> [ IMAGE <cImage> ] [ <dummy1: OF, PARENT> <oParent> ];
   =>;
   With Object &(<oObj>) := TabPage():New( <oObj>[ , <oParent> ] )   ;;
      :Caption := <oObj>          ;;
      [ :Image := <cImage> ]

//

#command END PAGE  ;
   =>;
   End With

#xcommand END TAB => End With

/*----------------------------------------------------------------------*/
//                             ComboBox
/*----------------------------------------------------------------------*/

#xcommand @ <nRow>,<nCol> COMBOBOX <oObj>      ;
      [ <dummy1: OF, PARENT> <oParent> ]   ;
      [ WIDTH <nWidth> ]         ;
      [ HEIGHT <nHeight> ]         ;
      [ ITEMS <aItems> ]         ;
      [ ITEMSOURCE <cItemSource> ]      ;
      [ VALUE <xValue> ]         ;
      [ VALUESOURCE <cValueSource> ]      ;
      [ <lDisplayEdit : DISPLAYEDIT> ]   ;
      [ FONT <cFontName> ]         ;
      [ SIZE <nFontSize> ]         ;
      [ <lFontBold : BOLD> ]         ;
      [ <lFontItalic : ITALIC> ]      ;
      [ <lFontUnderline : UNDERLINE> ]   ;
      [ <lFontStrikeout : STRIKEOUT> ]   ;
      [ TOOLTIP <cToolTip> ]         ;
      [ ON GOTFOCUS <bOnGotFocus> ]      ;
      [ ON CHANGE <bOnChange> ]      ;
      [ ON LOSTFOCUS <bOnLostFocus> ]      ;
      [ ON ENTER <bOnEnter> ]         ;
      [ ON DISPLAYCHANGE <bOnDisplayChange> ]   ;
      [ <lNoTabStop : NOTABSTOP> ]      ;
      [ HELPID <nHelpId> ]         ;
      [ <lNoVisible : INVISIBLE> ]      ;
      [ <lSort : SORT> ]         ;
      [ IMAGE <aImage> ]         ;
      [ DROPPEDWIDTH <nDroppedWidth> ]   ;
      [ ON DROPDOWN <bOnDropDown> ]      ;
      [ ON CLOSEUP <bOnCloseUp> ]      ;
   =>;
   With Object <oObj> := ComboBox():New(<"oObj"> [ , <oParent> ]) ;;
      [:Row             := <nRow>              ] ;;
      [:Col             := <nCol>              ] ;;
      [:Width           := <nWidth>            ] ;;
      [:Height          := <nHeight>           ] ;;
      [:Items           := <aItems>            ] ;;
      [:ItemSource      := <cItemSource>       ] ;;
      [:Value           := <xValue>            ] ;;
      [:ValueSource     := <cValueSource>      ] ;;
      [:DisplayEdit     := <.lDisplayEdit.>    ] ;;
      [:FontName        := <cFontName>         ] ;;
      [:FontSize        := <nFontSize>         ] ;;
      [:FontBold        := <.lFontBold.>       ] ;;
      [:FontItalic      := <.lFontItalic.>     ] ;;
      [:FontUnderline   := <.lFontUnderline.>  ] ;;
      [:FontStrikeout   := <.lFontStrikeout.>  ] ;;
      [:ToolTip         := <cToolTip>          ] ;;
      [:OnGotFocus      := <{bOnGotFocus}>     ] ;;
      [:OnChange        := <{bOnChange}>       ] ;;
      [:OnLostFocus     := <{bOnLostFocus}>    ] ;;
      [:OnEnter         := <{bOnEnter}>        ] ;;
      [:TabStop         := !<.lNoTabStop.>     ] ;;
      [:HelpId          := <nHelpId>           ] ;;
      [:Visible         := !<.lNoVisible.>     ] ;;
      [:Sort            := <.lSort.>           ] ;;
      [:Image           := <aImage>            ] ;;
      [:DroppedWidth    := <nDroppedWidth>     ] ;;
      [:OnDropDown      := <{bOnDropDown}>     ] ;;
      [:OnCloseUp       := <{bOnCloseUp}>      ] ;;
      [:OnDisplayChange := <{bOnDisplayChange}>] ;;
   End <oObj>

/*----------------------------------------------------------------------*/
//                              ListBox
/*----------------------------------------------------------------------*/

#command @ <nRow>,<nCol> LISTBOX <oObj> ;
      [ <dummy1: OF, PARENT> <oParent> ] ;
      [ WIDTH <nWidth> ] ;
      [ HEIGHT <nHeight> ] ;
      [ ITEMS <aItems> ] ;
      [ VALUE <xValue> ] ;
      [ FONT <cFontName> ] ;
      [ SIZE <nFontSize> ] ;
      [ <lFontBold : BOLD> ] ;
      [ <lFontItalic : ITALIC> ] ;
      [ <lFontUnderline : UNDERLINE> ] ;
      [ <lFontStrikeout : STRIKEOUT> ] ;
      [ TOOLTIP <cToolTip> ] ;
      [ BACKCOLOR <aBackColor> ] ;
      [ FONTCOLOR <aFontColor> ] ;
      [ ON GOTFOCUS <bOnGotFocus> ] ;
      [ ON CHANGE <bOnChange> ] ;
      [ ON LOSTFOCUS <bOnLostFocus> ] ;
      [ ON DBLCLICK <bOnDblClick> ] ;
      [ <lMultiSelect : MULTISELECT> ] ;
      [ HELPID <nHelpId> ]       ;
      [ <lNoVisible : INVISIBLE> ] ;
      [ <lNoTabStop : NOTABSTOP> ] ;
      [ <lSort : SORT> ] ;
      [ <lDragItems : DRAGITEMS> ] ;
   =>;
   With Object <oObj> := ListBox():New(<"oObj"> [ , <oParent> ]) ;;
      [:Row      := <nRow>      ]   ;;
      [:Col      := <nCol>      ]   ;;
      [:Width      := <nWidth>      ]   ;;
      [:Height   := <nHeight>      ]   ;;
      [:Items      := <aItems>      ]   ;;
      [:Value      := <xValue>      ]   ;;
      [:FontName   := <cFontName>      ]   ;;
      [:FontSize   := <nFontSize>      ]   ;;
      [:FontBold   := <.lFontBold.>   ]   ;;
      [:FontItalic   := <.lFontItalic.>   ]   ;;
      [:FontUnderline   := <.lFontUnderline.>   ]   ;;
      [:FontStrikeout   := <.lFontStrikeout.>   ]   ;;
      [:ToolTip   := <cToolTip>      ]   ;;
      [:BackColor   := <aBackColor>      ]   ;;
      [:FontColor   := <aFontColor>      ]   ;;
      [:OnGotFocus   := <{bOnGotFocus}>   ]   ;;
      [:OnChange   := <{bOnChange}>   ]   ;;
      [:OnLostFocus   := <{bOnLostFocus}>   ]   ;;
      [:OnDblClick   := <{bOnDblClick}>   ]   ;;
      [:MultiSelect   := <.lMultiSelect.>   ]   ;;
      [:HelpId   := <nHelpId>      ]   ;;
      [:Visible   := !<.lNoVisible.>   ]   ;;
      [:TabStop   := !<.lNoTabStop.>   ]   ;;
      [:Sort      := <.lSort.>      ]   ;;
      [:lDragItems   := <.lDragItems.>   ]   ;;
   End <oObj>

/*----------------------------------------------------------------------*/
//                            AnimateBox
/*----------------------------------------------------------------------*/

#command @ <nRow>,<nCol>  ANIMATEBOX <oObj> ;
         [ <dummy1: OF, PARENT> <oParent> ] ;
         [ WIDTH <nWidth> ];
         [ HEIGHT <nHeight> ];
         [ FILE <cFileName> ] ;
         [ <lAutoPlay : AUTOPLAY> ] ;
         [ <lCenter : CENTER> ] ;
         [ <lTransparent : TRANSPARENT> ] ;
         [ HELPID <nHelpId> ]       ;
      =>;
   With Object <oObj> := AnimateBox():New(<"oObj"> [ , <oParent> ]) ;;
      [:Row         := <nRow>           ] ;;
      [:Col         := <nCol>           ] ;;
      [:Width       := <nWidth>         ] ;;
      [:Height      := <nHeight>        ] ;;
      [:File        := <cFileName>      ] ;;
      [:AutoPlay    := <.lAutoPlay.>    ] ;;
      [:Center      := <.lCenter.>      ] ;;
      [:Transparent := <.lTransparent.> ] ;;
      [:HelpId      := <nHelpId>        ] ;;
   End <oObj>

/*----------------------------------------------------------------------*/
//                            DatePicker
/*----------------------------------------------------------------------*/

#command @ <nRow>,<nCol> DATEPICKER <oObj> ;
      [ <dummy1: OF, PARENT> <oParent> ] ;
      [ VALUE <dValue> ] ;
      [ FIELD <cField> ] ;
      [ WIDTH <nWidth> ] ;
      [ HEIGHT <nHeight> ] ;
      [ FONT <cFontName> ] ;
      [ SIZE <nFontSize> ] ;
      [ <lFontBold : BOLD> ] ;
      [ <lFontItalic : ITALIC> ] ;
      [ <lFontUnderline : UNDERLINE> ] ;
      [ <lFontStrikeout : STRIKEOUT> ] ;
      [ TOOLTIP <cToolTip> ] ;
      [ < lShownone: SHOWNONE > ] ;
      [ < lUpdown: UPDOWN > ] ;
      [ < lRightalign: RIGHTALIGN > ] ;
      [ ON GOTFOCUS <bOnGotFocus> ] ;
      [ ON CHANGE <bOnChange> ] ;
      [ ON LOSTFOCUS <bOnLostFocus> ] ;
                [ ON ENTER <bOnEnter> ]      ;
      [ HELPID <nHelpId> ]       ;
      [ <lNoVisible: INVISIBLE> ] ;
      [ <lNoTabStop: NOTABSTOP> ] ;
   =>;
   With Object <oObj> := DatePicker():New(<"oObj"> [ , <oParent> ]) ;;
      [:Value           := <dValue>            ] ;;
      [:Field           := <cField>            ] ;;
      [:Row             := <nRow>              ] ;;
      [:Col             := <nCol>              ] ;;
      [:Width           := <nWidth>            ] ;;
      [:Height          := <nHeight>           ] ;;
      [:FontName        := <cFontName>         ] ;;
      [:FontSize        := <nFontSize>         ] ;;
      [:FontBold        := <.lFontBold.>       ] ;;
      [:FontItalic      := <.lFontItalic.>     ] ;;
      [:FontUnderline   := <.lFontUnderline.>  ] ;;
      [:FontStrikeout   := <.lFontStrikeout.>  ] ;;
      [:ToolTip         := <cToolTip>          ] ;;
      [:ShowNone        := <.lShownone.>       ] ;;
      [:UpDown          := <.lUpdown.>         ] ;;
      [:Alignment       := if ( <.lRightalign.> , DTP_RIGHT , DTP_LEFT ) ] ;;
      [:OnGotFocus      := <{bOnGotFocus}>     ] ;;
      [:OnChange        := <{bOnChange}>       ] ;;
      [:OnLostFocus     := <{bOnLostFocus}>    ] ;;
      [:OnEnter         := <{bOnEnter}>        ] ;;
      [:HelpId          := <nHelpId>           ] ;;
      [:Visible         := !<.lNoVisible.>     ] ;;
      [:TabStop         := !<.lNoTabStop.>     ] ;;
   End <oObj>

/*----------------------------------------------------------------------*/
//                            Progressbar
/*----------------------------------------------------------------------*/

#command @ <nRow>,<nCol> PROGRESSBAR <oObj> ;
      [ <dummy1: OF, PARENT> <oParent> ] ;
      [ RANGE <nRangeMin> , <nRangeMax> ] ;
      [ VALUE <nValue> ] ;
      [ WIDTH <nWidth> ] ;
      [ HEIGHT <nHeight> ] ;
      [ < lVertical: VERTICAL > ] ;
      [ < lHorizontal: HORIZONTAL > ] ;
      [ TOOLTIP <cToolTip> ] ;
      [ HELPID <nHelpId> ] ;
      [ <lSmooth: SMOOTH > ] ;
      [ BACKCOLOR <aBackColor> ] ;
      [ FORECOLOR <aForeColor> ] ;
      [ <lVisible : INVISIBLE > ] ;
      [ <lInverted : INVERTED > ] ;
   =>;
   With Object <oObj> := Progressbar():New( <"oObj">[ , <oParent> ] ) ;;
      [:Row         := <nRow>          ] ;;
      [:Col         := <nCol>          ] ;;
      [:RangeMin    := <nRangeMin>     ] ;;
      [:RangeMax    := <nRangeMax>     ] ;;
      [:Value       := <nValue>        ] ;;
      [:Width       := <nWidth>        ] ;;
      [:Height      := <nHeight>       ] ;;
      [:Orientation := if( <.lVertical.>, PRB_VERTICAL, PRB_HORIZONTAL ) ] ;;
      [:Orientation := if( <.lHorizontal.>, PRB_HORIZONTAL, PRB_VERTICAL ) ] ;;
      [:ToolTip     := <cToolTip>      ] ;;
      [:HelpId      := <nHelpId>       ] ;;
      [:Smooth      := <.lSmooth.>     ] ;;
      [:BackColor   := <aBackColor>    ] ;;
      [:ForeColor   := <aForeColor>    ] ;;
      [:Visible     := !<.lVisible.>   ] ;;
      [:Inverted    := <.lInverted.>   ] ;;
   End <oObj>

/*----------------------------------------------------------------------*/
//                            Slider
/*----------------------------------------------------------------------*/

#command @ <nRow>,<nCol> SLIDER <oObj> ;
      [ <dummy1: OF, PARENT> <oParent> ] ;
      [ RANGE <nRangeMin> , <nRangeMax> ] ;
      [ VALUE <nValue> ] ;
      [ WIDTH <nWidth> ] ;
      [ HEIGHT <nHeight> ];
      [ <lVertical: VERTICAL > ];
      [ <lHorizontal: HORIZONTAL > ] ;
      [ TOOLTIP <cToolTip> ] ;
      [ HELPID <nHelpId> ] ;
      [ BACKCOLOR <aBackColor> ] ;
      [ <lVisible : INVISIBLE > ] ;
      [ ON CHANGE <bOnChange> ] ;
      [ <lticks: NOTICKS> ] ;
      [ TICKINTERVAL <nTickInterval> ];
      [ <ltboth: BOTH> ] ;
      [ <lttop: TOP> ] ;
      [ <ltleft: LEFT> ] ;
      [ SINGLESTEP <nSingleStep> ] ;
      [ PAGESTEP <nPageStep> ] ;
      [ <lInverted : INVERTED > ] ;
   =>;
   With Object <oObj> := Slider():New( <"oObj">[ , <oParent> ] ) ;;
      [:Row          := <nRow>         ] ;;
      [:Col          := <nCol>         ] ;;
      [:RangeMin     := <nRangeMin>    ] ;;
      [:RangeMax     := <nRangeMax>    ] ;;
      [:Value        := <nValue>       ] ;;
      [:Width        := <nWidth>       ] ;;
      [:Height       := <nHeight>      ] ;;
      [:Orientation  := if( <.lVertical.>, SLD_VERTICAL, SLD_HORIZONTAL ) ] ;;
      [:Orientation  := if( <.lHorizontal.>, SLD_HORIZONTAL, SLD_VERTICAL ) ] ;;
      [:ToolTip      := <cToolTip>     ] ;;
      [:HelpId       := <nHelpId>      ] ;;
      [:BackColor    := <aBackColor>   ] ;;
      [:Visible      := !<.lVisible.>  ] ;;
      [:OnChange     := <{bOnChange}>  ] ;;
      [:Ticks        := if ( <.lticks.>, SLD_TICKS_NONE, If( <.ltboth.>, SLD_TICKS_BOTH , If( <.lttop.> , SLD_TICKS_TOP, If( <.ltleft.>, SLD_TICKS_LEFT, SLD_TICKS_RIGHT ) ) ) ) ] ;;
      [:TickInterval := <nTickInterval>] ;;
      [:SingleStep   := <nSingleStep>  ] ;;
      [:PageStep     := <nPageStep>    ] ;;
      [ :Inverted    := <.lInverted.>  ] ;;
   End <oObj>

/*----------------------------------------------------------------------*/
//                            Monthcalendar
/*----------------------------------------------------------------------*/

#command @ <nRow>,<nCol> MONTHCALENDAR <oObj> ;
      [ <dummy1: OF, PARENT> <oParent> ] ;
      [ VALUE <dValue> ] ;
      [ WIDTH <nWidth> ] ;
      [ HEIGHT <nHeight> ] ;
      [ FONT <cFontName> ] ;
      [ SIZE <nFontSize> ] ;
      [ <lFontBold : BOLD> ] ;
      [ <lFontItalic : ITALIC> ] ;
      [ <lFontUnderline : UNDERLINE> ] ;
      [ <lFontStrikeout : STRIKEOUT> ] ;
      [ TOOLTIP <cToolTip> ] ;
      [ HELPID <nHelpId> ]       ;
      [ ON CHANGE <bOnChange> ] ;
      [ <lNoVisible: INVISIBLE> ] ;
      [ <lNoTabStop: NOTABSTOP> ] ;
      [ < lNotoday: NOTODAY > ] ;
      [ < lNocircle: NOTODAYCIRCLE > ] ;
      [ <lWeekNumbers : WEEKNUMBERS> ] ;
      [ <lShowGrid: SHOWGRID> ] ;
      [ <lShownavbar: NOSHOWNAVBAR> ] ;
      [ <lnoday: NODAYNAME > ] ;
      [ <loneday: ONECHARDAYNAME > ] ;
      [ <lshortday: SHORTDAYNAME > ] ;
      [ <lLongday: LONGDAYNAME > ] ;
   =>;
   With Object <oObj> := MonthCalendar():New( <"oObj">[ , <oParent> ] ) ;;
      [:Value          := <dValue>           ]   ;;
      [:Row            := <nRow>             ]   ;;
      [:Col            := <nCol>             ]   ;;
      [:Width          := <nWidth>           ]   ;;
      [:Height         := <nHeight>          ]   ;;
      [:FontName       := <cFontName>        ]   ;;
      [:FontSize       := <nFontSize>        ]   ;;
      [:FontBold       := <.lFontBold.>      ]   ;;
      [:FontItalic     := <.lFontItalic.>    ]   ;;
      [:FontUnderline  := <.lFontUnderline.> ]   ;;
      [:FontStrikeout  := <.lFontStrikeout.> ]   ;;
      [:ToolTip        := <cToolTip>         ]   ;;
      [:OnChange       := <{bOnChange}>      ]   ;;
      [:HelpId         := <nHelpId>          ]   ;;
      [:Visible        := !<.lNoVisible.>    ]   ;;
      [:TabStop        := !<.lNoTabStop.>    ]   ;;
      [:ShowToday      := !<.lNotoday.>      ]   ;;
      [:Showcircle     := !<.lNocircle.>     ]   ;;
      [:Weeknumbers    := <.lWeekNumbers.>   ]   ;;
      [:Showgrid       := <.lShowGrid.>      ]   ;;
      [:Shownavbar     := !<.lShownavbar.>   ]   ;;
      [:Dayname        := if ( <.lnoday.> , MTC_NO_DAYNAME , If( <.loneday.> , MTC_ONECHAR_DAYNAME , If( <.lshortday.> , MTC_SHORT_DAYNAME , If( <.lLongday.> , MTC_LONG_DAYNAME , MTC_SHORT_DAYNAME ) )  )  ) ]   ;;
   End <oObj>

/*----------------------------------------------------------------------*/
//                            Dial
/*----------------------------------------------------------------------*/

#command @ <nRow>,<nCol> DIAL <oObj> ;
      [ <dummy1: OF, PARENT> <oParent> ] ;
      [ WIDTH <nWidth> ] ;
      [ HEIGHT <nHeight> ] ;
      [ RANGE <nRangeMin> , <nRangeMax> ] ;
      [ VALUE <nValue> ] ;
      [ ON CHANGE <bOnChange> ] ;
      [ SINGLESTEP <nSingleStep> ] ;
      [ PAGESTEP <nPageStep> ] ;
      [ < lNotch: NOTCH > ] ;
      [ < lWrapping: WRAPPING > ] ;
      [ TOOLTIP <cToolTip> ] ;
      [ BACKCOLOR <aBackColor> ] ;
      [ <lInverted : INVERTED > ] ;
   =>;
   With Object <oObj> := Dial():New(<"oObj"> [ , <oParent> ])     ;;
      [ :Row         := <nRow>          ] ;;
      [ :Col         := <nCol>          ] ;;
      [ :Width       := <nWidth>        ] ;;
      [ :Height      := <nHeight>       ] ;;
      [ :Value       := <nValue>        ] ;;
      [ :RangeMin    := <nRangeMin>     ] ;;
      [ :RangeMax    := <nRangeMax>     ] ;;
      [ :SingleStep  := <nSingleStep>   ] ;;
      [ :PageStep    := <nPageStep>     ] ;;
      [ :OnChange    := <{bOnChange}>   ] ;;
      [ :Notch       := <.lNotch.>      ] ;;
      [ :Wrapping    := <.lWrapping.>   ] ;;
      [ :ToolTip     := <cToolTip>      ] ;;
      [ :BackColor   := <aBackColor>    ] ;;
      [ :Inverted    := <.lInverted.>   ] ;;
   End <oObj>

/*----------------------------------------------------------------------*/
//                            ScrollBar
/*----------------------------------------------------------------------*/

#command @ <nRow>,<nCol> SCROLLBAR <oObj> ;
      [ <dummy1: OF, PARENT> <oParent> ] ;
      [ WIDTH <nWidth> ] ;
      [ HEIGHT <nHeight> ] ;
      [ RANGE <nRangeMin>, <nRangeMax> ] ;
      [ VALUE <nValue> ] ;
      [ ON CHANGE <bOnChange> ] ;
      [ SINGLESTEP <nSingleStep> ] ;
      [ PAGESTEP <nPageStep> ] ;
      [ TOOLTIP <cToolTip> ] ;
      [ <lVertical: VERTICAL > ] ;
      [ <lHorizontal: HORIZONTAL > ] ;
   =>;
   With Object <oObj> := ScrollBar():New( <"oObj">[ , <oParent> ] ) ;;
      [ :Row         := <nRow>          ] ;;
      [ :Col         := <nCol>          ] ;;
      [ :Width       := <nWidth>        ] ;;
      [ :Height      := <nHeight>       ] ;;
      [ :Value       := <nValue>        ] ;;
      [ :RangeMin    := <nRangeMin>     ] ;;
      [ :RangeMax    := <nRangeMax>     ] ;;
      [ :SingleStep  := <nSingleStep>   ] ;;
      [ :PageStep    := <nPageStep>     ] ;;
      [ :OnChange    := <{bOnChange}>   ] ;;
      [ :ToolTip     := <cToolTip>      ] ;;
      [ :Orientation := if( <.lVertical.>, SLD_VERTICAL, SLD_HORIZONTAL ) ] ;;
      [ :Orientation := if( <.lHorizontal.>, SLD_HORIZONTAL, SLD_VERTICAL ) ] ;;
   End <oObj>

/*----------------------------------------------------------------------*/
//                            LCD
/*----------------------------------------------------------------------*/

#command @ <nRow>,<nCol> LCD <oObj> ;
      [ <dummy1: OF, PARENT> <oParent> ] ;
      [ WIDTH <nWidth> ] ;
      [ HEIGHT <nHeight> ] ;
      [ VALUE <nValue> ] ;
      [ TOOLTIP <cToolTip> ] ;
   =>;
   With Object <oObj> := LCD():New( <"oObj">[ , <oParent> ] ) ;;
      [ :Row       := <nRow>       ] ;;
      [ :Col       := <nCol>       ] ;;
      [ :Width     := <nWidth>     ] ;;
      [ :Height    := <nHeight>    ] ;;
      [ :Value     := <nValue>     ] ;;
      [ :ToolTip   := <cToolTip>   ] ;;
   End <oObj>

/*----------------------------------------------------------------------*/
//                            Timer
/*----------------------------------------------------------------------*/

#xcommand DEFINE TIMER <oObj> ;
      [ <dummy1: OF, PARENT> <oParent> ] ;
      [ INTERVAL <nInterval> ] ;
      [ <dummy1: ACTION,ON INTERVAL,ONINTERVAL> <bOnInterval> ] ;
      [ <lSingleShot : SINGLESHOT> ] ;
      [ <lEnabled : ENABLED> ] ;
   =>;
   With Object <oObj>  := Timer():New( <"oObj">[ , <oParent> ] ) ;;
      [:Interval       := <nInterval>   ] ;;
      [:OnInterval     := <bOnInterval> ] ;;
      [:OneShot        := <lSingleShot> ] ;;
      [:Enabled        := <lEnabled>    ] ;;
   End <oObj>

/*----------------------------------------------------------------------*/
//                         Alternate Syntax - oneliner
/*----------------------------------------------------------------------*/

#xcommand DEFINE WINDOW <oObj>[ <dummy1: OF, PARENT> <oParent> ] ;
=>;
   __MVPUBLIC ( <"oObj"> )                  ;;
   With Object <oObj> := Window():New( <"oObj">[ , <oParent> ] )

#xcommand DEFINE DATEPICKER    <oObj>[ <dummy1: OF, PARENT> <oParent> ] => With Object <oObj> :=    DatePicker():New( <"oObj">[ , <oParent> ] )
#xcommand END DATEPICKER => End With

#xcommand DEFINE FRAME         <oObj>[ <dummy1: OF, PARENT> <oParent> ] => With Object <oObj> :=         Frame():New( <"oObj">[ , <oParent> ] )
#xcommand END FRAME => End With

#xcommand DEFINE BUTTON        <oObj>[ <dummy1: OF, PARENT> <oParent> ] => With Object <oObj> :=        Button():New( <"oObj">[ , <oParent> ] )
#xcommand END BUTTON => End With

#xcommand DEFINE LABEL         <oObj>[ <dummy1: OF, PARENT> <oParent> ] => With Object <oObj> :=         Label():New( <"oObj">[ , <oParent> ] )
#xcommand END LABEL => End With

#xcommand DEFINE CHECKBOX      <oObj>[ <dummy1: OF, PARENT> <oParent> ] => With Object <oObj> :=      CheckBox():New( <"oObj">[ , <oParent> ] )
#xcommand END CHECKBOX => End With

#xcommand DEFINE TEXTBOX       <oObj>[ <dummy1: OF, PARENT> <oParent> ] => With Object <oObj> :=       TextBox():New( <"oObj">[ , <oParent> ] )
#xcommand END TEXTBOX => End With

#xcommand DEFINE EDITBOX       <oObj>[ <dummy1: OF, PARENT> <oParent> ] => With Object <oObj> :=       EditBox():New( <"oObj">[ , <oParent> ] )
#xcommand END EDITBOX => End With

#xcommand DEFINE SPINNER       <oObj>[ <dummy1: OF, PARENT> <oParent> ] => With Object <oObj> :=       Spinner():New( <"oObj">[ , <oParent> ] )
#xcommand END SPINNER => End With

#xcommand DEFINE GRID          <oObj>[ <dummy1: OF, PARENT> <oParent> ] => With Object <oObj> :=          Grid():New( <"oObj">[ , <oParent> ] )
#xcommand END GRID => End With

#xcommand DEFINE VIRTUALGRID   <oObj>[ <dummy1: OF, PARENT> <oParent> ] => With Object <oObj> :=   VirtualGrid():New( <"oObj">[ , <oParent> ] )
#xcommand END GRID => End With

#xcommand DEFINE COMBOBOX      <oObj>[ <dummy1: OF, PARENT> <oParent> ] => With Object <oObj> :=      ComboBox():New( <"oObj">[ , <oParent> ] )
#xcommand END COMBOBOX => End With

#xcommand DEFINE LISTBOX       <oObj>[ <dummy1: OF, PARENT> <oParent> ] => With Object <oObj> :=       ListBox():New( <"oObj">[ , <oParent> ] )
#xcommand END LISTBOX => End With

#xcommand DEFINE PROGRESSBAR   <oObj>[ <dummy1: OF, PARENT> <oParent> ] => With Object <oObj> :=   Progressbar():New( <"oObj">[ , <oParent> ] )
#xcommand END PROGRESSBAR => End With

#xcommand DEFINE RADIOGROUP    <oObj>[ <dummy1: OF, PARENT> <oParent> ] => With Object <oObj> :=    RadioGroup():New( <"oObj">[ , <oParent> ] )
#xcommand END RADIOGROUP => End With

#xcommand DEFINE HYPERLINK     <oObj>[ <dummy1: OF, PARENT> <oParent> ] => With Object <oObj> :=     HyperLink():New( <"oObj">[ , <oParent> ] )
#xcommand END HYPERLINK => End With

#xcommand DEFINE CHECKBUTTON   <oObj>[ <dummy1: OF, PARENT> <oParent> ] => With Object <oObj> :=   CheckButton():New( <"oObj">[ , <oParent> ] )
#xcommand END CHECKBUTTON => End With

#xcommand DEFINE TREE          <oObj>[ <dummy1: OF, PARENT> <oParent> ] => With Object <oObj> :=          Tree():New( <"oObj">[ , <oParent> ] )
#xcommand END TREE => End With

#xcommand DEFINE SLIDER        <oObj>[ <dummy1: OF, PARENT> <oParent> ] => With Object <oObj> :=        Slider():New( <"oObj">[ , <oParent> ] )
#xcommand END SLIDER => End With

#xcommand DEFINE ANIMATEBOX    <oObj>[ <dummy1: OF, PARENT> <oParent> ] => With Object <oObj> :=    AnimateBox():New( <"oObj">[ , <oParent> ] )
#xcommand END ANIMATEBOX => End With

#xcommand DEFINE IPADDRESS     <oObj>[ <dummy1: OF, PARENT> <oParent> ] => With Object <oObj> :=     IpAddress():New( <"oObj">[ , <oParent> ] )
#xcommand END IPADDRESS => End With

#xcommand DEFINE MONTHCALENDAR <oObj>[ <dummy1: OF, PARENT> <oParent> ] => With Object <oObj> := MonthCalendar():New( <"oObj">[ , <oParent> ] )
#xcommand END MONTHCALENDAR => End With

#xcommand DEFINE SCROLLAREA    <oObj>[ <dummy1: OF, PARENT> <oParent> ] => With Object <oObj> :=    ScrollArea():New( <"oObj">[ , <oParent> ] )
#xcommand END SCROLLAREA => End With

#xcommand DEFINE TIMER         <oObj>[ <dummy1: OF, PARENT> <oParent> ] => With Object <oObj> :=         Timer():New( <"oObj">[ , <oParent> ] )
#xcommand END TIMER => End With

#xcommand ACTIVATE TIMER <oObj> => <oObj>:Enabled(.T.)
#xcommand DEACTIVATE TIMER <oObj> => <oObj>:Enabled(.F.)


// One-liner definitions
//
// PLEASE ADD IN ALPHABETICAL ORDER ONLY !!!!

#xcommand ADDRESS             <value>   =>   :Address             := <value>
#xcommand ALIGNMENT  CENTER             =>   :Alignment           := LBL_CENTER
#xcommand ALIGNMENT  LEFT               =>   :Alignment           := LBL_LEFT
#xcommand ALIGNMENT  RIGHT              =>   :Alignment           := LBL_RIGHT
#xcommand ALLOWAPPEND         <value>   =>   :AllowAppend         := <value>
#xcommand ALLOWDELETE         <value>   =>   :AllowDelete         := <value>
#xcommand ALLOWEDIT           <value>   =>   :AllowEdit           := <value>
#xcommand AT            <nRow>,<nCol>   =>   :Row := <nRow> ; :Col := <nCol>
#xcommand AUTOPLAY            <value>   =>   :AutoPlay            := <value>
#xcommand AUTORELEASE         <value>   =>   :AutoRelease         := <value>
#xcommand BACKCOLOR           <value>   =>   :BackColor           := <value>
#xcommand BOLD                <value>   =>   :FontBold            := <value>
#xcommand BORDER              <value>   =>   :Border              := <value>
#xcommand BREAK               <value>   =>   :Break               := <value>
#xcommand CAPTION             <value>   =>   :Caption             := <value>
#xcommand CASECONVERT         <value>   =>   :CaseConvert         := if( <"value"> == "UPPER" , 1, if( <"value"> == "LOWER", 2, 0 ) )
#xcommand CELL                <value>   =>   :Cell                := <value>
#xcommand CELLNAVIGATION      <value>   =>   :CellNavigation      := <value>
#xcommand CENTER              <value>   =>   :CENTER              := <value>
#xcommand CLIENTEDGE          <value>   =>   :ClientEdge          := <value>
#xcommand COL                 <value>   =>   :Col                 := <value>
#xcommand COLUMNCONTROLS      <value>   =>   :ColumnControls      := <value>
#xcommand COLUMNFIELDS        <value>   =>   :ColumnFields        := <value>
#xcommand COLUMNHEADERS       <value>   =>   :ColumnHeaders       := <value>
#xcommand COLUMNJUSTIFY       <value>   =>   :ColumnJustify       := <value>
#xcommand COLUMNVALID         <value>   =>   :ColumnValid         := <value>
#xcommand COLUMNWHEN          <value>   =>   :ColumnWhen          := <value>
#xcommand COLUMNWIDTHS        <value>   =>   :ColumnWidths        := <value>
#xcommand CURSOR              <value>   =>   :Cursor              := <value>
#xcommand DATATYPE  CHARACTER           =>   :DataType            := 0
#xcommand DATATYPE  DATE                =>   :DataType            := 2
#xcommand DATATYPE  NUMERIC             =>   :DataType            := 1
#xcommand DATE                <value>   =>   :DataType            := If(<value>,2,0)
#xcommand DAYNAME             <value>   =>   :Dayname             := <value>
#xcommand DISABLED                      =>   :Enabled             := .F.
#xcommand DISABLEDBACKCOLOR   <value>   =>   :DisabledBackColor   := <value>
#xcommand DISABLEDFONTCOLOR   <value>   =>   :DisabledFontColor   := <value>
#xcommand DISPLAYEDIT         <value>   =>   :DisplayEdit         := <value>
#xcommand DISPLAYVALUE        <value>   =>   :DisplayValue        := <value>
#xcommand DRAGITEMS           <value>   =>   :DragItems           := <value>
#xcommand DROPPEDWIDTH        <value>   =>   :DroppedWidth        := <value>
#xcommand DYNAMICBACKCOLOR    <value>   =>   :DynamicBackColor    := <value>
#xcommand DYNAMICDISPLAY      <value>   =>   :DynamicDisplay      := <value>
#xcommand DYNAMICFORECOLOR    <value>   =>   :DynamicForeColor    := <value>
#xcommand FIELD               <value>   =>   :Field               := <value>
#xcommand FILE                <value>   =>   :File                := <value>
#xcommand FLAT                <value>   =>   :Flat                := <value>
#xcommand FONT                <value>   =>   :FontName            := <value>
#xcommand FONTCOLOR           <value>   =>   :FontColor           := <value>
#xcommand FONTNAME            <value>   =>   :FontName            := <value>
#xcommand FONTBOLD            <value>   =>   :FontBold            := <value>
#xcommand FONTBOLD                      =>   :FontBold            := .T.
#xcommand FONTSIZE            <value>   =>   :FontSize            := <value>
#xcommand FORECOLOR           <value>   =>   :Forecolor           := <value>
#xcommand FORMAT              <value>   =>   :Format              := <value>
#xcommand HANDCURSOR          <value>   =>   :HandCursor          := <value>
#xcommand HEADER              <value>   =>   :Header              := <value>
#xcommand HEADERIMAGES        <value>   =>   :HeaderImages        := <value>
#xcommand HEADERS             <value>   =>   :ColumnHeaders       := <value>
#xcommand HEIGHT              <value>   =>   :Height              := <value>
#xcommand HELPBUTTON          <value>   =>   :HelpButton          := <value>
#xcommand HELPID              <value>   =>   :HelpId              := <value>
#xcommand HORIZONTAL          <value>   =>   :Horizontal          := <value>
#xcommand HSCROLLBAR          <value>   =>
#xcommand ICON                <value>   =>   :Icon                := <value>
#xcommand IMAGE               <value>   =>   :Image               := <value>
#xcommand IMAGESIZE <nImageWidth>,<nImageHeight> => :ImageWidth  := <nImageWidth>  ; :ImageHeight   := <nImageHeight>
#xcommand INCREMENT           <value>   =>   :Increment           := <value>
#xcommand INPUTMASK           <value>   =>   :InputMask           := <value>
#xcommand INTERVAL            <value>   =>   :Interval            := <value>
#xcommand INVERTED            <value>   =>   :Inverted            := <value>
#xcommand INVISIBLE           <value>   =>   :Visible             := !<value>
#xcommand ITALIC              <value>   =>   :FontItalic          := <value>
#xcommand ITEM                <value>   =>   :Item                := <value>
#xcommand ITEMCOUNT           <value>   =>   :ItemCount           := <value>
#xcommand ITEMS               <value>   =>   :Items               := <value>
#xcommand ITEMSOURCE          <value>   =>   :ItemSource          := <value>
#xcommand JUSTIFY             <value>   =>   :ColumnJustify       := <value>
#xcommand LINES               <value>   =>   :Lines               := <value>
#xcommand LOCKCOLUMNS         <value>   =>   :LockColumns         := <value>
#xcommand MAXBUTTON           <value>   =>   :MaxButton           := <value>
#xcommand MAXLENGTH           <value>   =>   :MaxLength           := <value>
#xcommand MAXWIDTH            <value>   =>   :MaxWidth            := <value>
#xcommand MAXHEIGHT           <value>   =>   :MaxHeight           := <value>
#xcommand MINWIDTH            <value>   =>   :MinWidth            := <value>
#xcommand MINHEIGHT           <value>   =>   :MinHeight           := <value>
#xcommand MINBUTTON           <value>   =>   :MinButton           := <value>
#xcommand MULTILINE           <value>   =>   :Multiline           := <value>
#xcommand MULTISELECT         <value>   =>   :MultiSelect         := <value>
#xcommand NAME                <value>   =>   :Name                := <value>
#xcommand NOTICKS             <value>   =>   :Ticks               := <value>
#xcommand TICKINTERVAL        <value>   =>   :TickInterval        := <value>
#xcommand NOTIFYICON          <value>   =>   :NotifyIcon          := <value>
#xcommand NOTIFYTOOLTIP       <value>   =>   :NotifyToolTip       := <value>
#xcommand NOTODAY             <value>   =>   :ShowToday           := !<value>
#xcommand NOTODAY                       =>   :ShowToday           := .F.
#xcommand NOTODAYCIRCLE       <value>   =>   :Showcircle          := !<value>
#xcommand NOTODAYCIRCLE                 =>   :Showcircle          := .F.
#xcommand NUMERIC             <value>   =>   :DataType            := If(<value>,1,0)
#xcommand ONCHANGE            <value>   =>   :OnChange            := <{value}>
#xcommand ONCLICK             <value>   =>   :OnClick             := <{value}>
#xcommand ONCLOSEUP           <value>   =>   :OnCloseUp           := <{value}>
#xcommand ONDBLCLICK          <value>   =>   :OnDblClick          := <{value}>
#xcommand ONDISPLAYCHANGE     <value>   =>   :OnDisplayChange     := <{value}>
#xcommand ONDROPDOWN          <value>   =>   :OnDropDown          := <{value}>
#xcommand ONENTER             <value>   =>   :OnEnter             := <{value}>
#xcommand ONESHOT             <value>   =>   :OneShot             := <value>
#xcommand ONGOTFOCUS          <value>   =>   :OnGotFocus          := <{value}>
#xcommand ONHEADCLICK         <value>   =>   :OnHeadClick         := <value>
#xcommand ONHSCROLLBOX        <value>   =>   :OnHScrollBox        := <{value}>
#xcommand ONINIT              <value>   =>   :OnInit              := <{value}>
#xcommand ONINTERACTIVECLOSE  <value>   =>   :OnInteractiveClose  := <{value}>
#xcommand ONINTERVAL          <value>   =>   :OnInterval          := <value>
#xcommand ONLOSTFOCUS         <value>   =>   :OnLostFocus         := <{value}>
#xcommand ONMAXIMIZE          <value>   =>   :OnMaximize          := <{value}>
#xcommand ONMINIMIZE          <value>   =>   :OnMinimize          := <{value}>
#xcommand ONMOUSECLICK        <value>   =>   :OnMouseClick        := <{value}>
#xcommand ONMOUSEDRAG         <value>   =>   :OnMouseDrag         := <{value}>
#xcommand ONMOUSEMOVE         <value>   =>   :OnMouseMove         := <{value}>
#xcommand ONNOTIFYCLICK       <value>   =>   :OnNotifyClick       := <{value}>
#xcommand ONPAINT             <value>   =>   :OnPaint             := <{value}>
#xcommand ONRELEASE           <value>   =>   :OnRelease           := <{value}>
#xcommand ONSCROLLDOWN        <value>   =>   :OnScrollDown        := <{value}>
#xcommand ONSCROLLLEFT        <value>   =>   :OnScrollLeft        := <{value}>
#xcommand ONSCROLLRIGHT       <value>   =>   :OnScrollRight       := <{value}>
#xcommand ONSCROLLUP          <value>   =>   :OnScrollUp          := <{value}>
#xcommand ONSIZE              <value>   =>   :OnSize              := <{value}>
#xcommand ONVSCROLLBOX        <value>   =>   :OnVScrollBox        := <{value}>
#xcommand OPTIONS             <value>   =>   :Options             := <value>
#xcommand PAGESTEP            <value>   =>   :PageStep            := <value>
#xcommand PARENT              <value>   =>   :Parent              := <value>
#xcommand PASSWORD            <value>   =>   :PassWord            := <value>
#xcommand PASSWORD                      =>   :PassWord            := .T.
#xcommand PICTALIGNMENT BOTTOM          =>   :PictAlignment       := BTN_BOTTOM
#xcommand PICTALIGNMENT CENTER          =>   :PictAlignment       := LBL_CENTER
#xcommand PICTALIGNMENT LEFT            =>   :PictAlignment       := BTN_LEFT
#xcommand PICTALIGNMENT RIGHT           =>   :PictAlignment       := BTN_RIGHT
#xcommand PICTALIGNMENT TOP             =>   :PictAlignment       := BTN_TOP
#xcommand PICTURE             <value>   =>   :Picture             := <value>
#xcommand RANGEMAX            <value>   =>   :RangeMax            := <value>
#xcommand RANGEMIN            <value>   =>   :RangeMin            := <value>
#xcommand READONLY            <value>   =>   :ReadOnly            := <value>
#xcommand RECNO               <value>   =>   :RecNo               := <value>
#xcommand RIGHTALIGN          <value>   =>   :Alignment           := If (<value>,TXT_RIGHT,TXT_LEFT)
#xcommand ROW                 <value>   =>   :Row                 := <value>
#xcommand ROWSOURCE           <value>   =>   :RowSource           := <value>
#xcommand SCALEDTOHEIGHT      <value>   =>   :ScaledToHeight      := <value>
#xcommand SCALEDTOWIDTH       <value>   =>   :ScaledToWidth       := <value>
#xcommand SCROLLBARS          <value>   =>   :ScrollBars          := <value>
#xcommand SINGLESTEP          <value>   =>   :SingleStep          := <value>
#xcommand SHOWGRID            <value>   =>   :ShowGrid            := <value>
#xcommand SHOWHEADERS         <value>   =>   :ShowHeaders         := <value>
#xcommand SHOWNAVBAR          <value>   =>   :ShowNavbar          := <value>
#xcommand SHOWNONE            <value>   =>   :ShowNone            := <value>
#xcommand SIZABLE             <value>   =>   :Sizable             := <value>
#xcommand SIZE                <value>   =>   :FontSize            := <value>
#xcommand SMOOTH              <value>   =>   :Smooth              := <value>
#xcommand SORT                <value>   =>   :Sort                := <value>
#xcommand SPACING             <value>   =>   :Spacing             := <value>
#xcommand STYLESHEET          <value>   =>   :StyleSheet          := <value>
#xcommand STRETCH             <value>   =>   :Stretch             := <value>
#xcommand STRIKEOUT           <value>   =>   :FontStrikeOut       := <value>
#xcommand SYSMENU             <value>   =>   :SysMenu             := <value>
#xcommand TABSTOP             <value>   =>   :TabStop             := <value>
#xcommand TABSTOP                       =>   :TabStop             := .T.
#xcommand TITLE               <value>   =>   :Title               := <value>
#xcommand TITLEBAR            <value>   =>   :TitleBar            := <value>
#xcommand TOOLTIP             <value>   =>   :ToolTip             := <value>
#xcommand TOPMOST             <value>   =>   :TopMost             := <value>
#xcommand TRANSPARENT         <value>   =>   :Transparent         := <value>
#xcommand TYPE                <value>   =>   :Type                := <value>
#xcommand UNDERLINE           <value>   =>   :FontUnderLine       := <value>
#xcommand UPDOWN              <value>   =>   :UpDown              := <value>
#xcommand UPPERCASE                     =>   :CaseConvert         := 1
#xcommand VALUE               <value>   =>   :Value               := <value>
#xcommand VALUESOURCE         <value>   =>   :ValueSource         := <value>
#xcommand VERTICAL            <value>   =>   :Orientation         := <value>
#xcommand VIRTUAL             <value>   =>   :Virtual             := <value>
#xcommand VIRTUALHEIGHT       <value>   =>   :VirtualHeight       := <value>
#xcommand VIRTUALWIDTH        <value>   =>   :VirtualWidth        := <value>
#xcommand VISIBLE             <value>   =>   :Visible             := <value>
#xcommand VSCROLLBAR          <value>   =>
#xcommand WEEKNUMBERS         <value>   =>   :Weeknumbers         := <value>
#xcommand WIDTH               <value>   =>   :Width               := <value>
#xcommand WIDTHS              <value>   =>   :ColumnWidths        := <value>
#xcommand WRAP                <value>   =>   :Wrap                := <value>
#xcommand WORDWRAP            <value>   =>   :WordWrap            := <value>
#xcommand WORDWRAP                      =>   :WordWrap            := .T.

// End of one-liner definitions
//
// PLEASE ADD IN ALPHABETICAL ORDER ONLY !!!!

/*----------------------------------------------------------------------*/
//                          StatusBar item
/*----------------------------------------------------------------------*/

#xtranslate <window>.StatusBar.Item(<nIndex>) => <window>:oStatusBar:Item(<nIndex>)
#xtranslate <window>:StatusBar:Item(<nIndex>) => <window>:oStatusBar:Item(<nIndex>)
#xtranslate <window>.StatusBar.Item(<nIndex>) := <cText> => <window>:oStatusBar:Item(<nIndex>,<cText>)
#xtranslate <window>:StatusBar:Item(<nIndex>) := <cText> => <window>:oStatusBar:Item(<nIndex>,<cText>)
// added to manage icon
#xtranslate <window>.StatusBar.ItemIcon(<nIndex>) => <window>:oStatusBar:ItemIcon(<nIndex>)
#xtranslate <window>:StatusBar:ItemIcon(<nIndex>) => <window>:oStatusBar:ItemIcon(<nIndex>)
#xtranslate <window>.StatusBar.ItemIcon(<nIndex>) := <xValue> => <window>:oStatusBar:ItemIcon(<nIndex>,<xValue>)
#xtranslate <window>:StatusBar:ItemIcon(<nIndex>) := <xValue> => <window>:oStatusBar:ItemIcon(<nIndex>,<xValue>)

/*----------------------------------------------------------------------*/
//                            Graph commands
/*----------------------------------------------------------------------*/

#xcommand DRAW LINE IN WINDOW <oParent> AT <nRow>,<nCol> ;
             TO <nToRow>,<nToCol> ;
             [PENCOLOR <aColor>] ;
             [PENWIDTH <nPenWidth>];
          =>;
          IF( EMPTY( <oParent>:oGraphLabel ), <oParent>:oGraphLabel := Graph():New( NIL, <oParent> ), ) ;;
          aAdd ( <oParent>:oGraphLabel:aGraphCommands , { 'DRAW_LINE' , <nRow> , <nCol> , <nToRow> , <nToCol> , <aColor> , <nPenWidth> } ); <oParent>:oGraphLabel:DoGraphCommands()

#xcommand DRAW RECTANGLE IN WINDOW <oParent> AT <nRow>,<nCol> ;
             TO <nToRow>,<nToCol> ;
             [PENCOLOR <aColor>] ;
             [PENWIDTH <nPenWidth>];
             [FILLCOLOR <aFillColor>];
          =>;
          IF( EMPTY( <oParent>:oGraphLabel ), <oParent>:oGraphLabel := Graph():New( NIL, <oParent> ), ) ;;
          aAdd ( <oParent>:oGraphLabel:aGraphCommands , { 'DRAW_RECTANGLE' , <nRow> , <nCol> , <nToRow> , <nToCol> , <aColor> , <nPenWidth>, <aFillColor> } ); <oParent>:oGraphLabel:DoGraphCommands()

#xcommand DRAW ROUNDRECTANGLE IN WINDOW <oParent> AT <nRow>,<nCol> ;
             TO <nToRow>,<nToCol> ;
             ROUNDWIDTH <nRoundWidth>;
             ROUNDHEIGHT <nRoundHeight>;
             [PENCOLOR <aColor>] ;
             [PENWIDTH <nPenWidth>];
             [FILLCOLOR <aFillColor>];
          =>;
          IF( EMPTY( <oParent>:oGraphLabel ), <oParent>:oGraphLabel := Graph():New( NIL, <oParent> ), ) ;;
          aAdd ( <oParent>:oGraphLabel:aGraphCommands , { 'DRAW_ROUNDRECTANGLE' , <nRow> , <nCol> , <nToRow> , <nToCol> , <aColor> , <nPenWidth>, <aFillColor>, <nRoundWidth>, <nRoundHeight> } ); <oParent>:oGraphLabel:DoGraphCommands()

#xcommand DRAW ELLIPSE IN WINDOW <oParent> AT <nRow>,<nCol> ;
             TO <nToRow>,<nToCol> ;
             [PENCOLOR <aColor>] ;
             [PENWIDTH <nPenWidth>];
             [FILLCOLOR <aFillColor>];
          =>;
          IF( EMPTY( <oParent>:oGraphLabel ), <oParent>:oGraphLabel := Graph():New( NIL, <oParent> ), ) ;;
          aAdd ( <oParent>:oGraphLabel:aGraphCommands , { 'DRAW_ELLIPSE' , <nRow> , <nCol> , <nToRow> , <nToCol> , <aColor> , <nPenWidth>, <aFillColor> } ); <oParent>:oGraphLabel:DoGraphCommands()

#xcommand DRAW ARC IN WINDOW <oParent> AT <nRow>,<nCol> ;
             TO <nToRow>,<nToCol> ;
             STARTANGLE <nStartAngle>;
             SPANANGLE <nSpanAngle>;
             [PENCOLOR <aColor>] ;
             [PENWIDTH <nPenWidth>];
          =>;
          IF( EMPTY( <oParent>:oGraphLabel ), <oParent>:oGraphLabel := Graph():New( NIL, <oParent> ), ) ;;
          aAdd ( <oParent>:oGraphLabel:aGraphCommands , { 'DRAW_ARCANGLE' , <nRow> , <nCol> , <nToRow> , <nToCol> , <aColor> , <nPenWidth>, <nStartAngle>, <nSpanAngle> } ); <oParent>:oGraphLabel:DoGraphCommands()

#xcommand DRAW PIE IN WINDOW <oParent> AT <nRow>,<nCol> ;
             TO <nToRow>,<nToCol> ;
             STARTANGLE <nStartAngle>;
             SPANANGLE <nSpanAngle>;
             [PENCOLOR <aColor>] ;
             [PENWIDTH <nPenWidth>];
             [FILLCOLOR <aFillColor>];
          =>;
          IF( EMPTY( <oParent>:oGraphLabel ), <oParent>:oGraphLabel := Graph():New( NIL, <oParent> ), ) ;;
          aAdd ( <oParent>:oGraphLabel:aGraphCommands , { 'DRAW_PIEANGLE' , <nRow> , <nCol> , <nToRow> , <nToCol> , <aColor> , <nPenWidth>, <aFillColor>, <nStartAngle>, <nSpanAngle> } ); <oParent>:oGraphLabel:DoGraphCommands()

#xcommand DRAW POLYGON IN WINDOW <oParent> POINTS <aPoints> ;
             [PENCOLOR <aColor>] ;
             [PENWIDTH <nPenWidth>];
             [FILLCOLOR <aFillColor>];
          =>;
          IF( EMPTY( <oParent>:oGraphLabel ), <oParent>:oGraphLabel := Graph():New( NIL, <oParent> ), ) ;;
          aAdd ( <oParent>:oGraphLabel:aGraphCommands , { 'DRAW_POLYGON' , <aPoints>, <aColor> , <nPenWidth>, <aFillColor> } ); <oParent>:oGraphLabel:DoGraphCommands()

#xcommand DRAW POLYGON IN WINDOW <oParent> POINTS <aPoints> ;
             [PENCOLOR <aColor>] ;
             [PENWIDTH <nPenWidth>];
             [FILLCOLOR <aFillColor>];
          =>;
          IF( EMPTY( <oParent>:oGraphLabel ), <oParent>:oGraphLabel := Graph():New( NIL, <oParent> ), ) ;;
          aAdd ( <oParent>:oGraphLabel:aGraphCommands , { 'DRAW_POLYGON' , <aPoints>, <aColor> , <nPenWidth>, <aFillColor> } ); <oParent>:oGraphLabel:DoGraphCommands()

#xcommand DRAW TEXT IN WINDOW <oParent> ;
             AT <nRow>,<nCol> ;
             TO <nToRow>,<nToCol> ;
             DATA <cData> ;
             [ FONT <cFontName> ] ;
             [ SIZE <nFontSize> ] ;
             [ <lBold : BOLD> ] ;
             [ <lItalic : ITALIC> ] ;
             [ <lUnderline : UNDERLINE> ] ;
             [ <lStrikeout : STRIKEOUT> ] ;
             [ COLOR <aColor> ] ;
             [ <lCenter : CENTER> ] ;
             [ <lRight : RIGHT> ] ;
          =>;
          IF( EMPTY( <oParent>:oGraphLabel ), <oParent>:oGraphLabel := Graph():New( NIL, <oParent> ), ) ;;
          aAdd ( <oParent>:oGraphLabel:aGraphCommands , { 'DRAW_TEXT' , <nRow>, <nCol>, <cData>,<cFontName>,<nFontSize>,<.lBold.>,<.lItalic.>,<.lUnderline.>,<.lStrikeout.>, <aColor> , <nToRow>, <nToCol>, if ( <.lCenter.> , PRT_CENTER , if( <.lRight.> , PRT_RIGHT , nil ) )} ); <oParent>:oGraphLabel:DoGraphCommands()

#xcommand ERASE WINDOW <oParent> ;
          =>;
          IF( EMPTY( <oParent>:oGraphLabel ), <oParent>:oGraphLabel := Graph():New( NIL, <oParent> ), ) ;;
          aSize(<oParent>:oGraphLabel:aGraphCommands,0); <oParent>:oGraphLabel:EraseGraph()

#xcommand DRAW GRAPH            ;
      IN WINDOW <oWindow>      ;
      AT <nRow>,<nCol>         ;
      TO <nToRow>,<nToCol>       ;
      [ TITLE <cTitle> ]      ;
      TYPE <nType>         ;
      SERIES <aSer>         ;
      [ YVALUES <aYVal>   ]   ;
      [ DEPTH <nDepth>   ]      ;
      [ BARWIDTH <nBarWidth> ]      ;
      [ HVALUES <nRange>   ]   ;
      [ SERIENAMES <aName>   ]   ;
      [ COLORS <aColor>      ];
      [ <l3D : 3DVIEW> ]      ;
      [ <lGrid : SHOWGRID> ]   ;
      [ <lxVal : SHOWXVALUES> ]   ;
      [ <lyVal : SHOWYVALUES> ]   ;
      [ <lSLeg : SHOWLEGENDS> ]   ;
      [ LEGENDSWIDTH <nLegendWindth> ] ;
      [ <lNoborder : NOBORDER> ]       ;
=> ;
      IF( EMPTY( <oWindow>:oGraphLabel ), <oWindow>:oGraphLabel := Graph():New( NIL, <oWindow> ), ) ;;
      <oWindow>:oGraphLabel:GraphShow( <nRow>,          ;
                                       <nCol>,          ;
                                       <nToRow>,        ;
                                       <nToCol>,        ;
                                       Nil,             ;
                                       Nil,             ;
                                       <aSer>,          ;
                                       <cTitle>,        ;
                                       <aYVal>,         ;
                                       <nDepth>,        ;
                                       <nBarWidth>,     ;
                                       Nil,             ;
                                       <nRange>,        ;
                                       <.l3D.>,         ;
                                       <.lGrid.>,       ;
                                       .f.,             ;
                                       .f.,             ;
                                       <.lxVal.>,       ;
                                       <.lyVal.>,       ;
                                       <.lSLeg.>,       ;
                                       <aName>,         ;
                                       <aColor>,        ;
                                       <nType>,         ;
                                       .f.,             ;
                                       Nil,             ;
                                       <nLegendWindth>, ;
                                       <.lNoborder.> )

#xcommand DEFAULT <uVar1> := <uVal1> ;
               [, <uVarN> := <uValN> ] => ;
                  <uVar1> := IIf( <uVar1> == nil, <uVal1>, <uVar1> ) ;;
                [ <uVarN> := IIf( <uVarN> == nil, <uValN>, <uVarN> ); ]


// System Objects

#translate System.DesktopWidth       => GetDesktopWidth()
#translate System.DesktopHeight      => GetDesktopHeight()
#translate System.DesktopFolder      => GetDesktopFolder()
#translate System.MyDocumentsFolder  => GetMyDocumentsFolder()
#translate System.ProgramFilesFolder => GetProgramFilesFolder()
#translate System.TempFolder         => GetTempFolder()
#translate System.Clipboard          => GetClipboardValue()
#translate System.Clipboard := <cValue> => SetClipboardValue( <cValue> )

#xcommand SET REGION OF <oParent> RECTANGULAR <nRow>,<nCol>,<nWidth>,<nHeight>     => <oParent>:setRegion({'RECTANGULAR',<nRow>,<nCol>,<nWidth>,<nHeight>})
#xcommand SET REGION OF <oParent> ELLIPTIC <nRow>,<nCol>,<nWidth>,<nHeight>        => <oParent>:setRegion({'ELLIPTIC',<nRow>,<nCol>,<nWidth>,<nHeight>})
#xcommand SET REGION OF <oParent> POLYGONAL <aPoints> [ <lAlternate : ALTERNATE> ] => <oParent>:setRegion({'POLYGONAL',<aPoints>,<.lAlternate.>})
#xcommand SET REGION OF <oParent> RESET                                            => <oParent>:resetRegion( )

#xcommand SET RESOURCE TO <xResource>              => HMGAPP():Resources( <xResource> )
#xcommand SET QTLOCALE TO <nLanguage>[,<nCountry>] => HMGAPP():Localized( <nLanguage>, <nCountry> )
#xtranslate QTLANGUAGE                             => HMGAPP():Language()
#xtranslate QTCOUNTRY                              => HMGAPP():Country()
#xcommand STARTUP                                  => HMGAPP():Start()
#xcommand SHUTDOWN                                 => HMGAPP():Quit()
#xcommand ADDQTRESOURCE <cResource>                => HMGAPP():RegisterResource( <cResource> )
#xcommand SET ONSHUTDOWN TO <bValue>               => HMGAPP():OnShutDown( <{bValue}> )
#xcommand SET ONSTARTUP TO <bValue>                => HMGAPP():OnStartUp( <{bValue}> )


/*----------------------------------------------------------------------*/
//                            Sound
/*----------------------------------------------------------------------*/

#xcommand PLAY WAVE <fileWav> => PlayWave( <fileWav> )

/*----------------------------------------------------------------------*/
//                           Central Widget
/*----------------------------------------------------------------------*/

#xcommand DEFINE CENTRAL WIDGET <oObj> ;
          <dummy1: OF, PARENT> <oParent> ;
=>;
   With Object <oObj> := Widget():New( <"oObj">, <oParent> ) ;;
      :CentralWidgetOf( <oParent> ) ;;
   End With

/*----------------------------------------------------------------------*/
//                           Layouts
/*----------------------------------------------------------------------*/

#xcommand DEFINE LAYOUT <oObj> ;
          TYPE 4 ;
          <dummy1: OF, PARENT> <oParent> ;
          [ SPACING <nValue> ] ;
=>;
   With Object <oObj> := LayoutForm():New( <"oObj">[ , <oParent> ] ) ;;
      [ :Spacing := <nValue> ] ;;
   End With

#xcommand DEFINE LAYOUT <oObj> ;
          TYPE 5 ;
          <dummy1: OF, PARENT> <oParent> ;
          [ SPACING <nValue> ] ;
=>;
   With Object <oObj> := LayoutGrid():New( <"oObj">[ , <oParent> ] ) ;;
      [ :Spacing := <nValue> ] ;;
   End With

#xcommand DEFINE LAYOUT <oObj> ;
          TYPE <nType> ;
          <dummy1: OF, PARENT> <oParent> ;
          [ SPACING <nValue> ] ;
=>;
   With Object <oObj> := LayoutBox():New( <"oObj">[ , <oParent> ], <nType> ) ;;
      [ :Spacing := <nValue> ] ;;
   End With

#xcommand DEFINE LAYOUT <oObj> ;
          [ <lVertical: VERTICAL> ] ;
          [ <lHorizontal: HORIZONTAL > ] ;
          [ <lGrid: GRID > ] ;
          [ <lForm: FORM > ] ;
          <dummy1: OF, PARENT> <oParent> ;
          [ SPACING <nValue> ] ;
=>;
   With Object <oObj> := If( <.lVertical.>, LayoutBox():New(<"oObj">[ , <oParent> ],LAYOUT_VERTICAL),;
                         If( <.lGrid.>, LayoutGrid():New(<"oObj">[ , <oParent> ]),;
                         If( <.lForm.>, LayoutForm():New(<"oObj">[ , <oParent> ]),;
                             LayoutBox():New(<"oObj">[ , <oParent> ],LAYOUT_HORIZONTAL) ) ) ) ;;
      [ :Spacing := <nValue> ] ;;
   End With


#xcommand ADD [ CONTROL ] <oObj> TO [ LAYOUT ] <oLayout> [ MESSAGE <cMsg> ] ;
=>;
   <oLayout>:add( <oObj>, [ <cMsg> ] )

#xcommand SET LAYOUT <oObj> ;
=>;
   <oObj>:SetLayout()

#xcommand ADD LAYOUT <oLayout2> TO [ LAYOUT ] <oLayout1> [ ROW <nRow> ] [ COL <nCol> ] ;
=>;
   <oLayout1>:addLayout( <oLayout2>, <nRow>, <nCol> )

#xcommand ADD STRETCH [ <nValue> ] [ AT <nIndex> ] TO [ LAYOUT ] <oLayout> ;
=>;
   <oLayout>:InsertStretch( [ <nIndex> ], [ <nValue> ] )


/*----------------------------------------------------------------------*/
//                           ButtonBox
/*----------------------------------------------------------------------*/

#xcommand DEFINE BUTTONBOX <oObj> [ <dummy1: OF, PARENT> <oParent> ] => With Object <oObj> := ButtonBox():New(<"oObj"> [ , <oParent> ])
#xcommand END BUTTONBOX => End

#xcommand ADD BUTTON <oObj> ;
              [ <dummy1: TO BUTTONBOX,TO,PARENT> <oButtonBox>  ] ;
              [ <dummy2: ACTION,ON CLICK,ONCLICK> <bOnClick> ] ;
=>;
   <oObj> :=  <oButtonBox>:addButton( <oObj> ,, [ <{bOnClick}> ] )

#xcommand ADD BUTTON <oObj> ;
              [ <dummy1: TO BUTTONBOX,TO,PARENT> <oButtonBox>  ] ;
              [ <dummy2: ACTION,ON CLICK,ONCLICK> <bOnClick> ] ;
              [ ROLE <nRole> ] ;
=>;
   <oObj> :=  <oButtonBox>:addButton( <nRole> ,, [ <{bOnClick}> ] )

/*----------------------------------------------------------------------*/
//                           ScrollArea
/*----------------------------------------------------------------------*/

#xcommand DEFINE SCROLLAREA <oObj> ;
          <dummy1: OF, PARENT> <oParent> ;
          [ ROW <nRow> ] ;
          [ COL <nCol> ] ;
          [ WIDTH <nWidth> ] ;
          [ HEIGHT <nHeight> ] ;
          [ VALUE <nValue> ] ;
          [ TOOLTIP <cToolTip> ] ;
=>;
   With Object <oObj> := ScrollArea():New( <"oObj">[ , <oParent> ] ) ;;
      [ :Row       := <nRow>       ] ;;
      [ :Col       := <nCol>       ] ;;
      [ :Width     := <nWidth>     ] ;;
      [ :Height    := <nHeight>    ] ;;
      [ :Value     := <nValue>     ] ;;
      [ :ToolTip   := <cToolTip>   ] ;;
   End With

#command @ <nRow>,<nCol> SCROLLAREA <oObj> ;
      [ <dummy1: OF, PARENT> <oParent> ] ;
      [ WIDTH <nWidth> ] ;
      [ HEIGHT <nHeight> ] ;
      [ VALUE <nValue> ] ;
      [ TOOLTIP <cToolTip> ] ;
   =>;
   With Object <oObj> := ScrollArea():New( <"oObj">[ , <oParent> ] ) ;;
      [ :Row       := <nRow>       ] ;;
      [ :Col       := <nCol>       ] ;;
      [ :Width     := <nWidth>     ] ;;
      [ :Height    := <nHeight>    ] ;;
      [ :Value     := <nValue>     ] ;;
      [ :ToolTip   := <cToolTip>   ] ;;
   End With


