/*
 HMG 4 DEMO
 (c) 2010 Roberto Lopez <mail.box.hmg@gmail.com>
*/

#include "hmg.ch"

MEMVAR MainForm

FUNCTION Main

   HbQt_ErrorSys()

   HMGAPP():Resources := { "myres" }

   PRIVATE MainForm

   WITH OBJECT MainForm := Window():New( "MainForm" )
      :Row    := 10
      :Col    := 10
      :Width  := 600
      :Height := 600
      :Title  := "New Menu handling: OOP styling WITHOUT name"
      :Icon    := ":HMG_ICO"
      :Type   := WND_MAIN
      :OnInit := { || MainForm:Center() }

      WITH OBJECT LQTMENUBAR():New()
         :FontSize := 12
         :AddMnuPopUp( NIL, "&File" )
            :AddMnuItem( NIL, "item1.1", {|| MsgStop( "I'm Happy item1.1") } )
            :AddMnuSeparator()
            :AddMnuPopUp( NIL, "&SubMenu2" )
               :AddMnuItem( NIL, "Subitem2.1", {|| MsgStop( "I find Subitem2.1!") }, ":IMG_FIND" )
               :AddMnuPopUp( NIL, "&SubMenu3" )
                  :AddMnuItem( NIL, "Subitem3.1", {|| MsgStop( "I find Subitem3.1!") } )
                  :AddMnuItem( NIL, "Subitem3.2", {|| MsgStop( MainForm:LqtMnu_0:LqtMnu_1:LqtMnu_4:LqtMnu_6:LqtMnu_8:Caption ) } )
               :EndMnuPopUp()
               :AddMnuItem( NIL, "Subitem2.2", {|| MsgStop( "I find Subitem2.2!") }, NIL, NIL, .F. )
               :AddMnuSeparator()
//               :AddMnuItem( NIL, "Subitem2.3", {|| MsgStop( "I find Subitem2.3!") } )
               :AddMnuItem( NIL, "Subitem2.3", {|| Hmg3CompTest() } )       // this for HMG3 compatibility. I think it's strange
            :EndMnuPopUp()
            :AddMnuItem( NIL, "item1.2", {|| MsgStop( "I'm Happy item1.2") } )
            :AddMnuItem( NIL, "Close", {|| CloseMainForm() }, ":IMG_EXIT" )
         :EndMnuPopUp()
         :EndMnuMain()
      END WIDTH

   END WITH

   MainForm:Activate()

RETURN NIL

STATIC FUNCTION CloseMainForm()

   THISWINDOW:Release()

RETURN NIL

STATIC FUNCTION Hmg3CompTest()

   MsgStop( "with OOP and HMG3 comp: " + hb_ValToExp( THISWINDOW:LqtMnu_11:Enabled ) ) // HMG3 compatibility
   MsgStop( "with HMG3 syntax " + hb_ValToExp( THISWINDOW.LqtMnu_11.Enabled ) ) // HMG3 compatibility
   THISWINDOW.LqtMnu_11.Enabled := .F.
   MsgStop( "with HMG3 syntax after is" + hb_ValToExp( THISWINDOW.LqtMnu_11.Enabled ) ) // HMG3 compatibility
   MsgStop( "The same Is " + hb_ValToExp( THISWINDOW:LqtMnu_0:LqtMnu_1:LqtMnu_4:LqtMnu_11:Enabled ) )

RETURN NIL

